Installing Team Foundation Components

[image]

Installing Team Foundation Components
Send Feedback

Updated: June 2011

Before you use the installation guide for Team Foundation, you should identify the scenario that most closely matches the type of installation that you are trying to perform. For each scenario, the installation guide contains an overview and a checklist. The overviews provide the high-level goals of the scenario, and the checklists provide the context with which you should perform individual tasks. You should review the overview for the type of installation that you want to perform, and then you should use the checklist to install components of Team Foundation. If you are not sure which scenario is right for you, consider using the following scenario: Scenario: Getting Started with Team Foundation Server Installation (start here).

Team Foundation Server 2010 and Project Server Integration Feature Pack and Service Pack 1 (SP1) for Microsoft Visual Studio Team Foundation Server 2010 are available now. The service pack offers improvements in stability and is among the requirements for the feature pack, which offers integration of Team Foundation Server 2010 with Project Server. For more information, see the following pages on the Microsoft website:

  • Microsoft Team Foundation Server 2010 and Microsoft Project Server Integration Feature Pack

  • System and Setup Requirements to Support Integration of Team Foundation Server and Project Server

  • What’s New in Service Pack 1 (SP1)

This guide contains practical guidelines about how to install components of Team Foundation or how to upgrade Visual Studio Team Foundation Server. For more information about how to plan an installation of Team Foundation Server, see the following page on the Microsoft Web site: Choosing a Team Foundation Server Deployment Configuration.

To download the most recent version of the installation guide for Team Foundation, see the following page on the Microsoft Web site: Installation Guide for Team Foundation.

Important note Important

After you download the installation guide, you cannot view its contents unless you right-click the .chm file, click Properties, and then click Unblock.

In This Section

Scenario: Getting Started with Team Foundation Server Installation (start here)

You can install Team Foundation Server with SQL Server Express on a server or client operating system.

Scenario: Installing Team Foundation Server on a Single-Server

You can install Team Foundation Server and all its prerequisites on a single server. This scenario focuses on using new installations of prerequisite software, but you can use existing installations as long as you install all the software on the same computer.

Scenario: Installing Team Foundation Server Using Existing Infrastructure or More than One Server

You can install Team Foundation Server and all its prerequisites on more than one server. This scenario focuses on using your existing infrastructure for prerequisite software and incorporating other server products that offer high-value integration with Team Foundation Server, such as Microsoft Office SharePoint Server 2007.

Scenario: Installing a Team Foundation Server Farm (High Availability)

You can add an application-tier server to an existing deployment of Team Foundation Server to build redundancy into your deployment or to restore a failed application-tier server.

Scenario: Upgrading Team Foundation Server

You can upgrade an earlier release of Team Foundation Server or the beta release. You can run the most recent release of Team Foundation Server side by side with the previous release, creating two Team Foundation Server environments. Or you can upgrade the previous release to the most recent release and run a single environment.

Scenario: Installing Team Foundation Build Service

You can install Team Foundation Build Service to help you automatically build and share solutions. Team Foundation Build Service consists of one or more build controllers, which control one or more build agents. You can install Team Foundation Build Service as often as required to create the automated build environment that is right for your team.

Scenario: Installing Team Foundation Server Proxy

You can save bandwidth by installing Team Foundation Server Proxy, which caches version control files at remote locations.

Change History

Date | History | Reason
June 2011 | Added manual configuration information for SharePoint Server 2010. | Information enhancement.
April 2011 | Updated system requirements for Team Foundation Server. | Information enhancement.
March 2011 | Added information about installation and configuration of SharePoint Server 2010. Added link to information about Team Foundation Server 2010 SP1, Microsoft Project Server Integration Feature Pack, and requirements. | Information enhancement.
Send feedback on this topic to Microsoft.


Scenario: Getting Started with Team Foundation Server Installation (start here)

[image]

Scenario: Getting Started with Team Foundation Server Installation (start here)
See Also Send Feedback

Team Foundation Server with SQL Server Express

You can install Visual Studio Team Foundation Server with the least amount of preliminary work by using the basic configuration. On most operating systems, the installation wizard installs and configures Internet Information Services. You can find information about exceptions in the checklist. You can use SQL Server Express, which is included with the installation files for Team Foundation Server, or you can use an existing instance of SQL Server.

You cannot configure reporting or a team project portal if you use the basic configuration. However, you can track bugs, tasks, and other work items; you can put files under version control; and you can access information by using Team Web Access. If you are installing Team Foundation Server on a server operating system, you can always add reporting or a team project portal after you have installed Team Foundation Server.

See Also

Concepts

Checklist: Basic Configuration


Checklist: Basic Configuration

[image]

Checklist: Basic Configuration
See Also Send Feedback

You can follow the steps in this checklist to install Visual Studio Team Foundation Server using the basic configuration.

The following table contains tasks and links. The links provide either procedural or conceptual information to help you perform the associated tasks. You should perform the tasks in order from top to bottom, without skipping any tasks.

Preparation

Task

Detailed instructions

Download the most recent version of the installation guide for Team Foundation. The most recent version contains the most up-to-date procedures.

  • Installation Guide for Team Foundation (on the Microsoft Web site)

Check for supported hardware and software. Verify that your operating system meets the requirements for Team Foundation Server. Verify that the hardware can run Team Foundation Server and all prerequisite server software.

Note Note

Before you install Team Foundation Server on Windows Server 2003, you must manually install Internet Information Services (IIS) if it is not already installed. For more information, see How to: Install Internet Information Services 6.0 for Team Foundation Server or Team Foundation Proxy

  • System Requirements for Team Foundation Server

  • 64-Bit Support in Team Foundation

Team Foundation Server Installation

Task

Detailed instructions

Install and configure Team Foundation Server. After you install Team Foundation Server, use the Team Foundation Server Configuration Tool to configure your deployment using the basic configuration.

  • How to: Install Team Foundation Server

  • How to: Configure Team Foundation Server Using the Basic Configuration

See Also

Concepts

Scenario: Getting Started with Team Foundation Server Installation (start here)


System Requirements for Team Foundation Server

[image]

System Requirements for Team Foundation Server
See Also Send Feedback

Updated: April 2011

To install Visual Studio Team Foundation Server, your system must meet the operating system requirements described in this topic.

You can also find hardware recommendations in this topic, but this information is not required like the operating system, just a recommendation. In general, the bigger your team, the greater your need for robust hardware. Eventually you might require more than one server to distribute the load.

For information about how to plan an installation of Team Foundation Server, see the following page on the Microsoft Web site: Choosing a Team Foundation Server Deployment Configuration.

Operating System Requirements

You can install Team Foundation Server on a server that is running one of the following operating systems:

  • 32-bit versions of Windows Server 2003 (Datacenter Edition, Enterprise Edition, or Standard Edition) with Service Pack 2 (SP2)

  • 32-bit versions of Windows Server 2003 R2 (Datacenter Edition, Enterprise Edition, or Standard Edition)

  • 32-bit versions of Windows Server 2003 R2 (Datacenter Edition, Enterprise Edition, or Standard Edition) with SP2

  • Windows Server 2008 ¹ with SP2

  • Windows Server 2008 R2 ¹ ² ³

  • Windows Server 2008 R2 ¹ ² ³ with SP1

You can install Team Foundation Server on a client computer that is running one of the operating systems in the next list. However, client operating systems do not support integration with SharePoint Products or reporting. If you want to use either of these features, you must install Team Foundation Server on a server operating system.

  • Windows Vista (Windows Vista Home Premium, Windows Vista Business, Windows Vista Enterprise, Windows Vista Ultimate) with SP2

  • Windows 7 ³ (Windows 7 Home Premium, Windows 7 Professional, Windows 7 Enterprise, Windows 7 Ultimate)

  • Windows 7 ³ with SP1 (Windows 7 Home Premium with SP1, Windows 7 Professional with SP1, Windows 7 Enterprise with SP1, Windows 7 Ultimate with SP1)

¹ Team Foundation Server does not support the Server Core installation option for either Windows Server 2008 or Windows Server 2008 R2.

² If you are installing Team Foundation Server or SQL Server on Windows Server 2008 R2, you must have .NET Framework 3.5 installed. On Windows Server 2008 R2, you can install .NET Framework 3.5 by using the Add Features Wizard from Server Manager. For more information, see the following page on the Microsoft website: Adding Server Roles and Features.

³ If you are installing Team Foundation Server on Windows Server 2008 R2 or Windows 7, an issue with HTTP.sys may affect network connectivity. For more information, see the following page on the Microsoft website: A file does not download from an IIS 7.5 server that is running Windows 7 or Windows Server 2008 R2.

Hardware Recommendations

Number of users | Configuration | CPU | Memory | Hard disk
Fewer than 250 users | Single-server (Team Foundation Server and the Database Engine on the same server). | 1 single core processor at 2.13 GHz | 2 GB | 1 disk at 7.2k rpm (125 GB)
250 to 500 users | Single-server. | 1 dual core processor at 2.13 GHz | 4 GB | 1 disk at 10k rpm (300 GB)
500 to 2,200 users | Dual-server (Team Foundation Server and the Database Engine on different servers). This row is for Team Foundation Server. | 1 dual core Intel Xeon processor at 2.13 GHz | 4 GB | 1 disk at 7.2k rpm (500 GB)
 | This row is for the Database Engine with 500 to 2,200 users. | 1 quad core Intel Xeon processor at 2.33 GHz | 8 GB | SAS disk array at 10k rpm (2 TB)
2,200 to 3,600 users | Dual-server. This row is for Team Foundation Server. | 1 quad core Intel Xeon processor at 2.13 GHz | 8 GB | 1 disk at 7.2k rpm (500 GB)
 | This row is for the Database Engine with 2,200 to 3,600 users. | 2 quad core Intel Xeon processors at 2.33 GHz | 16 GB | SAS disk array at 10k rpm (3 TB)

Microsoft supports virtualization of Team Foundation Server in supported virtualization environments. For more information, see the following pages on the Microsoft website:

  • Microsoft server software and supported virtualization environments

  • Support policy for Microsoft software running in non-Microsoft hardware virtualization software

  • Support partners for non-Microsoft hardware virtualization software

  • Server Virtualization (officially supported products)

See Also

Reference

Checklist: Single-Server Installation
Checklist: Multiple-Server Installation
Checklist: Upgrade Team Foundation Server By Using More Than One Server

Change History

Date | History | Reason
April 2011 | Added information about Windows 7 SP1 and Windows Server 2008 R2 SP1. | Information enhancement.
June 2010 | Added Microsoft virtualization support policy to hardware recommendations. | Customer feedback.
June 2010 | Revised hard disk recommendations. | Customer feedback.


Language Requirements for Team Foundation Server

[image]

Language Requirements for Team Foundation Server
See Also Send Feedback

Updated: September 2010

You can install Visual Studio Team Foundation Server in various languages on supported operating systems in various languages. However, you cannot use every combination of localized operating system and Team Foundation Server together. The language of the installation of SharePoint Products can also complicate your deployment. However, you can add an appropriate language pack to the server that is running SharePoint Products to meet requirements for Team Foundation Server.

The following table outlines the various language combinations that are supported:

Operating system | Team Foundation Server | SharePoint Products
English | English | English
English | Language other than English | Language (or language pack) must match Team Foundation Server
Language other than English | English | English (or English language pack added)
Language other than English | Language must match the operating system | Language (or language pack added) to match Team Foundation Server

The following rules clarify the language requirements for installations of Team Foundation Server.

  • If you are running an English language operating system, you can install any language version of Team Foundation Server. If you are not running an English language operating system, you must install the English version of Team Foundation Server or the version of Team Foundation Server that has been localized for the same language as the operating system.

  • If you want to use SharePoint Products, it must match the language of the installation of Team Foundation Server, or you must install the language pack that matches the language of your installation of Team Foundation Server.

For example, you can install a Japanese version of Team Foundation Server on an English or Japanese operating system but not on a German operating system. If you install a Japanese version of Team Foundation Server, you must also have either a Japanese version of SharePoint Products or the Japanese language pack for SharePoint Products on the server that is running SharePoint Products.

The following components do not have additional language requirements that are specific to working with Team Foundation Server:

  • Team Foundation Build Service

  • Team Foundation Server Proxy

  • Team Explorer

  • Visual Studio 2010 Lab Management

Test controllers and agents have their own language requirements. For more information, see the following page on the Microsoft website: Test Controller and Test Agent Requirements

See Also

Reference

Checklist: Single-Server Installation
Checklist: Multiple-Server Installation
Checklist: Upgrade Team Foundation Server By Using More Than One Server

Change History

Date | History | Reason
September 2010 | Clarified information throughout the topic. | Information enhancement.


How to: Install Team Foundation Server

[image]

How to: Install Team Foundation Server
See Also Send Feedback

This procedure describes how to install Visual Studio Team Foundation Server.

Note Note

If you are installing Team Foundation Server on a server that is already running SharePoint Products, a check box for Team Foundation Server Extensions for SharePoint Products will appear. These extensions are configured automatically during configuration of Team Foundation Server if you specify that you will use a portal server. Do not select this check box.

Required Permissions

To perform this procedure, you must be a member of the Administrators security group.

Installing Team Foundation Server

To install Team Foundation Server

  1. From the Team Foundation Server DVD, launch either the 32-bit or the 64-bit setup.exe to match the operating system that you are running. For more information, see 64-Bit Support in Team Foundation.

    The Team Foundation installation wizard appears.

  2. On the Welcome page, click Next.

  3. On the License Terms page, read the terms of the license. Click I have read and accept the license terms, and then click Next.

  4. Click Team Foundation Server, and click Install.

    If the installation wizard prompts you to restart your server, click Restart Now. After the server has restarted, installation resumes.

  5. Click Finish.

    If you want to configure Team Foundation Server, select the Launch Team Foundation Server Configuration Tool check box.

See Also

Tasks

How to: Configure Team Foundation Server By Using the Standard Configuration for Single-Server Installations
How to: Configure Team Foundation Server By Using the Advanced Configuration for Single-Server or Multiple-Server Installations
How to: Upgrade Team Foundation Server Using the Team Foundation Server Configuration Tool

Reference

Checklist: Single-Server Installation
Checklist: Multiple-Server Installation
Checklist: Upgrade Team Foundation Server By Using More Than One Server


How to: Configure Team Foundation Server Using the Basic Configuration

[image]

How to: Configure Team Foundation Server Using the Basic Configuration
See Also Send Feedback

You can configure Visual Studio Team Foundation Server by using the basic configuration, which enables you to use SQL Server Express.

Note Note

If you have accessed the Team Foundation Server Configuration tool by selecting the check box at the end of the installation wizard for Team Foundation Server, you can skip the procedure for accessing the tool from the Start menu.

Required Permissions

To perform this procedure, you must be a member of the Administrators security group on the server that is running Team Foundation Server.

To access the Team Foundation Server Configuration tool from the Start menu

  1. Click Start, point to All Programs, point to Microsoft Team Foundation Server 2010, and then click Team Foundation Administration Console.

    The Team Foundation Administration Console appears.

  2. Click Application Tier, and then click Configure Installed Features.

    The Team Foundation Server Configuration tool appears.

To configure Team Foundation Server by using the basic configuration

  1. In the Team Foundation Server Configuration tool, click Basic, and then click Start Wizard.

    The Team Foundation Server Basic Configuration wizard appears.

  2. Read the Welcome screen, and then click Next.

  3. Perform one of the following actions:

    • Click SQL Server Express to host the configuration database on an instance of SQL Server Express, and then click Next.

      SQL Server Express will be installed during configuration.

    • Click Use an existing SQL Server Instance to host the configuration database on an existing instance of SQL Server, and then click Next.

      In SQL Server Instance, type the name of the server that is running SQL Server or the named instance that will host the configuration databases, and then click Next.

      Click Test to test the connectivity to SQL Server.

  4. Review the information, and then click Next.

    The wizard validates your configuration.

  5. Click Configure.

    The wizard applies configuration settings.

  6. Click Next.

  7. Click Close.

  8. Click Close.

    The Team Foundation Administration Console appears.

See Also

Concepts

Checklist: Basic Configuration


Scenario: Installing Team Foundation Server on a Single-Server

[image]

Scenario: Installing Team Foundation Server on a Single-Server
See Also Send Feedback

Installing for Small Teams (Single-Server Installation)

Installing on a single-server

You can install all of Visual Studio Team Foundation Server on a single server. By installing this way, you can reduce the complexity of installation, especially if you are using all new installations of prerequisite software to host the configuration database, the report server, and the portal server.

A single server installation means that Team Foundation Server and its configuration database are hosted on the same server. If you use optional features that require prerequisite server software, these installations must also be hosted on the server. Team Foundation Server includes two such features: reporting and a team portal for sharing documents.

Reporting on Single Servers

If you want to use the reporting feature, you must install SQL Server Reporting Services and SQL Server Analysis Services on your server. With these features installed, you can use the standard installation wizard for Team Foundation Server. If you do not want to set up a report server, you can use the advanced installation wizard for Team Foundation Server to skip setting up the report server.

Team Foundation Server requires a report server dedicated only to its use. You cannot share the report server with any other application.

Portal Server on Single Server

You can use the Team Foundation Server Configuration Tool to install and configure Windows SharePoint Services 3.0. If you do not want to use Windows SharePoint Services 3.0, you can install a supported version of SharePoint Products before you install Team Foundation Server, or you can install Team Foundation Server on a server that hosts a verified installation of SharePoint Products. In any of these cases, the standard and advanced installation wizards for Team Foundation Server install and configure the Team Foundation Server Extensions for Windows SharePoint Services. If you do not want to set up the team portal during installation, you can use the advanced installation wizard to skip setting up the portal server.

Workgroup Deployment

If you are deploying Team Foundation Server in a workgroup, you must use a single-server deployment. Workgroup environments can use local accounts as service accounts.

See Also

Reference

Checklist: Single-Server Installation


Checklist: Single-Server Installation

[image]

Checklist: Single-Server Installation
See Also Send Feedback

You can follow the steps in this checklist to install Visual Studio Team Foundation Server on a single server.

The following table contains tasks and links. The links provide either procedural or conceptual information to help you perform the associated task. Perform the tasks from top to bottom, without skipping any tasks.

Preparation

These tasks prepare the operating system and network environment for Team Foundation Server.

Task

Detailed instructions

Download the current version of the installation guide for Team Foundation. The most recent version of this guide contains the most up-to-date installation procedures.

For the most recent version of this guide, see this page on the Microsoft Web site: Installation Guide for Team Foundation.

Check for supported hardware and software. Verify that the operating system meets Team Foundation Server requirements. Verify that the hardware can run Team Foundation Server and all prerequisite server software. Review the language requirements for Team Foundation Server.

  • System Requirements for Team Foundation Server

  • 64-Bit Support in Team Foundation

  • Language Requirements for Team Foundation Server

Check for required permissions and user accounts. Verify that the account you will use to install Team Foundation Server is a member of the Administrators security group on the server where you will install Team Foundation Server.

Determine the service accounts you will use for installing SQL Server and Team Foundation Server.

With a single server installation using the default options and built in accounts, you only need a single user account to install Team Foundation Server and SQL Server. If you do not set up reporting or Windows SharePoint Services 3.0 during initial installation of Team Foundation Server, you can complete setup by using only built-in accounts.

  • Accounts Required for Installation of Team Foundation Components

Prerequisite Installation and Configuration

These tasks enable you to install and verify prerequisite software for a single-server installation of Team Foundation Server.

Task

Detailed instructions

Set up Internet Information Services (IIS). IIS is installed for you on most operating systems except for Windows Server 2003 or Windows Server 2008. If you are using one of these operating systems or want to avoid the warning message during installation, you must install IIS. If IIS has already been installed, you can verify that it is configured to work with Team Foundation Server.

  • Installing Internet Information Services (IIS) for Team Foundation Server or Team Foundation Proxy

  • How to: Verify Internet Information Services for Team Foundation Server or Team Foundation Server Proxy

Set up SQL Server. Review the collation requirements for Team Foundation Server. Determine the collation settings your organization requires for its data, and ensure that those settings are consistent and compatible with the requirements of Team Foundation Server. If these settings are not consistent across all SQL Server instances that you add to Team Foundation Server, reports can produce unexpected results.

Install SQL Server 2008 Standard or Enterprise. You must install the Database Engine and the Full Text Search feature.

(Optional) By default, Team Foundation Server creates required databases during installation, but you can provision empty databases, using appropriate naming conventions. If you want to provision empty databases, you must use the advanced installation of Team Foundation Server.

(Optional) Set up Reporting. If you want to use reporting, you must install SQL Server Reporting Services and SQL Server Analysis Services.

The streamlined standard installation of Team Foundation Server uses reporting. If you want to skip reporting, you must use the advanced installation of Team Foundation Server.

  • SQL Server Collation Requirements for Team Foundation Server

  • Manually Installing SQL Server for Team Foundation Server

  • Provisioning SQL Server Databases for Team Foundation Server

Verify SQL Server Configuration. After all installation and configuration tasks complete, verify that SQL Server is configured to work with Team Foundation Server.

  • How to: Verify SQL Server 2008 for Team Foundation Server

(Optional) Install and configure Microsoft Office SharePoint 2007 or SharePoint Server 2010. You can install Microsoft Office SharePoint Server 2007 or Microsoft SharePoint Server 2010 with the recommended settings for Team Foundation Server. If you plan to use the installation of Windows SharePoint Services 3.0 that comes with the installation of Team Foundation Server, skip to the installation of Team Foundation Server.

After you install SharePoint Products, you must use the SharePoint Central Administration site to create a Web application that has the following characteristics:

  • uses port 80

  • uses NTLM for authentication

  • has a unique name that also indicates the port number

  • How to: Manually Install SharePoint Products on Windows Server for Team Foundation Server

For more information about how to create a Web application, see one of the following pages on the Microsoft Web site:

  • For information about Microsoft Office SharePoint Server 2007, see Create or extend a Web application

  • For information about Microsoft SharePoint Server 2010, see Create a Web application that uses Windows-classic authentication (SharePoint Server 2010).

Note Note

If you specify a port number other than 80, users must include it as part of the address for Team Foundation Server to operate correctly.

If you are using Microsoft Office SharePoint Server 2007 or SharePoint Server 2010, perform the required configurations for dashboard compatibility, or verify that SharePoint Products is configured correctly. If you are using Windows SharePoint Services 3.0, skip to the installation of Team Foundation Server.

  • How to: Configure Settings for Dashboard Compatibility

  • How to: Verify SharePoint Products for Team Foundation Server

Team Foundation Server Installation

These tasks enable you to install and configure Team Foundation Server.

Task

Detailed instructions

Set up Team Foundation Server. Install Team Foundation Server. After the installation completes, use the Team Foundation Server Configuration Tool to configure your deployment.

You have to decide whether to use the standard configuration wizard or the advanced wizard. If you have installed SQL Server Reporting Services and SQL Server Analysis Services, you can use the default configuration wizard. This installation also installs, configures, and integrates Windows SharePoint Services 3.0 with Team Foundation Server. You need a single domain account to complete this installation.

If you do not want to use reporting or the project portal, you can use the advanced configuration wizard. You can also use this wizard to change any of the default settings.

  • How to: Install Team Foundation Server

  • How to: Configure Team Foundation Server By Using the Standard Configuration for Single-Server Installations

  • How to: Configure Team Foundation Server By Using the Advanced Configuration for Single-Server or Multiple-Server Installations

Final configuration of Microsoft Office SharePoint 2007 or SharePoint Server 2010.

If you installed Microsoft Office SharePoint Server 2007 or SharePoint Server 2010, you must configure the enterprise application definition that you created for Team Foundation Server. If you are using Windows SharePoint Services 3.0 or skipped installation of SharePoint Products, you can skip this step.

  • Configure the Enterprise Application Definition for Team Foundation Server

See Also

Concepts

Scenario: Installing Team Foundation Server on a Single-Server


Installing Prerequisites for Team Foundation Components

[image]

Installing Prerequisites for Team Foundation Components
See Also Send Feedback

You might not have to install any of these products or features, depending on the type of Visual Studio Team Foundation Server installation that you are trying to perform. For some types of installations, you can, for example, install Team Foundation Server with its own installation of SQL Server Express or Windows SharePoint Services 3.0.

The installation scenario topics linked in this topic call out the circumstances when you might need to install any of these products on your own.

In This Section

Installing Internet Information Services (IIS) for Team Foundation Server or Team Foundation Proxy

Provides topics that describe how to install IIS for Team Foundation Server.

Manually Installing SQL Server for Team Foundation Server

Provides topics that describe how to install SQL Server for Team Foundation Server.

Manually Installing SharePoint Products for Team Foundation Server

Provides a topic that describe how to install SharePoint Products for Team Foundation Server.

See Also

Concepts

Scenario: Installing Team Foundation Server on a Single-Server
Scenario: Installing Team Foundation Server Using Existing Infrastructure or More than One Server
Scenario: Getting Started with Team Foundation Server Installation (start here)


Installing Internet Information Services (IIS) for Team Foundation Server or Team Foundation Proxy

[image]

Installing Internet Information Services (IIS) for Team Foundation Server or Team Foundation Proxy
Send Feedback

You might have to install Internet Information Services (IIS), with the options that the installation procedures specify, if you are installing Visual Studio Team Foundation Server or Team Foundation Server Proxy.

When you install Team Foundation Server, IIS is installed for you on operating systems other than Windows Server 2003 and Windows Server 2008. If you are using one of these two operating systems or you want to avoid the warning message during installation, you must install IIS first. After you install IIS, you should install any recommended updates from Microsoft by using Windows Update.

Note Note

You should ensure that the computer that is running Team Foundation Server has adequate disk space for IIS logging. For more information, see the following pages on the Microsoft Web site: Configuring Logging in IIS 7 and Logging Site Activity (IIS 6).

In This Section

How to: Install Internet Information Services 6.0 for Team Foundation Server or Team Foundation Proxy

Provides steps for how to use Control Panel to install IIS with the appropriate options onto an application-tier server or proxy server that is running Windows Server 2003.

How to: Install Internet Information Services 7.0 for Team Foundation Server or Team Foundation Proxy

Provides steps for how to install IIS with the appropriate options for Team Foundation Server or a proxy server that is running Windows Server 2008, Windows Vista, or Windows 7.


How to: Install Internet Information Services 7.0 for Team Foundation Server or Team Foundation Proxy

[image]

How to: Install Internet Information Services 7.0 for Team Foundation Server or Team Foundation Proxy
Send Feedback

On servers that are running Windows Server 2008, you can use Server Manager to install Internet Information Services (IIS) 7.0. On computers that are running Windows Vista or Windows 7, you can use Control Panel to install IIS.

In addition to the default options, you must add the following modules to IIS 7.0:

  • ASP.NET (including .NET Extensibility, ISAPI Extensions, and ISAPI Filters)

  • IIS 6.0 Management Compatibility (including IIS 6 Management Console, IIS 6 Scripting Tools, IIS 6 WMI Compatibility, and IIS Metabase and IIS 6 Configuration compatibility)

  • Windows Authentication (If Windows Authentication is not available on your operating system, you can use basic authentication.)

    Note Note

    Basic authentication is not as secure as Windows authentication. If you expect to use Visual Studio Team Foundation Server and Team Explorer on the same computer, basic authentication may not be a problem. If you expect to access Team Foundation Server over a network, you might want to configure Secure Sockets Layer (SSL) after configuration or upgrade the operating system to an edition that supports Windows authentication. Windows Vista Premium, Windows 7 Premium, Windows Vista Ultimate, Windows 7 Ultimate, Windows Server 2003, and Windows Server 2008 support Windows authentication.

Required Permissions

To perform this procedure, you must be a member of the Administrators security group on the server on which you are installing IIS.

To install IIS 7.0 on Windows Server 2008

  1. Click Start, point to Programs, point to Administrative Tools, and then click Server Manager.

  2. In the tree pane, click Roles.

  3. In the details pane, click Add Roles.

    The Add Roles Wizard starts.

  4. On the Before You Begin page, read the instructions, and then click Next.

  5. On the Select Server Roles page, select the Web Server (IIS) check box. If the Add features required for Web Server (IIS) dialog box appears, click Add Required Features. Click Next.

  6. On the Web Server (IIS) page, read the information, and then click Next.

  7. On the Select Role Services page, select the following check boxes (without changing the other default settings), and then click Next:

    • ASP.NET

      If the Add role services and features required for ASP.NET dialog box appears, click Add Required Role Services.

    • Windows Authentication

    • IIS 6 Management Compatibility

      All subordinate check boxes are automatically selected.

  8. On the Confirm Installation Selections page, review the installation information.

  9. If the information is correct, click Install. To make corrections, click Previous.

  10. After the Add Roles Wizard installs IIS, click Close.

To install IIS 7.0 on Windows Vista or Windows 7

  1. Click Start, and then click Control Panel.

  2. Click Programs, and then click Turn Windows features on or off.

    The Windows Features dialog box appears.

  3. Select the Internet Information Services check box.

    This step turns IIS 7 on with the default options.

  4. Expand Internet Information Services, expand World Wide Web Services, and expand Application Development Features.

  5. Select the ASP.NET check box if it is not already selected.

    The .Net Extensibility, ISAPI Extensions, and ISAPI Filters check boxes are automatically selected. Do not select or clear any other check boxes.

  6. Expand Internet Information Services, expand World Wide Web Services, and expand Security.

  7. Select the Windows Authentication check box if it is not already selected. If Windows authentication is not available on your operating system, select the Basic Authentication check box.

  8. Expand Internet Information Services, expand Web Management Tools, and expand and select the IIS 6 Management Compatibility check box.

  9. Select the IIS 6 Management Console and IIS 6 Scripting Tools check boxes.

    The .IIS 6 WMI Compatibility and IIS Metabase and IIS 6 Configuration compatibility check boxes are automatically selected. Do not select or clear any other check boxes.

  10. Click OK.


How to: Install Internet Information Services 6.0 for Team Foundation Server or Team Foundation Proxy

[image]

How to: Install Internet Information Services 6.0 for Team Foundation Server or Team Foundation Proxy
Send Feedback

On servers that are running Windows Server 2003, you can use Control Panel to install Internet Information Services (IIS) 6.0. In addition to the default options, you must configure IIS 6.0 with these options:

  • ASP.NET must be enabled.

  • FrontPage 2002 Server Extensions must not be installed. (SharePoint Products is incompatible with FrontPage Server Extensions.)

  • The IIS 5.0 isolation option must not be enabled.

Required Permissions

To perform this procedure, you must be a member of the Administrators security group on the server on which you are installing IIS.

To install IIS by using the Add or Remove Programs utility

  1. Open Add or Remove Programs from Control Panel.

  2. Click Add/Remove Windows Components.

    The Windows Components Wizard starts.

  3. On the Windows Components page, select the Application Server check box, and then click Details.

  4. If not already selected, select the ASP.NET check box, and then click OK. Do not change or clear any other currently selected components.

  5. On the Windows Components page, click Next.

  6. Click Finish to close the wizard.


Manually Installing SharePoint Products for Team Foundation Server

[image]

Manually Installing SharePoint Products for Team Foundation Server
Send Feedback

Although you can install Windows SharePoint Services 3.0 during Visual Studio Team Foundation Server installation, you can manually install Windows SharePoint Services 3.0, Microsoft Office SharePoint Server 2007, or Microsoft SharePoint Server 2010. You might want to do this to have SharePoint Products on a separate server from Team Foundation Server or so that you can use Microsoft Office SharePoint Server 2007 or SharePoint Server 2010 instead of Windows SharePoint Services 3.0 for your portal.

In This Section

How to: Manually Install SharePoint Products on Windows Server for Team Foundation Server.

Provides steps for how to install SharePoint Products so that it meets the portal recommendations for Team Foundation Server. You should follow this procedure only if you are installing SharePoint Products on a computer other than Team Foundation Server or you want to use Microsoft Office SharePoint Server 2007 or SharePoint Server 2010.

How to: Configure Settings for Dashboard Compatibility

Provides information about how to configure the Enterprise edition of either Microsoft Office SharePoint Server 2007 or Microsoft SharePoint Server 2010 so that dashboard functionality works after you install Team Foundation Server. These configurations are necessary only for the Enterprise edition of Microsoft Office SharePoint Server 2007 or SharePoint Server 2010. No other SharePoint Products require special configuration for dashboard compatibility.


How to: Manually Install SharePoint Products on Windows Server for Team Foundation Server

[image]

How to: Manually Install SharePoint Products on Windows Server for Team Foundation Server
See Also Send Feedback

Updated: March 2011

Because you can install Windows SharePoint Services 3.0 during Team Foundation Server configuration, you should perform this procedure only if you want to achieve either of the following results:

  • You want to install SharePoint Products on a different server from Team Foundation Server.

  • You want to install Microsoft Office SharePoint Server 2007 or Microsoft SharePoint Server 2010.

This topic covers only the installation of SharePoint Products. If you install SharePoint Products, you must also complete additional tasks, which differ based on whether you are installing SharePoint Products on the same server as Team Foundation Server or on a remote server and whether you are installing Microsoft Office SharePoint Server 2007, SharePoint Server 2010, or Windows SharePoint Services 3.0.

  • If you install SharePoint Products on the same server as Team Foundation Server, you must provision the installation of SharePoint Products. If you install Microsoft Office SharePoint Server 2007 or SharePoint Server 2010, you must make some additional configurations before dashboards will function. You should make these configurations before you connect the portal to the deployment of Team Foundation Server. For more information, see Checklist: Single-Server Installation.

  • If you install SharePoint Products on a remote server (a server that is not running Team Foundation Server), you must meet the requirements in the previous bullet, and you must install the Extensions for Windows SharePoint Services on the server that is running SharePoint Products. For more information, see Checklist: Multiple-Server Installation.

Dashboard Requirements

Team Foundation Server 2010 contains dashboards that use SharePoint Products features to display team data, which are defined for MSF process templates. The dashboards that are available to you depend on the version of SharePoint Products that you install.

  • If you install the Enterprise editions of either Microsoft Office SharePoint Server 2007 or SharePoint Server 2010, you can use five dashboards that are configured with reports that are based on Microsoft Excel.

  • If you install Microsoft Office SharePoint Server 2007 Standard, SharePoint Server 2010 Standard or Windows SharePoint Services 3.0, you can use two dashboards that are configured with reports that are based on SQL Server Reporting Services.

Deployment References for SharePoint Products

SharePoint Products has its own set of prerequisites that you must install before you perform this procedure.

  • For more information about how to deploy and configure Windows SharePoint Services 3.0, see the following page on the Microsoft Web site: Deployment for Windows SharePoint Services 3.0 technology.

  • For more information about how to deploy and configure Microsoft Office SharePoint Server 2007, see the following page on the Microsoft Web site: Deployment for Office SharePoint Server 2007.

  • For more information about how to deploy and configure SharePoint Server 2010, see the following page on the Microsoft website: Deployment for SharePoint Server 2010

Service Pack Requirements for SharePoint Products

Team Foundation Server has no service pack requirements for SharePoint Products. However, certain operating systems have requirements for Windows SharePoint Services 3.0.

If you are running Windows Server 2008, you must download an installation program for Windows SharePoint Services 3.0 that has a service pack already added (Service Pack 1 for Windows Server 2008 or Service Pack 2 for Windows Server 2008 R2). For your convenience, here are links to the 32-bit or 64-bit installation program for Windows SharePoint Services 3.0 with the most recent service pack from the Microsoft Web site:

  • Windows SharePoint Services 3.0 with Service Pack 2

  • Windows SharePoint Services 3.0 x64 with Service Pack 2

Although Windows Server 2003 does not have the same requirements as Windows Server 2008, the most recent service pack is recommended.

Microsoft Office SharePoint Server 2007 or SharePoint Server 2010 have no operating system requirements that relate to service packs and Team Foundation Server.

Best Practices for SharePoint Products

  • If you install SharePoint Products, you can use any port that you want for the Central Administration site. You do not have to use port 17012.

  • NTLM is the recommended authentication.

  • Team Foundation Server Extensions for Windows SharePoint Services does not support Basic authentication or anonymous authentication.

  • After you install SharePoint Products, you must provision a Web application.

Required Permissions

To perform this procedure, you must be a member of the Administrators security group on the computer where you install SharePoint Products and where you host its databases.

To install SharePoint Products to work with Team Foundation Server

  1. Start the installation wizard for SharePoint Products.

    You can start this wizard by inserting the installation DVD. If you are installing Microsoft Office SharePoint Server 2007 or SharePoint Server 2010, type your product key, and click Continue.

  2. On the Read the Microsoft Software License Terms page, read the agreement. If it is acceptable, select the I accept the terms of this agreement check box, and then click Continue.

  3. On the Choose the installation you want page, perform one of the following steps:

    • If you are installing Windows SharePoint Services 3.0 or Microsoft Office SharePoint Server 2007, click Advanced.

    • If you are installing SharePoint Server 2010, click Server Farm.

  4. On the Server Type tab, perform one of the following steps:

    • If you are installing Windows SharePoint Services 3.0, click Web Front End.

    • If you are installing Microsoft Office SharePoint Server 2007 or SharePoint Server 2010, click Complete.

  5. If you are installing SharePoint Server 2010, you must skip this step. Otherwise, on the Feedback tab, specify an option. (This is not a required step.)

    For more information about the program, click the link. You must have an Internet connection to view the program information.

  6. Click Install Now.

    When the installation wizard finishes, a dialog box appears that prompts you to complete the configuration of your server.

  7. In that dialog box, verify that the Run the SharePoint Products and Technologies Configuration Wizard now check box is selected.

  8. Click Close to start the configuration wizard.

  9. On the Welcome to SharePoint Products and Technologies page, click Next.

    Note Note

    If a warning about restarting certain services appears, click Yes. Some services might be need to be restarted during the configuration phase.

  10. On the Connect to a server farm page, click No, I want to create a new server farm, and then click Next.

  11. On the Specify Configuration Database Settings page, perform the following steps:

    1. In Database server, type the name of the server that is running SQL Server and which you will use to host the databases for Team Foundation Server. If you will use a named instance, add its name after the name of the database server, separated by a slash (for example, MyDatabaseServer\MyInstanceName).

    2. In Database name, type the name of the database that you want to use, or accept the default value.

    3. Under Specify Database Access Account, in Username, type the name of the user account that you want to use as the service account for SharePoint Products (WSSSERVICE).

      You can use the same service account that you will use for Team Foundation Server (referred to as TFSSERVICE).

    4. Under Specify Database Access Account, in Password, type the password for the service account.

    5. After you specify all the required information, click Next.

  12. If you are installing Windows SharePoint Services 3.0 or Microsoft Office SharePoint Server 2007, you must skip this step. Otherwise, you must type a password in Passphrase, confirm the password by typing it again in Confirm Passphrase, and then click Next.

  13. On the Configure SharePoint Central Administration Web Application page, select the Specify port number check box, and type 17012.

    Team Foundation Server uses this as the port number for the SharePoint Products administration site. You can use any port number, but Team Foundation Server has always used 17012 as the port number for the SharePoint Products administration site.

  14. In Configure Security Settings, click NTLM, and then click Next.

  15. On the Completing the SharePoint Products and Technologies Configuration Wizard page, review the information, and then click Next.

  16. On the Configuration Successful page, click Finish.

  17. Provision a Web application.

    For more information, see Checklist: Multiple-Server Installation or Checklist: Single-Server Installation.

    Note Note

    Configuration for Team Foundation Server is not complete. You may have additional configurations to complete, based on which product you are installing and whether it is installed on the same server as Team Foundation Server. For more information, see Checklist: Multiple-Server Installation or Checklist: Single-Server Installation.

See Also

Tasks

How to: Install Team Foundation Server Extensions for Windows SharePoint Services

Reference

Checklist: Single-Server Installation
Checklist: Multiple-Server Installation

Change History

Date | History | Reason
March 2011 | Modified steps to include SharePoint Server 2010 installation. | Information enhancement.


How to: Configure Settings for Dashboard Compatibility

[image]

How to: Configure Settings for Dashboard Compatibility
Send Feedback

Updated: June 2011

To use the Enterprise edition of Microsoft Office SharePoint Server 2007 or Microsoft SharePoint Server 2010, you must configure it to work with your deployment of Visual Studio Team Foundation Server. If you do not configure the settings that this topic describes, the reports and dashboards in team project portals might not have all the functionality that you expect or might not function correctly.

Tip Tip

After the release of Team Foundation Server 2010, Microsoft created a tool to automatically configure Microsoft Office SharePoint Server 2007 or SharePoint Server 2010 for use with that version of Team Foundation Server. This tool includes its own documentation that describes how to run the tool and its limitations. If you use this tool, you do not have to complete any of the procedures in this topic. To obtain this tool, see the following page on the Microsoft website: Microsoft Team Foundation Server 2010 MOSS Configuration Tool.

Required Permissions

To perform this procedure, you must be a member of the Administrators security group on the server that is running Team Foundation Server. You must also be a member of the Farm Administrators group in SharePoint Products.

Configure SharePoint Server 2010

To manually configure the Enterprise edition of SharePoint Server 2010 for compatibility with Team Foundation Server, you must perform the procedures in this section.

Configure Required Services in SharePoint Server 2010

Team Foundation Server requires certain services to run in SharePoint Server 2010 for reports and dashboards to appear correctly in team project portals.

To configure services in SharePoint Server 2010

  1. On the server that is running SharePoint Server 2010, open SharePoint Central Administration, and then click Configuration Wizards.

  2. Click Start the Wizard.

  3. Make sure that the Excel Services Application and Secure Store Service check boxes have been selected, and then click Next.

Configure Excel Services

For reports to operate correctly, you must also configure the web application that you created for Team Foundation Server to use a trusted file location for Excel Services.

To add a trusted file location

  1. In SharePoint Central Administration, under Application Management, click Manage service applications.

  2. On the Manage Service Applications page, click Excel Services Application.

  3. On the Manage Excel Services Application page, click Trusted File Locations.

  4. Click Add Trusted File Location.

  5. In Address, type the URL of the root site of the web application that you will use with Team Foundation Server.

    You should specify the web application that you created for Team Foundation Server.

  6. In Location Type, click Microsoft SharePoint Foundation.

  7. In Trust Children, select the Children trusted check box.

  8. In the External Data section, under Allow External Data, click Trusted data connection libraries and embedded.

  9. (Optional) Clear the Refresh warning enabled check box.

  10. In Maximum Concurrent Queries Per Session, change the number to 20, and then click OK.

Configure Secure Store Service (optional)

In SharePoint Server 2010, the secure store service replaces the single sign-on service in Microsoft Office SharePoint Server 2007. To configure the secure store service, you must create a target application for the secure store. In Microsoft Office SharePoint Server 2007, this application was called an enterprise application definition.

To configure the secure store service

  1. In SharePoint Central Administration, under Application Management, click Manage service applications.

  2. On the Manage Service Applications page, click Secure Store Service.

  3. Click New to create a secure store target application for Team Foundation Server

    Tip Tip

    If you have not created a key, SharePoint Products prompts you to create one by clicking Generate New Key. Without a key, you cannot create a target application for the secure store.

  4. On the Create New Secure Store Target Application page, in Target Application ID and Display Name, type TFS.

    Tip Tip

    You do not have to use TFS for Target Application ID or Display Name, but take note of whatever you use here, because you will need it to configure Team Foundation Server later.

  5. In Contact E-mail, type the e-mail address of the person or group to whom you want email messages about this application to be sent.

  6. In the Target Application Type list, click Group.

  7. In Target Application Page URL, click None, and then click Next.

  8. In Specify the credential fields for your Secure Store Target Application, click Next to accept the default settings for the credential fields.

  9. In Specify the membership settings, type the administrative account for the application in Target Application Administrators.

  10. In Members, type the global security group from the domain that contains all the users to whom you want to grant access to dashboards and reports in Team Foundation Server, and then click OK.

  11. On the Secure Store Service Application page, select the check box for the target application that you just created (named TFS if you used the naming guidance that was provided earlier in this topic), and then click Set Credentials in the ribbon.

  12. In the Set Credentials for Secure Store Target Application (Group) dialog box, type the name, type the password, and then confirm the password of the report reader account for Team Foundation Server, and then click OK.

    Tip Tip

    TFSReports is the placeholder name of the report reader account.

Configure Office SharePoint Server 2007

To manually configure the Enterprise edition of Microsoft Office SharePoint Server 2007 for compatibility with Team Foundation Server, you must perform the procedures in this section.

Configure Required Services in Office SharePoint Server 2007

Team Foundation Server requires certain services to run in Microsoft Office SharePoint Server 2007 for reports and dashboards to appear correctly in team project portals.

To configure services in Office SharePoint Server 2007

  1. On the server that is running Microsoft Office SharePoint Server 2007, open SharePoint Central Administration.

  2. Click the Operations tab, and under Topology and Services, click Services on server.

  3. In Select server role to display services you will need to start in the table below, click Single Server or Web Server for small server farms or Web server for medium server farms.

    Note Note

    For this procedure, both options are equally valid. The services are the same for both options.

  4. In Start services in the table below, find Excel Calculation Services, click Start, and then wait for the operation to complete.

  5. In Start services in the table below, find Office SharePoint Server Search, and then click Start.

    The Configure Office SharePoint Server Search Service Settings page opens.

  6. In Query and Indexing, select the Use this server for indexing content and Use this server for serving search queries check boxes.

  7. In Contact E-mail Address, type the address of an e-mail account to which external users should send mail about problems with this server.

  8. In Farm Search Service Account, type the user name and password of a domain account to use as the search service account for Office SharePoint Server.

  9. Leave the rest of the settings in their default configurations, click Start, and then wait for the operation to complete.

    Note Note

    The search service account that you specify for Office SharePoint Server requires special permissions and has security implications. For this account, you should not specify the service account that you use for SharePoint Products or a system account, such as Network Services. For more information, see the following page on the Microsoft website: Service Accounts and Dependencies in Team Foundation Server.

  10. In Start services in the table below, find Windows SharePoint Services Search, and then click Start.

    The Configure Windows SharePoint Services Search Service Settings page opens.

  11. In Service Account, type the user name and password of a domain account to use as the service account.

  12. In Content Access Account, type the user name and password of an account to use as the read-only access account.

  13. Leave the rest of the settings in their default configurations, click Start, and then wait for the operation to complete.

    Note Note

    The accounts that you specify for the service Account and the content access account both require special permissions and have security implications. For more information, see the following page on the Microsoft website: Service Accounts and Dependencies in Team Foundation Server.

Create a Shared Service Provider for Use with Team Foundation Server

After you enable the services that Team Foundation Server requires, you must create a shared service provider (SSP) for use with Team Foundation Server. You will also create a SharePoint web application to support this SSP.

To create a shared service provider and the web application that it will use

  1. Click Home to display the main page for Central Administration, and then click Shared Services Administration.

  2. On the Manage this Farm's Shared Services page, click New SSP.

    The New Shared Services Provider page appears.

  3. In SSP Name, either type a name for the new SSP, or accept the default name.

    By default, the name is SharedServices followed immediately by a number (for example, SharedServices1).

  4. Click Create a new Web application.

    The Create New Web Application page appears.

  5. In IIS Web site, click Create a new IIS Web site.

  6. (Optional) In Description, change the value from the default value, SharePoint, to the name that you provided in the previous step (for example, SharedServices1).

    Important note Important

    Do not change the port number or remove the port number reference from the description.

  7. In Security Configuration, click NTLM, and then click Create a new application pool.

  8. In Application Pool, configure the following options:

    • In Application pool name, ensure that the name matches the name in Description.

    • In the Select a security account for this application pool section, click Configurable, and then type the user name and password of the service account for SharePoint Products.

  9. Leave the rest of the settings in their default configurations, and then click OK.

    After the web application is created, the New Shared Services Provider page appears with an error message in the title bar. This behavior is expected.

  10. In SSP Name, in Web Application, verify that the name of the web application that you just created for the SSP appears, and do not modify the values of any settings in this section.

  11. In My Site Location, under My Site Location URL, in Relative URL, type a relative URL if a site already exists at /.

    This URL is required only if a site already exists at /. Users typically specify /My, but you can specify any name that does not use prohibited characters. For more information, see the following page on the Microsoft website: Naming Restrictions in Team Foundation.

  12. In Enter the SSP Service Credentials, type the user name and password of a domain account that you want to use as the account for the service credentials.

    Note Note

    You must specify a domain user account, but it does not have to be a member of any particular security group. Specify a unique user account that does not have administrative permissions. Do not use the service account for Team Foundation (TFSService) or the data reader account (TFSReports) because they both require permissions that this account should not have. For more information, see the following page on the Microsoft website: Service Accounts and Dependencies in Team Foundation Server.

  13. Leave the rest of the settings in their default configurations, click OK, and then wait for the operation to complete.

    Note Note

    If a warning message appears about hosting the administration site for SSP and the root site on the same server, click OK.

  14. On the Success page, click OK.

Configure Single Sign-On

To configure single sign-on, you must create an enterprise application definition. During the following procedure, you might need to log on with two sets of credentials. To successfully complete this procedure, the account with which you log on to the server that is running Microsoft Office SharePoint Server 2007 must meet the following requirements:

  • The account must be a domain user account, not a group account.

  • The account must be a member of the Farm Administrators group.

  • The account must be a member of the local Administrators group on the encryption-key server.

  • The account must be a member of the securityadmin and db_creator roles on the instance of SQL Server that will host the single sign-on database.

  • The account must be either the same account that is used as the Single Sign-On Administrator Account or a member of the group account that is used as the Single Sign-On Administrator Account.

To configure single sign-on

  1. In SharePoint Central Administration, click the Operations tab.

  2. Under Security Configuration, click Service accounts.

  3. On the Service Accounts page, in the Credential Management section, click Windows service, and then click Single Sign-on Service from the list of services.

  4. In the Select an account for this component section, click Configurable.

  5. Type the user name and password of an account that you have configured to use as the sign-on account, and then click OK.

    Note Note

    The service account that you specify requires special permissions and has security implications. The account must have the permissions that are required to log on interactively on this server and must be a member of the Administrators group on the single sign-on server. For this account, you should not specify the service account that you use for SharePoint Products or a system account, such as Network Services. For more information, see the following pages on the Microsoft website: Service Accounts and Dependencies in Team Foundation Server, Plan for administrative and service accounts, Single Sign-On Service, and Start the Single Sign-On Service.

  6. Click Start, click Administrative Tools, and then click Services.

  7. In Services, right-click Microsoft Single Sign-On Service, and then click Properties.

  8. On the General tab, in Startup type, click Automatic, click Start, and then click OK.

  9. In SharePoint Central Administration, click the Operations tab.

  10. Under Security Configuration, click Manage settings for single sign-on.

    Note Note

    To open this page, you might need to log on with the account and credentials that you configured in the previous step. In that case, you should switch users or start another session and log on to the server with that account. You should not log off your current user session. As an alternative, you can try the Sign In as a Different User function in SharePoint Central Administration, but that function might not work for this operation. To try to use this function, click Welcome UserName at the top of the window, click Sign In As A Different User, and then sign in with that account.

  11. On the Manage Settings For Single Sign-On page, click Manage server settings.

    The Manage Server Settings for Single Sign-On page appears.

  12. In Single Sign-on Administrator Account, type the user name and password of an account that you have configured to use as the sign-on account.

    Note Note

    The service account that you specify requires special permissions and has security implications. The account must have the permissions that are required to log on interactively on this server and must be a member of the Administrators group on the single sign-on server. For this account, you should not specify the service account that you use for SharePoint Products or a system account, such as Network Services. For more information, see the following pages on the Microsoft website: Service Accounts and Dependencies in Team Foundation Server, Plan for administrative and service accounts, Single Sign-On Service, and Start the Single Sign-On Service.

  13. In Enterprise Application Definition Administrator Account, type the user name of the person or group of people whom you want to assign as the manager or managers of enterprise application definitions on this server.

    You should consider creating and using a group that you will use for all members of the Team Foundation Administrators group.

  14. Leave the rest of the settings in their default configurations, and then click OK.

  15. On the Manage Settings For Single Sign-On page, click Manage encryption key.

  16. On the Manage Encryption Key page, click Create Encryption Key.

  17. On the Create Encryption Key page, click OK.

    Important note Important

    Make sure that you back up the encryption key to a secure location.

  18. Return to the Manage Settings For Single Sign-On page.

    Note Note

    If you signed into SharePoint Central Administration with a different user account to change the settings for single sign-on, you should change back to a session that you are running with your own account. After you make this change, the top two options disappear from the Manage settings for Single Sign-On page.

  19. Click Manage settings for the enterprise application definitions.

  20. On the Manage Settings for the Enterprise Application Definitions page, click New Item.

    The Create an Enterprise Application Definition page appears.

  21. (Optional) In Application and Contact Information, in both Display name and Application name, type TFS.

    This step is not required, but it can be useful for convenience in later identification.

  22. In E-mail address, type the email address of the person or group to whom you want to email messages about this application to be sent.

  23. In Account type, click Group.

  24. In Authentication type, click Windows Authentication, and then click OK.

  25. Return to the Manage Settings For Single Sign-On page, and then click Manage account information for enterprise application definitions.

    The Manage Account Information for Enterprise Application Definitions page appears.

  26. In the Account information section, in the Enterprise account definition list, click the name of the enterprise account definition that you created to support Team Foundation Server.

    If you followed the suggested naming convention, the name will be TFS.

  27. In Group account name, type the name of a global security group in the domain that contains all the users to whom you want to grant access to dashboards and reports in Team Foundation Server, and then click Set.

  28. In Provide Server Account Information, type the name and password for the report reader account (referred to with the placeholder TFSReports), and then click OK.

  29. On the Manage Account Information for Enterprise Application Definitions page, click Done.

Add a Trusted File Location for Excel Services

For reports to operate correctly, you must also configure the web application that you created for Team Foundation Server to use a trusted file location for Excel Services.

To add a trusted file location

  1. In SharePoint Central Administration, click Home to return to the home page for SharePoint Central Administration.

  2. Under Shared Services Administration, click the name of the shared service provider that you created.

    If you followed the suggested naming convention, this application will be called SharedServices1.

    The home page for administering the web application opens.

  3. Under Excel Services Settings, click Trusted file locations.

  4. On the Trusted File Locations page, click Add trusted file location.

    The Excel Services Add Trusted File Location page appears.

  5. In Address, type the URL of the root site of the web application that you will use with Team Foundation Server.

    You should specify the web application that you created in the Create a Web Application section.

  6. In Location Type, click Windows SharePoint Services.

  7. In Trust Children, select the Children trusted check box.

  8. In the External Data section, under Allow External Data, click Trusted data connection libraries and embedded.

  9. (Optional) Clear the Refresh Warning Enabled check box.

  10. In Maximum Concurrent Queries Per Session, change the number to 20, make sure that the Refresh warning enabled check box is cleared, and then click OK.

Set the Access Model

After you configure all the settings and services that Team Foundation Server requires, you must configure the access model for the web application for single sign-on for delegation. If you do not configure the access model, Team Foundation Server and the web application cannot interoperate.

To set the access model

  1. On the server that is running SharePoint Central Administration, open a Command Prompt window.

  2. Change directories to %programfiles%\Common Files\Microsoft Shared\Web Server Extensions\12\bin, and type the following command:

    stsadm -o set-ecssecurity -ssp SharedServiceProviderName -accessmodel delegation

    SharedServiceWebApplicationName is the name of the shared service provider that you created. If you followed the suggested naming convention, this name of that provider is SharedServices1.

  3. At the command prompt, type iisreset to restart IIS.

Change History

Date | History | Reason
June 2011 | Added manual configuration information for SharePoint Server 2010. | Information enhancement.
March 2011 | Added information about and link to tool that automatically configures SharePoint Server 2010 or Microsoft Office SharePoint Server 2007 for dashboard compatibility. | Information enhancement.


Configure the Enterprise Application Definition for Team Foundation Server

[image]

Configure the Enterprise Application Definition for Team Foundation Server
See Also Send Feedback

If you want to use a server that is running Microsoft Office SharePoint Server 2007 or Microsoft SharePoint Server 2010, you must add the enterprise application definition to your deployment of Visual Studio Team Foundation Server. You created the enterprise application definition when you configured SharePoint Products for dashboard compatibility. You must perform this configuration before reports and dashboards will appear correctly in Team Foundation Server.

To configure the enterprise application definition

  1. On the server that is running Team Foundation Server Extensions for Windows SharePoint Services, open the administration console for Team Foundation.

  2. Click Extensions for SharePoint Products, and then click the SharePoint Web application for which you want to configure the enterprise application definition.

  3. Click Modify access, type the name of the enterprise application definition, and then click OK.

See Also

Reference

Checklist: Single-Server Installation
Checklist: Multiple-Server Installation


Manually Installing SQL Server for Team Foundation Server

[image]

Manually Installing SQL Server for Team Foundation Server
See Also Send Feedback

Updated: October 2010

Visual Studio Team Foundation Server requires SQL Server 2008. You have multiple options:

  • You can use the basic configuration of Team Foundation Server, which comes with SQL Server Express.

  • You can install SQL Server 2008.

  • You can use an existing installation of SQL Server 2008.

Tip Tip

You can host data for Team Foundation Server on a SQL Server cluster. As long as all the servers in the cluster meet the listed requirements, you do not have to make any special configurations to the cluster.

Regardless of which option you choose, your instance of SQL Server must meet the following requirements:

Supported editions

  • SQL Server 2008, Express

  • SQL Server 2008, Standard Edition

  • SQL Server 2008, Enterprise Edition

  • SQL Server 2008, R2 Express

  • SQL Server 2008, R2 Standard Edition

  • SQL Server 2008, R2 Enterprise Edition

Required for Team Foundation Server

  • Database Engine Services

  • Full text search

Required for reporting

  • Reporting Services

  • Analysis Services

Collation settings

  • Must be accent sensitive

  • Must not be case sensitive

  • Must not be Binary

  • Must not be Binary - code point

For more information, see SQL Server Collation Requirements for Team Foundation Server.

Authentication

Windows authentication

Service account

You can use a domain account or a built-in account.

In This Section

How to: Manually Install SQL Server 2008 for Team Foundation Server

Provides steps for how to install SQL Server 2008 for Team Foundation Server. You can follow these steps whether you are installing only the required components on a single server, all components across multiple servers, or any combination of the two.

SQL Server Collation Requirements for Team Foundation Server

Explains collation settings for SQL Server and the requirements that Team Foundation Server has for these settings.

See Also

Reference

Checklist: Single-Server Installation
Checklist: Multiple-Server Installation
Checklist: Upgrade Team Foundation Server By Using More Than One Server

Change History

Date | History | Reason
October 2010 | Added information about support for SQL Server clusters. | Customer feedback.
June 2010 | Added support for SQL Server 2008 R2 editions. | Customer feedback.


SQL Server Collation Requirements for Team Foundation Server

[image]

SQL Server Collation Requirements for Team Foundation Server
See Also Send Feedback

When you install SQL Server, you must consider two things about collation settings that could affect your Visual Studio Team Foundation Server deployment:

  • Requirements for Team Foundation Server

  • All instances of SQL Server in your Team Foundation Server deployment must use the same settings

You can set collation settings for the Database Engine and SQL Server Analysis Services. Collation settings include character set, sort order, and other locale-specific settings, which are fundamental to the structure and function of SQL Server databases. You cannot change these settings after installation.

Requirements for Team Foundation Server

To work with Team Foundation Server, the collation settings for SQL Server must be case insensitive, accent sensitive, and not binary. If multiple SQL Server are running an instance of Database Engine or SQL Server Analysis Services for Team Foundation Server, the collation settings that you use must be the same across all these servers.

SQL Server bases your default collation settings on the locale of your operating system. The default setting for U.S. English and most other locales often meets the requirements for Team Foundation Server. However, those settings might not support all of the data that your organization must store in Team Foundation Server. In that case, you must find a setting that supports your data and is accent sensitive, not case sensitive, and not binary.

If you install Database Engine Services or Analysis Services for SQL Server 2008, you can change collation settings on the Server Configuration page, by clicking the Collation tab and then clicking Customize. You may want to specify an option under Collation designator and sort order. For example, you can specify Latin1_General (and select the AS checkbox), if you require support for additional characters.

For most other locales, the default setting is an option under Collation designator and sort order. Make sure that the settings match the requirements for Team Foundation Server. If you must change this setting, you should specify the option that is named for your locale with "_100" after it, where possible. For example, you can use Japanese_100 collation if you use Unicode CJK Extension A characters or Unicode Surrogates in the following ways:

  • Names of objects, such as queries or projects, in Team Foundation Server.

  • Files or paths that are checked into the version control system.

  • Any field of the work items that is used for searches.

To avoid problems with double-width or hiragana/katakana-equivalent characters, you should select the check boxes to enable Kana and width sensitivity when you install SQL Server.

For more information, see the Microsoft Web site: Collation Settings in Setup.

See Also

Reference

Checklist: Single-Server Installation
Checklist: Multiple-Server Installation
Checklist: Upgrade Team Foundation Server By Using More Than One Server

Concepts

How to: Manually Install SQL Server 2008 for Team Foundation Server


How to: Manually Install SQL Server 2008 for Team Foundation Server

[image]

How to: Manually Install SQL Server 2008 for Team Foundation Server
See Also Send Feedback

If you install SQL Server 2008 for Visual Studio Team Foundation Server, you must install certain features, but other features are required only if you want to generate reports. SQL Server Express does not include Client Connectivity Tools, but you can add it by following the procedures in this topic.

Note Note

For the best results, you should use the same edition of SQL Server for all servers that will host databases for a deployment of Team Foundation Server. For example, if you intend to use a separate server for reporting, you should ensure that it is running the same edition of SQL Server as the server that hosts the configuration database for Team Foundation Server.

Note Note

If you are installing Team Foundation Server or SQL Server on Windows Server 2008 R2, you must have .NET Framework 3.5 installed. On Windows Server 2008 R2, you can install .NET Framework 3.5 by using the Add Features Wizard from Server Manager. For more information, see the following page on the Microsoft Web site: Adding Server Roles and Features.

Requirements for Team Foundation Server

To run Team Foundation Server, you must install both the Database Engine and Full text search on the same instance of SQL Server. However, that instance does not have to run on the same server as Team Foundation Server.

Requirements for Reporting

If you want to generate reports that show data from Team Foundation, you must configure Team Foundation Server to use both SQL Server Analysis Services and SQL Server Reporting Services. You can install one or both of these features on the same server as Team Foundation Server, or you can install each feature on a different server from each other and from Team Foundation Server.

If SQL Server Reporting Services is not on the server that is running Team Foundation Server and you are using reporting, you must install Client Tools Connectivity on Team Foundation Server.

Recommendations for SQL Server Topologies

Team Foundation Server supports numerous SQL Server topologies, partly to accommodate teams with existing SQL Server installations. However, there are some guidelines for how to set up SQL Server for Team Foundation Server.

  • Single server: the Database Engine, Full text search, SQL Server Reporting Services, and Analysis Services on the same server that is running Team Foundation Server. If you do not want reporting, you do not need SQL Server Reporting Services, and Analysis Services. For more information, see Scenario: Installing Team Foundation Server on a Single-Server

  • Dual Server: SQL Server Reporting Services and Team Foundation Server running on the same server; the Database Engine, Full text search, SQL Server Analysis Services on another server. The scenario splits HTTP traffic from SQL Server traffic. If you do not want reporting, you do not need SQL Server Reporting Services, and Analysis Services.

  • Multiple Server: the Database Engine, Full text search on one server; SQL Server Reporting Services on a second server; Analysis Services on a third server (Reporting Services and Analysis Services could also be on the same server); and Client Tools Connectivity on the server that is running Team Foundation Server. If you do not want reporting, you do not need SQL Server Reporting Services, Analysis Services, or Client Tools Connectivity, effectively turning this into a dual-server topology.

For more information about deployments that use multiple server combinations, see Scenario: Installing Team Foundation Server Using Existing Infrastructure or More than One Server

Report Server

If you use reporting, Team Foundation Server requires a dedicated report server.

The report server requires its own relational database to function. This database is separate from the relational database that Team Foundation Server uses to provide reports. If you install SQL Server Reporting Services and the Database Engine on the same server, SQL Server setup can configure Reporting Services by setting up its required relational database on the Database Engine instance.

If you install Reporting Services without the Database Engine, you must manually configure Reporting Services after you install SQL Server. This involves specifying an instance of the Database Engine where you can host the relational database for the report server. For more information, see Configure Report Server Manually.

As a best practice for deployments of Team Foundation Server that use reporting, you should configure the Windows service for Analysis Services to recover in case of failure. For more information, see Configure Analysis Services to Recover on Failure.

Required Permissions

To perform these procedures, you must be a member of the Administrators security group on the server on which you are installing SQL Server.

To manually configure a report server, you must also be a member of the Administrators security group on the SQL Server that hosts the report server database, if this instance of SQL Server is not on your report server.

Install SQL Server 2008

To install SQL Server 2008

  1. Insert the installation DVD for SQL Server 2008 Enterprise Edition or Standard Edition, and double-click setup.exe.

    Note Note

    The installation program for SQL Server offers to install the appropriate versions of the Microsoft .NET Framework and Windows Installer if they are not already installed. You must install these components to continue with the installation of SQL Server, and you must restart your server if you are prompted after these components are installed.

  2. On the SQL Server Installation Center page, click Installation, and then click New SQL Server stand-alone installation or add features to an existing installation.

  3. On the Setup Support Rules page, click OK.

  4. On the Product Key page, type your product key and click Next.

  5. On the License Terms page, review the license agreement. If you accept the terms and conditions, select the I accept the licensing terms check box, and then click Next.

  6. On the Setup Support Files page, click Install.

  7. On the Setup Support Rules page, click Next.

    Note Note

    A Windows Firewall warning may appear, but this warning can be safely ignored. For more information about SQL Server ports required for Team Foundation Server, see Ports Required for Installation of Team Foundation Components.

  8. On the Feature Selection page, select the check boxes for the following components, and then click Next:

    • Database Engine Services (required for Team Foundation Server)

    • Full-Text Search (required for Team Foundation Server)

    • Analysis Services (required for reporting)

    • Reporting Services (required for reporting)

    • Client Tools Connectivity (required if no other SQL Server components are installed on the server that is running Team Foundation Server.)

    • Management Tools - Basic

    Note Note

    To install Team Foundation Server, you do not need to install Management Tools (Basic or Complete) on the same computer as SQL Server. However, you must use SQL Server Management Studio to verify your installation of SQL Server.

  9. On the Instance Configuration page, click Default instance or Named instance. If you click Named instance, type the name of the instance. Click Next.

  10. On the Disk Space Requirements page, click Next.

  11. On the Server Configuration page, click Use the same account for all SQL Server services, or type the name of a domain account or NT AUTHORITY\NETWORK SERVICE in Account Name for every service.

    • If you specify a domain account, type its password in Password.

    • If you use NT AUTHORITY\NETWORK SERVICE, leave Password blank.

    • If you click Use the same account for all SQL Server services, you may still have to manually type account information for some services.

    In the Startup Type column, verify that Automatic appears for all services that you can edit, and then click Next.

  12. If you selected the check box for Database Engine Services in step 8, on the Database Engine Configuration page, click Windows authentication mode, click Add Current User, and then click Next.

    Note Note

    You can set collation settings on this page and the next, Analysis Services Configuration. For more information, see SQL Server Collation Requirements for Team Foundation Server

  13. If you selected the check box for Analysis Services in step 8, on the Analysis Services Configuration page, click Add Current User, and then click Next.

  14. If you selected the check box for Reporting Services in step 8, on the Reporting Services Configuration page, click Install the native mode default configuration. If that option is unavailable, click Install, but do not configure the report server, and then click Next.

    If you plan to have the report server and Team Foundation Server on different servers and cannot automatically configure the report server, you must manually configure it after you finish installing SQL Server.

    Note Note

    You should not click Install the SharePoint integrated mode default configuration. Team Foundation Server does not support this configuration mode.

  15. (Optional) On the Error and Usage Reporting page, select one or both check boxes to specify where information about errors and feature usage should be sent, and then click Next.

  16. On the Installation Rules page, click Next.

  17. On the Ready to Install page, review the list of components to be installed, and then click Install.

    The Installation Progress page shows the status of each component.

  18. After installation has completed, click Next.

  19. On the Complete page, click Close.

Configure Report Server Manually

You must manually configure your report server if you could not configure Reporting Services when you installed SQL Server. If Reporting Services is on the same server as Team Foundation Server and you have not configured the report server, you are prompted during Team Foundation Server installation to complete the report server configuration, starting on step 3.

To manually configure a report server

  1. Click Start, point to All Programs, point to Microsoft SQL Server 2008, point to Configuration Tools, and click Reporting Services Configuration Manager.

    The Reporting Services Configuration Connection dialog box appears.

  2. In Server Name, type the name of the report server. If you are using an instance name, type the name of the instance in Report Server Instance. Click Connect.

  3. On the Reporting Services Configuration Manager page, click Start if the Report Service status reads Stopped.

  4. In the navigation bar, click Web Service URL.

  5. On the Web Service URL page, click Apply to accept the default values in the Virtual Directory, IP Address, and TCP Port boxes.

  6. In the navigation bar, click Database.

  7. On the Report Server Database page, click Change Database.

    The Report Server Database Configuration Wizard appears.

  8. On the Action page of the wizard, click Create a new report server database, and click Next.

  9. On the Database Server page of the wizard, type the name of a local or remote instance of SQL Server to host the database for the report server in Server Name, and click Next.

  10. On the Database page of the wizard, click Next to accept the default values in the Database Name, Language, and Native Mode boxes.

  11. In Credentials, click Next to accept the default values in the Authentication Type, User name, and Password boxes.

  12. On the Summary page of the wizard, verify your information, and click Next.

  13. On the Progress and Finish page of the wizard, click Finish.

  14. In the navigation bar for Reporting Services Configuration Manager, click Report Manager URL.

  15. On the Report Manager URL page, click Apply to accept the default value in the Virtual Directory box, and then click Exit.

Configure Analysis Services to Recover on Failure

You should configure the Windows service for Analysis Services to restart itself if it fails.

To configure Analysis Services to recover

  1. Click Start, point to All Programs, point to Administrative Tools, and then click Services.

  2. Right-click the Windows service for SQL Server Analysis Services (MSSQLSERVER), and then click Properties.

    If you are using a named instance of Analysis Services, the instance name appears in parenthesis.

  3. Click Recovery,

  4. In the First failure list, click Restart the Service.

  5. In the Second failure list, click Restart the Service.

  6. In the Subsequent failures list, click Restart the Service, and then click OK.

See Also

Reference

Checklist: Single-Server Installation
Checklist: Multiple-Server Installation
Checklist: Upgrade Team Foundation Server By Using More Than One Server

Concepts

SQL Server Collation Requirements for Team Foundation Server


How to: Configure Team Foundation Server By Using the Standard Configuration for Single-Server Installations

[image]

How to: Configure Team Foundation Server By Using the Standard Configuration for Single-Server Installations
See Also Send Feedback

You can use the following procedures to configure Visual Studio Team Foundation Server by using the standard configuration. To complete this procedure, you must have a domain account to use as the service account for Windows SharePoint Services 3.0 (WSSSERVICE).

For more information about accounts, see Accounts Required for Installation of Team Foundation Components

Note Note

If you have accessed the tool by selecting the check box at the end of the installation wizard for Team Foundation Server, you can skip the procedure for accessing the tool from the Start menu.

Required Permissions

To perform this procedure, you must be a member of the Administrators security group on the server that is running Team Foundation Server.

To access the Team Foundation Server Configuration tool from the Start menu

  1. Click Start, point to All Programs, point to Microsoft Team Foundation Server 2010, and then click Team Foundation Administration Console.

    The Team Foundation Administration Console appears.

  2. Click Application Tier, and then click Configure Installed Features.

    The Team Foundation Server Configuration tool appears.

To configure Team Foundation Server by using the standard configuration

  1. Click Standard Single Server, and then click Start Wizard.

    The Team Foundation Server Standard Configuration wizard appears.

  2. Read the Welcome screen, and then click Next.

  3. In User Account, type the name of the service account that you want to use for Windows SharePoint Services 3.0 (WSSSERVICE).

    This account is also used as the report reader account to create reports (TFSREPORTS).

  4. In Password, type the password for this service account, and then click Next.

  5. Review the information, and then click Next.

    The wizard validates your configuration.

  6. Click Configure.

    The wizard applies configuration settings.

  7. Click Next.

  8. Click Close.

  9. Click Close.

    The Team Foundation Administration Console appears.

See Also

Reference

Checklist: Single-Server Installation


How to: Configure Team Foundation Server By Using the Advanced Configuration for Single-Server or Multiple-Server Installations

[image]

How to: Configure Team Foundation Server By Using the Advanced Configuration for Single-Server or Multiple-Server Installations
See Also Send Feedback

Updated: September 2010

You can use the Team Foundation Server Advanced Configuration wizard to configure Visual Studio Team Foundation Server on a client or server operating system. If you run this wizard on a client operating system, you cannot configure integration with a team project portal or the reporting feature of Team Foundation Server.

To complete this procedure on a server operating system, you must have at least one domain account, which you can use for all of the following identities:

  • the service account for Team Foundation Server (TFSSERVICE)

  • the report reader account for creating reports (TFSREPORTS)

  • the service account for new installations of Windows SharePoint Services 3.0 (WSSSERVICE)

For more information about accounts, see Accounts Required for Installation of Team Foundation Components

Note Note

If you have accessed the Team Foundation Server Configuration tool by selecting the check box at the end of the installation wizard for Team Foundation Server, you can skip the procedure for accessing the tool from the Start menu.

Required Permissions

To perform this procedure, you must be a member of the Administrators security group on the server on which you will install Team Foundation Server. If you plan to configure reporting, you must also be a member of the Administrators security group on the server that is running SQL Server Reporting Services. If you plan to configure SharePoint Products, you must be a member of the Farm Administrators group on the SharePoint Products administration site. If you did not install the Database Engine that will host the configuration database or a database administrator manages the instance of SQL Server that you are using, you must be a member of sysadmin Server role in SQL Server to perform this procedure. If you or your database administrator want more precise control over permissions in SQL Server, see the following page on the Microsoft website: Database Permissions Required to Configure TFS.

To access the Team Foundation Server Configuration tool from the Start menu

  1. Click Start, point to All Programs, point to Microsoft Team Foundation Server 2010, and then click Team Foundation Administration Console.

    The Team Foundation Administration Console appears.

  2. Click Application Tier, and then click Configure Installed Features.

    The Team Foundation Server Configuration tool appears.

To configure Team Foundation Server using the advanced configuration

  1. In the Team Foundation Server Configuration tool, click Advanced, and then click Start Wizard.

    The Team Foundation Server Advanced Configuration wizard appears.

  2. Read the Welcome screen, and then click Next.

  3. In SQL Server Instance, type the name of the server that is running SQL Server or the named instance that will host the configuration databases, and click Next.

    You can also perform any of these optional steps:

    • In Server Database Label, type a label string, which is then embedded into both of the default database names.

      By using this technique, you can use a single instance of SQL Server to host multiple configuration databases.

    • Select the Use pre-existing empty database(s) check box, and then specify databases that are hosted on the server that is named in SQL Server Instance. You must create names for these databases by using the default naming structure, with or without a label. You can find the default naming structure under Team Foundation Server Databases.

    • Click Test to test the connectivity to SQL Server.

  4. Under Service Account, click Use a system account to use a built-in account or Use a user account to use a domain or local account. If you are using a user account, you must type the password. To test the user account and password combination, you can optionally click Test.

    A built-in account is the default value for this service account (TFSSERVICE).

  5. Under Authentication Method, click NTLM or Negotiate (Kerberos), and then click Next.

    • If you click NTLM, NTLM authentication is used. This option is the default setting.

    • If you click Negotiate (Kerberos), Kerberos authentication is attempted first. If that attempt fails, NTLM authentication is used.

  6. Under Web Site, click Create a new site or Use existing site.

    • If you create a site, type a name in Web Site Name and a port number in Port. This is the name that appears in Internet Information Services (IIS) and the port number used to connect to Team Foundation Server.

      The default values for Web Site are Team Foundation Server and 8080.

    • If you use an existing site, select it from the drop-down list.

  7. Under IIS Virtual Directory, you can use the default value of tfs or optionally type a virtual directory name. If you are using an existing site, you cannot leave this field blank.

  8. Under Web Site, note the Team Foundation Server site URL, which is dynamically assembled based on your input in Web Site and IIS Virtual Directory. Clients use this URL to connect to Team Foundation Server. Click Next.

    On a client operating system, you must skip to step 11. You cannot configure integration with a portal or the reporting feature of Team Foundation Server (steps 9 and 10) on a client operating system.

  9. Use the Configure Reporting for Team Foundation Server page to opt in or out of using reporting. Select the Configure Reporting for use with Team Foundation Server check box to use reporting, or clear the check box to skip reporting, and then click Next.

    1. Type the name of the server that is running SQL Server Reporting Services in Reporting Services Instance and click Populate URLs.

      The URLs for the report server and its management site appear in the drop-down lists for Report Server URL and Report Manager URL.

    2. Ensure the values displayed are the URLs that you want to use for Team Foundation Server and click Next.

    3. Type the name of the server that is running SQL Server Analysis Services in SQL Analysis Services Instance and click Next.

      To test the connectivity to SQL Server, you can optionally click Test.

    4. Type the name and password of the report reader account (TFSREPORTS), and click Next. If you specified a user account for the service account of Team Foundation Server in step 4, you must select the Use a different account than the Team Foundation Server service account for the Reporting Services report reader account check box to use a different account.

      To test the user account and password combination, you can optionally click Test.

  10. Use the Configure SharePoint for Team Foundation Server page to opt in or out of using SharePoint Products. Select the Configure SharePoint Products for use with Team Foundation Server check box to use SharePoint Products, or clear the check box to skip SharePoint Products. Click Next.

    Note Note

    If your SharePoint Products site is running on a different server than Team Foundation Server and you do not have administrative permission on the site, you should skip this configuration and team project collection creation later in this procedure. After you complete this wizard, you can use the Team Foundation Server Administration guide to integrate SharePoint Products without administrative permissions. For more information, see the following page on the Microsoft Web site: Integrate with SharePoint Products Without Administrative Permissions

    If you selected the check box to configure SharePoint Products, perform one of the following steps, and then click Next:

    • Click Install Windows SharePoint Services 3.0 in farm mode, and then type a user account and password for the service account for Windows SharePoint Services 3.0 (WSSSERVICE). If you specified a user account for the service account of Team Foundation Server in step 4, you must select the Use a different account than the Team Foundation Server service account for the SharePoint farm check box to use a different account.

    • Click Use an existing server farm for SharePoint Products. In Site URL, type the URL for the SharePoint Web application. In Administration URL, type the URL for the SharePoint Central Administration site. To test connectivity to each of these URLs, click Test.

  11. Select the Create a new team project collection check box to create a collection, or clear that check box to skip that step.

    Note Note

    If your SharePoint Products site is running on a different server than Team Foundation Server and you do not have administrative permission on the site, you should skip this configuration. After you configure Team Foundation Server, you can use the Team Foundation Server Administration guide to integrate SharePoint Products without administrative permissions. For more information, see the following page on the Microsoft Web site: Integrate with SharePoint Products Without Administrative Permissions

    If you create a collection, accept the default values, or type a new name and description. Click Next.

  12. On the Review page, review the settings, and click Next.

    The wizard validates your configuration.

  13. Click Configure.

    The wizard applies configuration settings. This process might take several minutes.

  14. Click Next.

  15. Click Close.

  16. Click Close.

    The Team Foundation Administration Console appears.

See Also

Reference

Checklist: Single-Server Installation
Checklist: Multiple-Server Installation

Change History

Date | History | Reason
September 2010 | Specified permissions for SQL Server. | Customer feedback.


Scenario: Installing Team Foundation Server Using Existing Infrastructure or More than One Server

[image]

Scenario: Installing Team Foundation Server Using Existing Infrastructure or More than One Server
See Also Send Feedback

Installing Team Foundation Server on Multiple Servers Using Existing Infrastructure

Installing on more than one server

You can install Visual Studio Team Foundation Server on more than one server. By using this strategy, you can integrate Team Foundation Server with existing server software deployments in your organization, such as SQL Server or SharePoint Products. If you use multiple servers, you can distribute the load between Team Foundation Server and the configuration database, or you can ensure that prerequisite server software for features such as reporting or the portal site is running on capable hardware.

Team Foundation Server offers robust scale-out features, which include the ability to add one or more servers that are running Team Foundation Server to an existing deployment and add a team project collection to an instance of SQL Server that was not part of the original deployment of Team Foundation Server. However, these scale-out features are not part of this scenario. This scenario offers you guidance for an initial deployment of Team Foundation Server that uses more than one server. For more information about how to add an application-tier server to your deployment of Team Foundation Server, see Scenario: Installing a Team Foundation Server Farm (High Availability).

To install Team Foundation Server on multiple servers, you must use the advanced installation wizard. Typically, this scenario involves hosting Team Foundation Server and the configuration database on different servers. If you use optional features that require prerequisite server software, these installations can also be hosted on different servers. Team Foundation Server includes two such features: reporting and a team portal for sharing documents.

Tip Tip

A multiple-server installation requires an Active Directory domain and domain accounts or the Network Service account. You cannot use local accounts for service accounts.

Reporting and Multiple-Server Configurations

If you want to use the reporting feature in Team Foundation Server, you must have an installation of SQL Server Reporting Services and SQL Server Analysis Services. These features can be installed on the same server or different servers. If you do not want to set up a server that is running Reporting Services, you can skip setting up the report server during your installation.

Team Foundation Server requires a report server that is dedicated only to its use. You cannot share the report server with any other application.

Portal Server and Multiple-Server Configurations

You can use a remote installation of any supported version of SharePoint Products for the portal server. However, you must first install and configure the Team Foundation Server Extensions for Windows SharePoint Services on the server that is running SharePoint Products before you install Team Foundation Server. The installation checklist for multiple servers offers guidance about how to set up this configuration.

Installing Team Foundation Server Extensions for SharePoint Products on a Remote Portal

install extensions on remote portal

You can use the Team Foundation Server Configuration Tool to install and configure Windows SharePoint Services 3.0 on the same server as Team Foundation Server. If you do not want to use Windows SharePoint Services 3.0, you have the following options:

  • You can install any of the other supported versions of SharePoint Products before you install Team Foundation Server.

  • You can install Team Foundation Server on a server that hosts a supported installation of SharePoint Products.

In any of these cases, the installation wizard for Team Foundation Server installs and configures the Team Foundation Server Extensions for Windows SharePoint Services.

See Also

Reference

Checklist: Multiple-Server Installation


Checklist: Multiple-Server Installation

[image]

Checklist: Multiple-Server Installation
See Also Send Feedback

Use this checklist to install Visual Studio Team Foundation Server on more than one server.

The tables later in this topic contain tasks and detailed instructions in the form of links. The links provide either procedural or conceptual information for you to perform the associated task. Perform the tasks from top to bottom, without skipping any tasks.

Preparation

The tasks in the following table help you prepare the operating systems and network environment for a multiple server Team Foundation Server installation.

Task

Detailed instructions

Download the current version of this guide. The most recent version of this guide contains the most up-to-date installation procedures.

  • For the most recent version of the installation guide for Team Foundation, see the following page on the Microsoft Web site: Installation Guide for Team Foundation.

Check for supported hardware and software. Verify that the operating system on every server where you will install a Team Foundation Server component meets Team Foundation Server requirements. Verify the hardware is capable of running Team Foundation Server and all prerequisite server software. Review the language requirements for Team Foundation Server.

  • System Requirements for Team Foundation Server

  • 64-Bit Support in Team Foundation

  • Language Requirements for Team Foundation Server

Check for required permissions and user accounts. Verify that the account that you will use to install Team Foundation Server is a member of the Administrators security group on the servers where you will install Team Foundation Server. If you plan to configure reporting, you must also be a member of the Administrators security group on the server that is running SQL Server Reporting Services. If you plan to configure SharePoint Products, you must be a member of the Farm Administrators group on the SharePoint Central Administration site.

Determine the service accounts that you will use to install Team Foundation Server, SQL Server, and SharePoint Products.

  • Accounts Required for Installation of Team Foundation Components

Check for supported environment settings. To use Team Foundation Server on multiple servers, you must have an Active Directory domain that meets the requirements of Team Foundation Server.

If you have a firewall between the server where you want to run Team Foundation Server and any clients or other servers that must connect to Team Foundation Server, verify that the ports required by Team Foundation Server are open.

If Windows Firewall is on and configured to allow exceptions, the installation wizard for Team Foundation Server creates exceptions for Team Foundation Server. If Windows Firewall is configured to disallow exceptions or you are using a different firewall, you must specify the ports manually before you install Team Foundation Server.

  • Team Foundation Server Requirements for Active Directory

  • Ports Required for Installation of Team Foundation Components

Optional: Configuration of a Remote SharePoint Products Site

If you are not using a SharePoint Products site or it is installed on the same server as Team Foundation Server, this section is optional. The tasks in the following table help you to configure a remote SharePoint Products site for Team Foundation Server.

Task

Detailed instructions

Team Foundation Server Administrator Fills out Worksheet. For a remote installation of SharePoint Products, multiple administrators may want to exchange information to configure Team Foundation Server. To help facilitate communication between the Team Foundation Server administrator and the administrator for SharePoint Products, the Team Foundation Server administrator should print the Worksheet: Team Foundation Server and SharePoint Products Collaboration. The Team Foundation Server administrator must add the information that is required by the administrator for SharePoint Products, and then hand off the worksheet and the Team Foundation Server installation media to the administrator for SharePoint Products to complete the rest of the tasks in this checklist.

  • Worksheet: Team Foundation Server and SharePoint Products Collaboration

Install and provision SharePoint Products. You can install SharePoint Products with the recommending settings for Team Foundation Server. After you install SharePoint Products, you must use the SharePoint Central Administration site to create a Web application that has the following characteristics:

  • uses port 80

  • uses NTLM for authentication

  • has a unique name that also indicates the port number

  • How to: Manually Install SharePoint Products on Windows Server for Team Foundation Server

For more information about how to create a Web application, see the following pages on the Microsoft Web site:

  • For information about Windows SharePoint Services 3.0, see Create a Web application.

  • For information about Microsoft Office SharePoint Server 2007, see Create or extend a Web application.

  • For information about Microsoft SharePoint Server 2010, see Create a Web application that uses Windows-classic authentication (SharePoint Server 2010).

Note Note

If you specify a port number other than 80, users must include it as part of the address for Team Foundation Server to operate correctly.

Configure Microsoft Office SharePoint 2007 or SharePoint Server 2010. If you are using Microsoft Office SharePoint Server 2007 Enterprise or SharePoint Server 2010 Enterprise, you must perform the required configurations for dashboard compatibility. If you are configuring Windows SharePoint Services 3.0, skip to the next step.

  • How to: Configure Settings for Dashboard Compatibility

Install and Configure Extensions. Verify that the installation of SharePoint Products meets the minimum requirements for Team Foundation Server and then install and configure Team Foundation Server Extensions for Windows SharePoint Services.

Add the service account that you plan to use for Team Foundation Server to the Farm Administrators group. Add the account of the person who will be installing the application tier to the Farm Administrators group. Use the printed worksheet to locate the account name for the service account of Team Foundation Server (TFSSERVICE) and the account of the person who is installing Team Foundation Server.

  • How to: Verify SharePoint Products for Team Foundation Server

  • How to: Install Team Foundation Server Extensions for Windows SharePoint Services

  • How to: Configure Team Foundation Server Extensions for Windows SharePoint Services

  • How to: Add the Service Account for Team Foundation Server to the Farm Administrators Group

Administrator for SharePoint Products Fills out Worksheet. The Team Foundation Server administrator requires specific information about the installation of SharePoint Products to finish the Team Foundation Server configuration. The administrator for SharePoint Products should print the Worksheet: Team Foundation Server and SharePoint Products Collaboration. The administrator for SharePoint Products must then add the information that the Team Foundation Server administrator requires, and then hand off the worksheet to the Team Foundation Server administrator.

  • Worksheet: Team Foundation Server and SharePoint Products Collaboration

Prerequisite Installation and Configuration

The tasks in the following table enable you to install and verify prerequisite software for a multiple-server installation of Team Foundation Server.

Task

Detailed instructions

Set up Internet Information Services (IIS). IIS is installed for you on most operating systems except for Windows Server 2003 or Windows Server 2008. If you are using one of these operating systems or want to avoid the warning message during configuration, you must install IIS on the server where you will install Team Foundation Server. If IIS has already been installed, you can verify that it is configured to work with Team Foundation Server.

  • Installing Internet Information Services (IIS) for Team Foundation Server or Team Foundation Proxy

  • How to: Verify Internet Information Services for Team Foundation Server or Team Foundation Server Proxy

Set up SQL Server. Review the Team Foundation Server collation requirements. Determine the collation settings that your organization requires for its data and ensure that those settings meet the requirements of Team Foundation Server. If these settings are not consistent across all SQL Server instances added to Team Foundation Server, you may get unexpected results in reports.

Either install SQL Server 2008 on the server where you will host the Database Engine and Full text search features or verify that an existing installation meets Team Foundation Server requirements. By default, Team Foundation Server creates required databases during installation, but you can provision empty databases, using appropriate naming conventions. Provisioning empty databases is optional.

(Optional) Set up Reporting. If you want to use reporting, you must either install SQL Server Reporting Services and SQL Server Analysis Services or verify that an existing installation meets Team Foundation Server requirements. You do not have to use the same SQL Server instance for the report server as the one that you used for the Database Engine. You can even use multiple servers to host the report server. However, your report server cannot be shared with other applications. Team Foundation Server requires a dedicated report server. If your report server is not on the same server as Team Foundation Server, you must add the service account for Team Foundation Server to the Content Manager group on the report server.

  • SQL Server Collation Requirements for Team Foundation Server

  • Manually Installing SQL Server for Team Foundation Server

  • Provisioning SQL Server Databases for Team Foundation Server

  • How to: Add the Service Account for Team Foundation Server to the Report Server

Verify SQL Server. Verify that all instances of SQL Server are configured to meet the minimum requirements of Team Foundation Server.

  • How to: Verify SQL Server 2008 for Team Foundation Server

(Optional) Install and configure Microsoft Office SharePoint 2007 or SharePoint Server 2010. You can install Microsoft Office SharePoint Server 2007 or SharePoint Server 2010 with the recommended settings for Team Foundation Server. If you plan to use the installation of Windows SharePoint Services 3.0 that comes with the installation of Team Foundation Server, skip to the installation of Team Foundation Server.

After you install Microsoft Office SharePoint Server 2007 or SharePoint Server 2010, you must use the SharePoint Central Administration site to create a Web application that has the following characteristics:

  • uses port 80

  • uses NTLM for authentication

  • has a unique name that also indicates the port number

  • How to: Manually Install SharePoint Products on Windows Server for Team Foundation Server

  • For more information about how to create a Web application, see one of the following pages on the Microsoft Web site: Create or extend a Web application or Create a Web application that uses Windows-classic authentication (SharePoint Server 2010).

Note Note

If you specify a port number other than 80, users must include it as part of the address for Team Foundation Server to operate correctly.

If you are using Microsoft Office SharePoint Server 2007 or SharePoint Server 2010, perform the required configurations for dashboard compatibility and verify that SharePoint Products is configured correctly. Otherwise, skip to the installation of Team Foundation Server.

  • How to: Configure Settings for Dashboard Compatibility

  • How to: Verify SharePoint Products for Team Foundation Server

Team Foundation Server Installation

The tasks in the following table enable you to install and configure Team Foundation Server.

Task

Detailed instructions

Set up Team Foundation Server. Install Team Foundation Server, and then use the Team Foundation Server Configuration tool to configure your deployment.

  • How to: Install Team Foundation Server

  • How to: Configure Team Foundation Server By Using the Advanced Configuration for Single-Server or Multiple-Server Installations

Final configuration of Microsoft Office SharePoint 2007 or SharePoint Server 2010.

If you installed Microsoft Office SharePoint Server 2007 or SharePoint Server 2010, you must configure the enterprise application definition that you created for Team Foundation Server. If you are using Windows SharePoint Services 3.0 or skipped installation of SharePoint Products, you can skip this step.

  • Configure the Enterprise Application Definition for Team Foundation Server

See Also

Concepts

Scenario: Installing Team Foundation Server Using Existing Infrastructure or More than One Server


Team Foundation Server Requirements for Active Directory

[image]

Team Foundation Server Requirements for Active Directory
See Also Send Feedback

You can install Visual Studio Team Foundation Server on more than one server if they are all joined to an Active Directory domain that is based on a functional level that Team Foundation Server supports. You can install Team Foundation Server on a single server that is joined to an Active Directory domain or that is a member of a workgroup.

You cannot install Team Foundation Server on servers that are joined to domains whose domain controllers are running Windows NT Server 4.0. The following table shows which functional levels for Active Directory domains Team Foundation Server supports.

Functional levels for Active Directory domains | Supported
Windows 2000 mixed mode Domain controllers that are running Windows NT Server 4.0, Windows 2000, Windows Server 2003, and Windows Server 2003 R2. | No
Windows 2000 native mode Domain controllers that are running Windows 2000, Windows Server 2003, Windows Server 2003 R2, or Windows Server 2008. | Yes
Windows Server 2003 interim mode Domain controllers that are running Windows NT Server 4.0, Windows Server 2003, and Windows Server 2003 R2. | No
Windows Server 2003 mode Domain controllers that are running Windows Server 2003, Windows Server 2003 R2 or Windows Server 2008. | Yes
Windows Server 2008 mode Domain controllers that are running Windows Server 2008 | Yes

See Also

Reference

Checklist: Multiple-Server Installation
Checklist: Upgrade Team Foundation Server By Using More Than One Server


Using an Existing Infrastructure for Prerequisites

[image]

Using an Existing Infrastructure for Prerequisites
See Also Send Feedback

Topics that describe how to use verify and extend an existing infrastructure to accommodate prerequisite software required for Visual Studio Team Foundation Server.

In This Section

Verifying Whether Existing Deployments Meet Requirements

Provides topics that describe how to verify installations of existing prerequisite software for Team Foundation Server.

Extending Existing Deployments

Provides topics that describe how to extend installations of existing prerequisite software for Team Foundation Server.

See Also

Concepts

Scenario: Installing Team Foundation Server on a Single-Server
Scenario: Installing Team Foundation Server Using Existing Infrastructure or More than One Server


Verifying Whether Existing Deployments Meet Requirements

[image]

Verifying Whether Existing Deployments Meet Requirements
See Also Send Feedback

Topics that describe how to verify prerequisite software required for Visual Studio Team Foundation Server.

In This Section

How to: Verify Internet Information Services for Team Foundation Server or Team Foundation Server Proxy

Provides information that describes how to verify IIS for Team Foundation Server.

How to: Verify SharePoint Products for Team Foundation Server

Provides information that describes how to verify SharePoint Products for Team Foundation Server.

How to: Verify SQL Server 2008 for Team Foundation Server

Provides information that describes how to verify SQL Server for Team Foundation Server.

See Also

Concepts

Scenario: Installing Team Foundation Server on a Single-Server
Scenario: Installing Team Foundation Server Using Existing Infrastructure or More than One Server


How to: Verify Internet Information Services for Team Foundation Server or Team Foundation Server Proxy

[image]

How to: Verify Internet Information Services for Team Foundation Server or Team Foundation Server Proxy
See Also Send Feedback

To verify that Internet Information Services (IIS) is configured to work with Team Foundation components, you must follow the appropriate steps for your operating system.

Verify IIS on Windows Server 2008

To verify IIS on Windows Server 2008

  1. Click Start, point to All Programs, point to Administrative Tools, and then click Server Manager.

  2. In the tree pane, expand Roles, and click Web Server (IIS).

  3. In the Role Services pane, ensure that the following role services show a status of Installed:

    • Web Server

      • Common HTTP Features

      • Static Content

      • Default Document

      • Directory Browsing

      • HTTP Errors

    • Application Development

      • ASP.NET

      • .NET Extensibility

      • ISAPI Extensions

      • ISAPI Filters

    • Health and Diagnostics

      • HTTP Logging

      • Request Monitor

    • Security

      • Windows Authentication

      • Request Filtering

    • Performance

      • Static Content Compression

    • Management Tools

      • IIS Management Console

    • IIS 6 Management Compatibility

      • IIS 6 Metabase Compatibility

      • IIS 6 WMI Compatibility

      • IIS 6 Scripting Tools

      • IIS 6 Management Console

  4. If any role service is not installed, click Add Role Services.

    The Add Role Services wizard appears.

  5. In Select Role Services, select the check box for any role services that were not installed and click Next.

  6. Click Install.

  7. Click Close.

Verify IIS on Windows Server 2003

To verify that IIS is not using IIS 5.0 isolation mode

  1. Click Start, and then click Run.

    The Run dialog box appears.

  2. In Open, type inetmgr and click OK.

    Internet Information Services (IIS) Manager appears.

  3. In Internet Information Services (IIS) Manager, double-click ServerName (local computer), and then right-click Web Sites,and click Properties.

    ServerName is the name of the Web server.

  4. On the Service tab, verify that the check box for Run WWW service in IIS 5.0 isolation mode is cleared, and click OK.

To verify that IIS is not using FrontPage 2002 Server Extensions

  1. Click Start, point to Control Panel, and click Add or Remove Programs.

    The Add or Remove Programs dialog box appears.

  2. Click Add/Remove Windows Components.

    The Windows Components Wizard appears.

  3. Click Application Server and click Details.

    The Application Server dialog box appears.

  4. Click Internet Information Services (IIS) and click Details.

    The Internet Information Services (IIS) dialog box appears.

  5. If FrontPage 2002 Server Extensions check box is checked, clear it. Click OK twice.

  6. In the Windows Components Wizard, click Next.

  7. Click Finish.

  8. Click Start and then click Run.

    The Run dialog box appears.

  9. In Open, type inetmgr and click OK.

    The Internet Information Services (IIS) Manager appears.

  10. In the Internet Information Services (IIS) Manager, double-click ServerName (local computer), and then click Web Service Extensions and make sure FrontPage Server Extensions 2002 does not appear in the list. If FrontPage Server Extensions 2002 does appear in the list, click it and then click Prohibit.

To verify that IIS is using ASP.NET

  1. Click Start, point to Control Panel, and click Add or Remove Programs.

    The Add or Remove Programs dialog box appears.

  2. Click Add/Remove Windows Components.

    The Windows Components Wizard appears.

  3. Click Application Server and click Details.

    The Application Server dialog box appears.

  4. Ensure the ASP.NET check box is checked. Click OK.

  5. In the Windows Components Wizard, click Next.

  6. Click Finish.

See Also

Reference

Checklist: Single-Server Installation
Checklist: Multiple-Server Installation
Checklist: Upgrade Team Foundation Server By Using More Than One Server


How to: Verify SharePoint Products for Team Foundation Server

[image]

How to: Verify SharePoint Products for Team Foundation Server
See Also Send Feedback

Updated: March 2011

If you choose to use an installation of SharePoint Products other than the one that was installed during Visual Studio Team Foundation Server installation, you should verify that your installation of SharePoint Products meets the following guidelines:

  • The administration site and default Web site are running, and other computers on the network can access them.

  • SharePoint Products uses NTLM, the recommended authentication. (Basic authentication is not supported by Team Foundation Server Extensions for Windows SharePoint Services.)

  • If you have a new installation of SharePoint Products, you must provision a SharePoint Web application for Team Foundation Server.

  • If you are using Microsoft Office SharePoint Server 2007 or Microsoft SharePoint Server 2010, you must configure settings for dashboard compatibility.

Required Permissions

To perform this procedure, you must be a member of the Administrators security group on the server that is running SharePoint Products.

To verify that the administration site and default Web site are running and that other computers on the network can access them

  1. On the server that is running SharePoint Products, click Start, click Run, type inetmgr, and then click OK.

    Internet Information Services (IIS) Manager appears.

  2. In Internet Information Services (IIS) Manager, double-click ServerName (local computer).

    ServerName is the name of the Web server.

  3. Perform the appropriate steps for your operating system:

    For Windows Server 2008:

    1. Click Sites, and then click the default Web site.

    2. On the Actions pane, click Browse :80 (http).

      The default Web site appears in the default browser.

    3. Click the SharePoint Central Administration site.

      On the Actions pane, click Browse :Port (http).

      Port is the number of the port that is bound to the SharePoint Central Administration site.

      The SharePoint Central Administration site appears in the default browser.

    For Windows Server 2003:

    1. Right-click the default Web site, and click Browse.

      The default Web site appears in Internet Information Services (IIS) Manager.

    2. Right-click the SharePoint Central Administration site, and click Browse.

      The SharePoint Central Administration site appears in Internet Information Services (IIS) Manager.

To verify that the default Web site uses recommended authentication

  1. In a Web browser, open the SharePoint Central Administration site, and click the Application Management tab.

  2. Under Application Security, click Authentication Providers.

  3. In the Zone column, click Default.

  4. In IIS Authentication Settings, make sure that the Integrated Windows authentication check box is selected and that NTLM is clicked.

    Note Note

    You should check that the authentication setting that appears in the SharePoint Central Administration site matches the authentication setting that appears in IIS.

To verify that a new installation of SharePoint Products has a Web application

  1. In a Web browser, open the SharePoint Central Administration site, and click the Application Management tab.

  2. Under SharePoint Web Application Management, click Web application list, and ensure that the Web application that you will use with Team Foundation Server appears in the list.

    If you must create a Web application for Team Foundation Server, you can find recommendations and links to more information in the checklist for the installation that you are trying to perform.

To verify that Office SharePoint Server 2007 or SharePoint Server 2010 is configured for dashboard compatibility

  • If you are using the Enterprise edition of Microsoft Office SharePoint Server 2007 or SharePoint Server 2010, perform the required configurations for dashboard compatibility. If you are using any other version of SharePoint Products, you can disregard this procedure. For more information, see How to: Configure Settings for Dashboard Compatibility.

See Also

Reference

Checklist: Single-Server Installation
Checklist: Multiple-Server Installation

Change History

Date | History | Reason
March 2011 | Modified steps to include SharePoint Server 2010 verification. | Information enhancement.


How to: Verify SQL Server 2008 for Team Foundation Server

[image]

How to: Verify SQL Server 2008 for Team Foundation Server
See Also Send Feedback

Updated: June 2010

To ensure that your installation of SQL Server will work with Visual Studio Team Foundation Server, you should verify that the required SQL Server features are available, the underlying Windows services that are associated with SQL Server are running, the connection settings are configured, and the network ports are open.

If SQL Server Reporting Services is not on the server that is running Team Foundation Server and you are using reporting, you must install Client Tools Connectivity on Team Foundation Server.

If the Database Engine, SQL Server Analysis Services, and SQL Server Reporting Services are running on different instances of SQL Server, you must log on to each server to verify each instance.

Note Note

If you are not using Team Foundation Server reporting, you do not need to verify SQL Server Reporting Services or Analysis Services.

Required Permissions

To run SQL Server Configuration Manager, you must be a member of the Users security group on the server that hosts SQL Server. To use SQL Server Configuration Manager to modify services, you must be a member of the Administrators security group.

To run SQL Server Reporting Services Configuration Manager or SQL Server Management Studio, you must be a member of the Administrators security group on the operating system of the server that is running the instance of SQL Server that you want to verify. For SQL Server Management Studio, you must also be a member of the Public server role on the instance of SQL Server that you want to verify.

Verify Reporting Services

To verify that the Windows service is running using SQL Server Configuration Manager

  1. On the server that is running SQL Server Reporting Services, click Start, point to All Programs, point to Microsoft SQL Server 2008, point to Configuration Tools, and then click SQL Server Configuration Manager.

  2. Click SQL Server Services, and verify that Running appears in the State column for SQL Server Reporting Services.

To verify the report server URLs are running using SQL Server Reporting Services Configuration Manger

  1. On the server that is running SQL Server Reporting Services, click Start, point to All Programs, point to Microsoft SQL Server 2008, point to Configuration Tools, and click Reporting Services Configuration Manager.

    Note Note

    On Windows Server 2008, you must right-click Reporting Services Configuration Manager and click Run as administrator.

    The Reporting Services Configuration Connection dialog box appears.

  2. In Server Name, type the name of the report server. If you are using an instance name, type the name of the instance in Report Server Instance. Click Connect.

  3. Click Report Manager URL, and click the link to the report manager Web site.

    The report manager Web site for the report server opens in an Internet browser window.

  4. Click Web Service URL, and click the link to the report server Web site.

    The report server Web site opens in an Internet browser window.

Note Note

If SQL Server Reporting Services and Team Foundation Server are not on the same server, you must add the name of the service account that you will use for Team Foundation Server (TFSSERVICE) to the Content Manager group on the report server. This step is completed automatically during Team Foundation Server setup, if the report server is installed on Team Foundation Server. For more information, see How to: Add the Service Account for Team Foundation Server to the Report Server

Verify the Database Engine and Analysis Services

On the instance of SQL Server that is running the Database Engine, you must ensure that you have the Full-Text Search feature installed. To verify this functionality, you open the SQL Server Installation Center, and then click the New SQL Server stand-alone installation or add features to an existing installation. If Full-Text Search is not available on the instance of SQL Server that is running the Database Engine, you must install Full-Text Search. For more information about how to work with SQL Server Installation Center, see How to: Manually Install SQL Server 2008 for Team Foundation Server.

To verify that Windows services are running by using SQL Server Configuration Manager

  1. On the instance of SQL Server on which the Database Engine, SQL Server Analysis Services, or both are running, click Start, point to All Programs, point to Microsoft SQL Server 2008, point to Configuration Tools, and then click SQL Server Configuration Manager.

  2. Click SQL Server Services, and verify that Running appears in the State column and the Start Mode is set to automatic for all services.

    • To change the start mode of a service to start automatically, right-click the service, click Properties, click the Service tab, click the drop-down list to the right of Start Mode, and then click Automatic.

    • To change a stopped service state to running, right-click the stopped service and click Start.

  3. Click SQL Server Network Configuration, double-click Protocols for MyInstanceName, and verify that Enabled appears in the Status column for TCP/IP.

    If you specified the default instance during installation, MyInstanceName will be MSSQLSERVER.

Note Note

As a best practice, you should configure the Windows service for Analysis Services to recover in case of failure. For more information, see "Configure Analysis Services to Recover on Failure" in How to: Manually Install SQL Server 2008 for Team Foundation Server.

To perform the following procedure, you must have SQL Server Management Studio installed. However, it does not have to be installed on the server that is running the instance of SQL Server that you are verifying. If you must install SQL Server Management Studio, see How to: Manually Install SQL Server 2008 for Team Foundation Server.

To verify a connection to an instance of SQL Server by using SQL Server Management Studio

  1. Click Start, point to All Programs, point to Microsoft SQL Server 2008, and then click SQL Server Management Studio.

    The Connect to Server dialog box opens.

  2. In the Server type list, click Database Engine or Analysis Services, depending on the type of installation that you are verifying.

  3. Type the name of the server to which you want to connect, and then click Connect.

    If SQL Server is installed on a cluster, you must specify the server name, not the computer name. If you are using a named instance of SQL Server, you must specify the name of the server and the name of the instance. If you cannot connect to the server, verify the firewall settings, and then try to connect again.

  4. In Object Explorer, verify that a green arrow appears next to the server name.

See Also

Reference

Checklist: Single-Server Installation
Checklist: Multiple-Server Installation

Concepts

How to: Manually Install SQL Server 2008 for Team Foundation Server

Change History

Date | History | Reason
June 2010 | Added verification step for the Database Engine. | Customer feedback.


Extending Existing Deployments

[image]

Extending Existing Deployments
See Also Send Feedback

Topics that describe how to extend prerequisite software required for Visual Studio Team Foundation Server.

In This Section

How to: Install Team Foundation Server Extensions for Windows SharePoint Services

Provides information that describes how to install Team Foundation Server Extensions for Windows SharePoint.

How to: Configure Team Foundation Server Extensions for Windows SharePoint Services

Provides information that describes how to configure Team Foundation Server Extensions for Windows SharePoint.

Worksheet: Team Foundation Server and SharePoint Products Collaboration

Provides a worksheet to facilitate collaboration between a Team Foundation Server administrator and a SharePoint Products administrator for setting up remote SharePoint Products for a Team Foundation Server deployment.

How to: Add the Service Account for Team Foundation Server to the Farm Administrators Group

Provides information on how to configure SharePoint Products for Team Foundation Server.

How to: Add the Service Account for Team Foundation Server to the Report Server

Provides information on how to configure SQL Server Reporting Service for Team Foundation Server reporting.

Provisioning SQL Server Databases for Team Foundation Server

Provides information on how to create empty SQL Server databases for use during Team Foundation Server installation.

See Also

Concepts

Scenario: Installing Team Foundation Server on a Single-Server
Scenario: Installing Team Foundation Server Using Existing Infrastructure or More than One Server


How to: Install Team Foundation Server Extensions for Windows SharePoint Services

[image]

How to: Install Team Foundation Server Extensions for Windows SharePoint Services
See Also Send Feedback

If your SharePoint Products server is not on the server that is running Visual Studio Team Foundation Server, you have a remote portal. If you have a remote portal, you must install Team Foundation Server Extensions for Windows SharePoint Services on the remote portal. If multiple servers are running SharePoint Products in a Web farm, you must install and configure these extensions on every server in that farm.

Required Permissions

To perform this procedure, you must be a member of the Administrators security group on the server that is running SharePoint Products.

To install Team Foundation Server Extensions for Windows SharePoint Services

  1. From the Team Foundation Server DVD, launch either the 32-bit or the 64-bit setup.exe to match the operating system that you are running. For more information, see 64-Bit Support in Team Foundation.

    The Team Foundation installation wizard appears.

  2. On the Welcome page, click Next.

  3. On the License Terms page, read the terms of the license.

  4. Click I have read and accept the license terms, and then click Next.

  5. Click Extensions for SharePoint Products and Technologies, and then click Install.

    If the installation wizard prompts you to restart your server, click Restart Now.

    After the server is restarted, installation resumes.

  6. Click Finish.

    If you want to configure Team Foundation Server Extensions for Windows SharePoint Services, select the Launch Team Foundation Server Configuration Tool check box.

See Also

Tasks

How to: Configure Team Foundation Server Extensions for Windows SharePoint Services

Reference

Checklist: Multiple-Server Installation
Checklist: Upgrade Team Foundation Server By Using More Than One Server


How to: Configure Team Foundation Server Extensions for Windows SharePoint Services

[image]

How to: Configure Team Foundation Server Extensions for Windows SharePoint Services
See Also Send Feedback

If your SharePoint Products server is not on the server that is running Visual Studio Team Foundation Server, you have a remote portal. If you have a remote portal, you must install and configure Team Foundation Server Extensions for Windows SharePoint Services on the remote portal.

If you have multiple servers in a Web farm, you must install and configure Team Foundation Server Extensions for Windows SharePoint Services on every server in the farm. After you install the extensions, you must perform this configuration procedure on each server. An error message might appear during configuration asking you to verify that the extensions have been installed on every server in the farm. You can safely ignore this error. After the extensions have been installed and configured on every server, this error stops.

If you are the SharePoint Products network administrator collaborating with the Team Foundation Server administrator, you can find the Team Foundation Server data you need to set up the extensions on the printed copy of the Worksheet: Team Foundation Server and SharePoint Products Collaboration that the Team Foundation Server administrator provided for you.

Note Note

If you have accessed the Team Foundation Server Configuration tool by selecting the check box at the end of installation, you can skip the procedure for accessing the tool from the Start menu.

Required Permissions

To perform this procedure, you must be a member of the Farm administrators group on the SharePoint Products administration site.

To access the Team Foundation Server Configuration tool from the Start menu

  1. Click Start, point to All Programs, point to Microsoft Team Foundation Server 2010, and then click Team Foundation Administration Console.

    The Team Foundation Administration Console appears.

  2. Click Extensions for SharePoint Products and Technologies and then click Configure Installed Features.

    The Team Foundation Server Configuration tool appears.

To configure Team Foundation Server Extensions for Windows SharePoint Services

  1. In the Team Foundation Server Configuration tool, click Extensions for SharePoint Products and Technologies and then click Start Wizard.

    The Team Foundation Server SharePoint Extensions Configuration wizard appears.

  2. Click Configure. If an error message appears, address any problems in the message, and then click Continue.

  3. Click Close.

The Team Foundation Administration Console appears.

See Also

Tasks

How to: Install Team Foundation Server Extensions for Windows SharePoint Services

Reference

Checklist: Multiple-Server Installation
Checklist: Upgrade Team Foundation Server By Using More Than One Server


Worksheet: Team Foundation Server and SharePoint Products Collaboration

[image]

Worksheet: Team Foundation Server and SharePoint Products Collaboration
See Also Send Feedback

You can use the following worksheet to collaborate with the administrator of the SharePoint Products site that will host the Visual Studio Team Foundation Server portal.

Information Required for Initial SharePoint Products Configuration

To set up SharePoint Products to host the team project portal, the administrator for SharePoint Products requires the following information:

Description | Administrator for SharePoint Products requires this information:
Service account of Team Foundation Server (TFSSERVICE) |
Account that will be used to install the application tier for Team Foundation |
Data sources account of Team Foundation Server (TFSREPORTS)* |
Password for data sources account of Team Foundation Server (TFSREPORTS)* |
Active Directory group that contains all users of Team Foundation Server who may require access to the team project portal* |

*This information is required only for collaboration with administrators of Microsoft Office SharePoint Server 2007 Enterprise or Microsoft SharePoint Server 2010 Enterprise, which require additional configurations for Team Foundation Server dashboard compatibility.

Information Required for Team Foundation Server Final Configuration

To finish configuring Team Foundation Server, the administrator for SharePoint Products must complete the following table and return it to the administrator for Team Foundation Server.

Description

Administrator for Team Foundation Server requires this information:

The root URL for the SharePoint Web application.

This URL must include any relative path that is configured on the server that is running SharePoint Products to Team Foundation Server.

For example, you could create a Web application on port 80 and use the default managed path for SharePoint Products, which is named "sites." In that case, the root URL for Team Foundation Server would be http://WSSServername:80/sites.

In this example, WSSServername is the server name of the SharePoint Products site, 80 is the port number, and /sites is the managed path or site collection under which you want team project portals created.

The URL for SharePoint Central Administration

The name of the enterprise application definition.

See Also

Reference

Checklist: Multiple-Server Installation
Checklist: Upgrade Team Foundation Server By Using More Than One Server


How to: Add the Service Account for Team Foundation Server to the Farm Administrators Group

[image]

How to: Add the Service Account for Team Foundation Server to the Farm Administrators Group
See Also Send Feedback

You must add the service account for Visual Studio Team Foundation Server (TFSSERVICE) to the Farm Administrators group on the SharePoint Products site. If you are using Network Service for TFSSERVICE and SharePoint Products is not running on the same server as Team Foundation Server, you must add the computer name of the server that is running Team Foundation Server instead of Network Service. The computer name required is the server name followed by the $ symbol (for example, Domain\ServerName$).

If you are the network administrator for SharePoint Products and you are collaborating with the administrator for Team Foundation Server, you can find the account name that is used for TFSSERVICE on the printed copy of the worksheet that the administrator for Team Foundation Server may have handed off to you. For more information, see Worksheet: Team Foundation Server and SharePoint Products Collaboration.

For more information about service accounts, see Accounts Required for Installation of Team Foundation Components.

Required Permissions

To perform this procedure, you must be a member of the Administrators security group on the server that is running SharePoint Products.

To add the service account for Team Foundation Server to the Farm Administrators group in SharePoint Products

  1. In a Web browser, open the SharePoint Central Administration site.

  2. Click the Operations tab.

  3. Under Security Configuration, click Update farm administrator's group.

  4. In Groups, click Farm Administrators.

  5. Click New.

  6. In the Users/Groups box, type the name of the service account for Team Foundation Server (TFSSERVICE).

  7. Click OK.

    Note Note

    If your SharePoint Products server is not on the server that is running Team Foundation Server, you have a remote portal. If you have a remote portal, you must also add the account you are going to use to install Team Foundation Server to the Farm Administrators group.

See Also

Reference

Checklist: Single-Server Installation
Checklist: Multiple-Server Installation
Checklist: Upgrade Team Foundation Server By Using More Than One Server


How to: Add the Service Account for Team Foundation Server to the Report Server

[image]

How to: Add the Service Account for Team Foundation Server to the Report Server
See Also Send Feedback

If SQL Server Reporting Services and Visual Studio Team Foundation Server are not on the same server, you must add the name of the service account that you will use for Team Foundation Server (TFSSERVICE) to the Content Manager group on the report server. This step is done automatically during Team Foundation Server setup, if the report server is installed on Team Foundation Server.

If you are using Network Service for TFSSERVICE, you must add the machine name of the server that is running Team Foundation Server instead of Network Service. The machine name is the server name followed by the $ symbol (for example, Domain\ServerName$).

For more information about service accounts, see Accounts Required for Installation of Team Foundation Components.

Required Permissions

To perform this procedure, you must be a member of the Administrators security group on the report server.

To add the service account for Team Foundation Server to the Content Manager group on the report server

  1. On the server that is running SQL Server Reporting Services, click Start, point to All Programs, point to Microsoft SQL Server 2008, point to Configuration Tools, and click Reporting Services Configuration Manager.

    Note Note

    On Windows Server 2008, you must right-click Reporting Services Configuration Manager and click Run as administrator.

    The Reporting Services Configuration Connection dialog box appears.

  2. In Server Name, type the name of the report server. If you are using an instance name, click the name of the instance in the Report Server Instance list. Click Connect.

  3. Click Report Manager URL, and click the link to the report manager Web site.

    The report manager Web site for the report server opens in an Internet browser window.

  4. In the report manager Web site, click the Properties tab, and then click New Role Assignment.

  5. In Group or user name, type the name of the service account that you will use for Team Foundation Server (TFSSERVICE), select the Content Manager check box and then click OK.

See Also

Reference

Checklist: Multiple-Server Installation
Checklist: Upgrade Team Foundation Server By Using More Than One Server


Provisioning SQL Server Databases for Team Foundation Server

[image]

Provisioning SQL Server Databases for Team Foundation Server
See Also Send Feedback

You might want to create empty databases for Visual Studio Team Foundation Server. You are not required to create empty databases. However, you might find creating your own databases useful for managing the databases of multiple instances of Team Foundation Server on a single instance of SQL Server or hosting Team Foundation Server databases on a managed instance of SQL Server. Whatever the reason, this topic provides guidance for how to provision empty SQL Server databases for use with Team Foundation Server.

Conceptually, this procedure contains two steps:

  1. You create the databases and name them based on established guidelines.

  2. You identify these databases when you install Team Foundation Server.

Configuration Database

Team Foundation Server has two databases that you can configure to use an empty database during installation. By default, the configuration database hosts two databases:

  • Tfs_DatabaseLabelWarehouse

  • Tfs_DatabaseLabelApplication

These databases must use the naming structure as shown, but you can either omit the string DatabaseLabel or use any custom string that uniquely describes both databases.

When you install Team Foundation Server, you must select the I would like to use pre-existing databases that were created manually check box. If you added a label, you must also type it in Server Databases Label. The installation wizard will then use the empty databases that you created to set up the configuration database.

Note Note

Each project collection requires its own database, but you cannot configure Team Foundation Server to use an empty project collection database during installation. You must add an empty project collection database after installation, using Team Foundation Administration Console.

See Also

Reference

Checklist: Single-Server Installation
Checklist: Multiple-Server Installation


Scenario: Installing a Team Foundation Server Farm (High Availability)

[image]

Scenario: Installing a Team Foundation Server Farm (High Availability)
See Also Send Feedback

Add a Team Foundation Server

You might add an application-tier server to an existing deployment of Visual Studio Team Foundation Server for any of the following reasons:

  • You want to build redundancy into your deployment of Team Foundation Server.

  • You want your deployment of Team Foundation Server to run faster.

  • You want to restore an application-tier server that has failed.

  • You want to move an application tier to a different server.

Redundancy and Performance

In earlier versions of Team Foundation Server, you could run only the data tier on a SQL Server cluster. This limitation meant that you could enhance scalability for only part of your deployment of Team Foundation Server: the data tier. By using the Application-tier Only Configuration wizard, you can enhance the availability, scalability, and performance of your application tier also.

To benefit from multiple application-tier servers, you should ensure that your initial deployment of Team Foundation Server includes the following characteristics:

  • The application tier and the configuration database are installed on separate servers.

  • You used a domain account for the Team Foundation Server service account (TFSSERVICE).

  • Network Load Balancing (NLB) is deployed.

You use NLB to create a cluster of Web servers that appear as a single logical Web service. This procedure is separate from the Application-tier Only Configuration wizard. For more information about how to set up NLB, see the following page on the Microsoft Web site: Network Load Balancing.

Note Note

If you want to connect to an NLB cluster from a client that is running on one of the application-tier servers in the cluster, you should connect using localhost as the name of the server, instead of the Domain Name System (DNS) name for the load balancer. By default, Internet Information Services (IIS) prevents you from connecting to an NLB cluster from any server in the cluster, unless you use localhost as the name of the cluster.

If you create an NLB cluster, you do not need to use a SQL Server cluster for your configuration database or any team project collection. For the purposes of performance, scalability, and availability, any SQL Server cluster that you might deploy is independent of the NLB cluster.

Disaster Recovery and Hardware Upgrade

If you have a backup of your configuration database and your application tier has a hardware failure, you can use the Application-tier Only Configuration wizard to restore the application tier.

You can also move your application tier with the Application-tier Only Configuration wizard. Although no particular architecture is required to move an application tier, you must have access to the configuration database for the deployment.

See Also

Reference

Checklist: Adding an Application Tier


Checklist: Adding an Application Tier

[image]

Checklist: Adding an Application Tier
See Also Send Feedback

You can follow the steps in this checklist to add an application tier to an existing deployment of Visual Studio Team Foundation Server.

The following table contains tasks and links. The links provide either procedural or conceptual information to help you perform the associated task. Perform the tasks from top to bottom, without skipping any tasks.

Preparation

These tasks prepare the operating system and network environment for Team Foundation Server.

Task

Detailed instructions

Download the current version of this guide. The most recent version of this guide contains the most up-to-date installation procedures.

To download the most recent version of the installation guide for Team Foundation, see the following page on the Microsoft Web site:

  • Installation Guide for Team Foundation

Check for supported hardware and software. Verify that the operating system meets requirements for Team Foundation Server. Verify that the hardware can run an application tier. Review the language requirements for Team Foundation Server.

  • System Requirements for Team Foundation Server

  • 64-Bit Support in Team Foundation

  • Language Requirements for Team Foundation Server

Check for required permissions and user accounts. Verify that the account that you will use to install Team Foundation Server is a member of the Administrators security group on the server where you will install the additional application tier.

  • Accounts Required for Installation of Team Foundation Components

Check for supported environment settings. If you have a firewall between the server where you want to run this application tier and any clients or other servers that must connect to it, verify that any ports Team Foundation Server requires are open.

If Windows Firewall is on and configured to allow exceptions, the installation wizard for Team Foundation Server creates exceptions for Team Foundation Server.

If Windows Firewall is configured to disallow exceptions or you are using a different firewall, you must open the ports on the firewall manually before you install Team Foundation Server.

  • Ports Required for Installation of Team Foundation Components

Prerequisite Installation and Configuration

By completing these tasks, you can install and verify prerequisite software for adding an application tier to an existing deployment of Team Foundation Server.

Task

Detailed instructions

Set up Internet Information Services (IIS). Install IIS if it is not installed, and then verify that it is configured to work with Team Foundation Server.

  • Installing Internet Information Services (IIS) for Team Foundation Server or Team Foundation Proxy

  • How to: Verify Internet Information Services for Team Foundation Server or Team Foundation Server Proxy

Team Foundation Server Installation

By completing these tasks, you can install and configure Team Foundation Server.

Task

Detailed instructions

Set up Team Foundation Server. Install Team Foundation Server. After the installation is complete, use the Team Foundation Server Configuration Tool to run the Application-Tier Only Configuration wizard.

  • How to: Install Team Foundation Server

  • How to: Configure Team Foundation Server Using the Application-Tier Only Configuration

See Also

Concepts

Scenario: Installing a Team Foundation Server Farm (High Availability)


How to: Configure Team Foundation Server Using the Application-Tier Only Configuration

[image]

How to: Configure Team Foundation Server Using the Application-Tier Only Configuration
See Also Send Feedback

You can use the procedures in this topic to configure Visual Studio Team Foundation Server to use an additional application-tier server. To complete these procedures, you must already have installed Team Foundation Server using a domain account for the service account (TFSSERVICE). If you originally used a built-in account for TFSSERVICE, you must change to a domain account. For more information, see the section "Assigning a Different Account as the Service Account" on this page on the Microsoft Web site: Change the Service Account or Password for Team Foundation Server.

Note Note

You can skip the first procedure if you opened the Team Foundation Server Configuration tool by selecting the check box at the end of the Team Foundation Server installation.

Required Permissions

To perform this procedure, you must be a member of the Administrators security group on the server.

To open the Team Foundation Server Configuration tool from the Start menu

  1. Click Start, point to All Programs, point to Microsoft Team Foundation Server 2010, and then click Team Foundation Server Configuration Tool.

    The Team Foundation Administration Console appears.

  2. Click Team Foundation Server, and then click Configure Installed Features.

    The Team Foundation Server Configuration tool appears.

To configure Team Foundation Server by using the application-tier only option

  1. Click Application-Tier Only Configuration, and then click Start Wizard.

    The Team Foundation Server Application-Tier Only wizard appears.

  2. Read the Welcome screen, and then click Next.

  3. In SQL Server Instance, type the instance of SQL Server that hosts the configuration database for the installation of Team Foundation Server for which you want to add an application-tier server, and then click List Available Databases.

    The wizard lists all the databases on that instance of SQL Server.

  4. Click a database, and then click Next.

    The wizard displays the application-tier settings for this server.

  5. In the list, click the account you want to use. Type the password for the service account. To test the user account and password combination, you can optionally click Test.

    Note Note

    Make sure that the service account you specify has been added to the Farm Administrators group for the SharePoint Central Administration site. For more information, see How to: Add the Service Account for Team Foundation Server to the Farm Administrators Group.

  6. Under Authentication Method, click NTLM to use NTLM authentication or Negotiate (Kerberos) to first attempt Kerberos authentication, the more secure option, and if that fails, fall back to NTLM. Click Next.

    NTLM is the default value.

  7. On the Review page, review the settings, and then click Next.

    The wizard validates your configuration.

  8. Click Configure.

    The wizard applies configuration settings.

  9. Click Next.

  10. Click Close.

  11. Click Close.

    The Team Foundation Administration Console appears.

See Also

Reference

Checklist: Single-Server Installation
Checklist: Multiple-Server Installation


Scenario: Upgrading Team Foundation Server

[image]

Scenario: Upgrading Team Foundation Server
See Also Send Feedback

Updated: October 2010

You can use this topic to plan and upgrade your existing deployment to Visual Studio Team Foundation Server 2010. Before you upgrade, you should understand the releases from which you can upgrade, other requirements, and any optional features of Team Foundation Server 2010 that might require your consideration before you upgrade.

After you complete the upgrade, you should follow the links at the end of this topic to understand post-upgrade tasks and considerations. For example, you may still have some manual steps to perform on your upgraded team projects so that you can use certain features of Team Foundation Server 2010. In addition, you may want to better understand certain compatibility issues between different versions of Team Foundation Server and clients for Team Foundation.

You can upgrade to Team Foundation Server 2010 from the following releases:

  • Release-candidate version of Team Foundation Server 2010

  • Beta 2 version of Team Foundation Server 2010

  • Visual Studio Team System 2008 Team Foundation Server with Service Pack 1 (SP1)

  • Team System 2008 Team Foundation Server

  • Visual Studio 2005 Team Foundation Server

  • Visual Studio 2005 Team Foundation Server with SP1

You cannot upgrade an installation of Team Foundation Server that has open connections. Upgrade requires downtime.

In-Place or Migration Upgrade Paths

You can choose either of two upgrade paths. Descriptions and illustrations of both paths follow, together with examples and rationales for using one instead of the other.

In-Place Upgrade Path

You can perform an in-place upgrade by doing an upgrade on the same hardware that was running the earlier version of Team Foundation Server. When you use this path, you must uninstall the previous version of Team Foundation Server, install Team Foundation Server 2010, and then run the upgrade wizard. The following illustration shows an in-place upgrade. This illustration depicts a single Team Foundation Server 2010 environment after the upgrade.

Illustration of an In-place Upgrade

In place upgrade

If you use an in-place upgrade, you will have a single Team Foundation Server 2010 environment after the upgrade. The environment that was previously on your system is gone. In this case, an environment refers to all servers that make up a single version of Team Foundation Server, whether it is Team Foundation Server 2010 or an earlier version of Team Foundation Server.

Migration Upgrade Path

You can also perform a migration upgrade by migrating your data to different hardware. When you use this path, you must copy your data to different hardware, install Team Foundation Server 2010, and then run the upgrade wizard. The following illustration shows a migration upgrade:

Illustration of a Migration Upgrade

If you want to run both the new Team Foundation Server environment and the old environment simultaneously, you should perform a migration upgrade to new hardware. You might run two environments simultaneously to test the upgrade on your data before you commit to running the new version. After you move and restore your existing data to the new hardware, that data is autonomous and can be upgraded to create a different environment, even as your clients continue to use the old environment. The illustration labeled "Migration Upgrade" shows a migration upgrade, which creates two environments simultaneously running side by side on different computers after the upgrade.

The upgrade wizard deletes your old data during the upgrade. Regardless of what type of upgrade you perform or how many environments you run, you must back up your data before you start.

Which Type of Upgrade to Use

You should use the type of upgrade that best supports your team goals. In-place upgrades are typically less complex, but migration upgrades offer possibilities to improve scalability and testing.

The following are some examples of the different types of upgrades and the best checklist to use. This is not meant as a comprehensive list but offers only a few examples of what is possible by using each type of upgrade.

In-place upgrade examples

  • Your current environment includes a version of Team Foundation Server that the upgrade supports, with all prerequisites on the same server. You want to continue to use your existing hardware. Use Checklist: In-Place Upgrade of Team Foundation Server on a Single Server.

  • Your current environment includes a version of Team Foundation Server that is supported by the upgrade, with one or more prerequisites on another server. You want to continue to use your existing hardware. Use Checklist: Upgrade Team Foundation Server By Using More Than One Server.

Migration upgrade examples

  • Your current environment includes a version of Team Foundation Server that the upgrade supports, with all prerequisites on the same server. You want to move to different hardware or change your current topology so that one or more prerequisites runs on its own server after the upgrade. Use Checklist: Upgrade Team Foundation Server By Using More Than One Server.

  • Your current environment includes a version of Team Foundation Server that the upgrade supports, with one or more prerequisites on another server. You want to have two Team Foundation Server environments after upgrade. Use Checklist: Upgrade Team Foundation Server By Using More Than One Server.

New Prerequisite Requirements

Before you start your upgrade, you might have to upgrade SQL Server or SharePoint Products to meet new Team Foundation Server requirements.

You must use SQL Server 2008 to host any databases that Team Foundation Server requires. In earlier versions of Team Foundation Server, the term "data-tier server" described the server that hosts all the data for Team Foundation Server. In this version, you can distribute the data for an installation of Team Foundation Server across multiple instances of SQL Server, but each instance requires SQL Server 2008.

In this version of Team Foundation Server, reporting and portal server are optional features. To use either of these features, you must use specific versions of the prerequisite software.

  • Reporting: If you use reporting, you must use a SQL Server 2008 instance of SQL Server Reporting Services and SQL Server Analysis Services.

  • SharePoint Products: If you use a portal server, you should use Windows SharePoint Services 3.0, Microsoft Office SharePoint Server 2007, or Microsoft SharePoint Server 2010. Windows SharePoint Services 2.0 is no longer supported.

Portal Server and Reporting Upgrade Options

When you upgrade Team Foundation Server, you can use your existing portal site or point to a different site. You cannot install SharePoint Products during the upgrade. All your upgraded projects will use the site that you specify during the upgrade.

If you want to move your portal to different hardware, you should back up the data on your existing portal site and then migrate it to new hardware before you start the upgrade wizard for Team Foundation Server.

  • If your portal is on the same server as Team Foundation Server, the extensions are upgraded automatically during the upgrade.

  • If your portal is on a different server from Team Foundation Server, you must install the extensions on the portal before you run the upgrade.

If you want data from your upgraded projects to appear in a portal and reports, you should add these features when you upgrade so that upgraded projects are automatically linked to the portal and reporting features. If you add a portal or reporting after you upgrade, you cannot easily create links between all your upgraded projects and the portal.

Tip Tip

You should not skip adding a report server or a portal when you upgrade because you cannot easily add these features to upgraded projects after you upgrade.

Reporting Upgrade

The report server must meet the new requirements that are listed earlier in this topic. If you run multiple Team Foundation Server environments, each requires its own report server. Unlike earlier versions of Team Foundation Server, the report server does not have to run on the server that is running Team Foundation Server.

The amount of time that is required to migrate your existing data depends on many variables, which include the initial size of the reporting warehouse database and the capabilities of the hardware on which the migration is running. After the migration finishes, your reports appear as they did in the earlier version of Team Foundation Server.

Post-Upgrade Considerations

After you upgrade to Team Foundation Server 2010, you can access some new features immediately, but you must perform additional tasks to access other new features. For more information, see the following page on the Microsoft website: Updating an Upgraded Team Project to Access New Features.

With the addition of features in Team Foundation Server 2010, you will want to know the limitations or restrictions that occur when users use earlier versions of Team Explorer to connect to Team Foundation Server 2010. For more information, see the following page on the Microsoft Web site: Compatibility between Team Foundation Clients and Team Foundation Server.

See Also

Reference

Checklist: In-Place Upgrade of Team Foundation Server on a Single Server
Checklist: Upgrade Team Foundation Server By Using More Than One Server

Change History

Date | History | Reason
October 2010 | Added recommendation about not skipping the configuration of reporting and a portal when you upgrade. | Information enhancement.


Checklist: In-Place Upgrade of Team Foundation Server on a Single Server

[image]

Checklist: In-Place Upgrade of Team Foundation Server on a Single Server
See Also Send Feedback

Updated: August 2010

You can use this checklist to upgrade to Visual Studio Team Foundation Server 2010. To benefit the most from this checklist, you must have a single-server deployment and want an in-place upgrade. If you have more than one server in your existing Team Foundation Server environment or want to change your topology during upgrade, use Checklist: Upgrade Team Foundation Server By Using More Than One Server.

The tables in this document contain tasks and links. The links provide either procedural or conceptual information to help you perform the associated task. You should perform the tasks from top to bottom unless you are directed to skip a task.

Preparation

The following tasks prepare the existing installation of Team Foundation Server for an in-place upgrade (use the same hardware) where all prerequisites are on the same server.

Tasks

Detailed instructions

Check for the latest installation guide. Download the current version of this guide. If late-breaking updates for upgrade procedures are available, you can find them in the latest version of this guide.

For the latest version of the installation guide for Team Foundation, see the following page on the Microsoft Web site:

  • Installation Guide for Team Foundation

Back up your data. On your existing Team Foundation Server installation, back up your data. The upgrade tool deletes your old database during the upgrade. You can use this data as a snapshot of your Team Foundation Server installation, immediately before the upgrade.

Note Note

Back up a copy of your web.config to preserve some settings, such as e-mail alerts and public URL settings. You will have to manually add these settings by using the upgrade wizard, and you can use the information in web.config as a reference.

Open the folder that is used by the Web application for Team Foundation Server, copy the Web.config file, and save the copy to a different location. You might want to rename the file. For example, if this Web application uses port 80, save it as Web.config80.

For the latest information about how to back up Team Foundation Server, see the following pages on the Microsoft Web site:

  • How to: Back Up a Team Foundation Server (Visual Studio Team System 2008 Team Foundation Server)

  • How to: Back Up a Team Foundation Server (Visual Studio 2005 Team Foundation Server)

Check for supported hardware and software. Verify that the operating system on every server where you will install Team Foundation Server meets Team Foundation Server requirements. Verify that the hardware can run Team Foundation Server and all prerequisite server software.

  • System Requirements for Team Foundation Server

  • 64-Bit Support in Team Foundation

Check for required permissions and user accounts. Verify that the account that you will use to install Team Foundation Server is a member of the Administrators security group on the server where you will install Team Foundation Server.

Determine the service accounts that you will use during installation of Team Foundation Server and SQL Server (if you require a new installation of SQL Server).

  • Accounts Required for Installation of Team Foundation Components

Set up SQL Server. If you were using SQL Server 2005, you must upgrade to SQL Server 2008.

Set up reporting. If you want to use reporting, you must upgrade SQL Server Reporting Services and SQL Server Analysis Services to SQL Server 2008. Your report server cannot be shared with other applications. Team Foundation Server requires a dedicated report server.

  • SQL Server Collation Requirements for Team Foundation Server

  • Manually Installing SQL Server for Team Foundation Server

  • How to: Add the Service Account for Team Foundation Server to the Report Server

For information about how to upgrade SQL Server, see the following page on the Microsoft Web site:

  • Upgrading to SQL Server 2008 R2

  • Upgrading to SQL Server 2008

Verify SQL Server. Verify that you configured SQL Server to meet the minimum requirements of Team Foundation Server.

  • How to: Verify SQL Server 2008 for Team Foundation Server

Prepare a portal server. If you are using Windows SharePoint Services 2.0 and want to add a portal server to your new installation of Team Foundation Server, you must upgrade to Windows SharePoint Services 3.0, Microsoft Office SharePoint Server 2007, or Microsoft SharePoint Server 2010.

You cannot install Windows SharePoint Services 3.0 when you upgrade Team Foundation Server.

You can also take any one of these optional steps with your portal server:

  • You can upgrade Windows SharePoint Services 3.0 to Microsoft Office SharePoint Server 2007. For more information, see the following page on the Microsoft Web site: Upgrading SharePoint Products and Technologies for Team Foundation Server.

  • You can skip setting up a portal server when you upgrade Team Foundation Server. If you skip this step and then add a portal later, you must manually link all your team projects to the portal.

For more information, see the following pages on the Microsoft Web site:

  • Upgrading SharePoint Products and Technologies for Team Foundation Server

  • Upgrading to Windows SharePoint Services 3.0

  • Upgrade from Windows SharePoint Services 3.0 to Microsoft Office SharePoint Server 2007

Configure Microsoft Office SharePoint Server 2007 or SharePoint Server 2010. If you are using an existing installation of Windows SharePoint Services 3.0, skip to the next step; you do not have to make any special dashboard compatibility configurations. If you are using Microsoft Office SharePoint Server 2007 Enterprise or SharePoint Server 2010 Enterprise, perform the required configurations for dashboard compatibility.

  • How to: Configure Settings for Dashboard Compatibility

Verify SharePoint Products and add the Team Foundation Server service account to the Farm Administrators group. Verify that the installation of SharePoint Products meets the minimum requirements for Team Foundation Server.

Add the service account of Team Foundation Server and the account of the person who will upgrade the application tier to the Farm Administrators group.

  • How to: Verify SharePoint Products for Team Foundation Server

  • How to: Add the Service Account for Team Foundation Server to the Farm Administrators Group

Uninstall the previous version of Team Foundation Server. If you are doing an in-place upgrade, you must uninstall Team Foundation Server.

Restore your data. If your data is already on an instance of SQL Server 2008, you can skip this step. Otherwise, on the instance of SQL Server that will host the configuration database, you must restore the data from Team Foundation Server that you backed up at the start of this checklist.

Note Note

You must not change the names of any of the databases that you are restoring.

For more information about how to restore data from Team Foundation Server, see one of the following pages on the Microsoft Web site:

  • How to: Restore Data for Team Foundation Server to a Different Server (Team System 2008 Team Foundation Server)

    Note Note

    The previous link offers a dozen steps, but you are required to perform only the procedures that are associated with step 3, "Restore the Databases." The upgrade for Team Foundation Server performs the rest of the steps that are required to restore your Team Foundation Server environment.

  • How to: Move Your Team Foundation Server from One Hardware Configuration to Another (Visual Studio 2005 Team Foundation Server)

Team Foundation Server Upgrade

Perform the following tasks to upgrade Team Foundation Server.

Tasks

Detailed instructions

Install Team Foundation Server. If you are upgrading from Visual Studio 2005 Team Foundation Server, you should delete the old Team Foundation Server Web sites from Internet Information Services (IIS) before you perform this procedure.

  • How to: Install Team Foundation Server

Update and configure Team Foundation Server. This update will prevent an issue caused by a specific pattern of version control operations that affects the upgrade of version control labels and merges. To download this update, see the following page on the Microsoft Web site: KB2135068 - Labeled items and merge targets missing after upgrade to TFS2010. For more information, see the following page on the Microsoft Web site: After an upgrade to TFS 2010, labels are missing items, or merge relationships are missing.

After you complete the installation and apply the update for version control, upgrade your server by using the Team Foundation Server Configuration tool.

  • KB2135068 - Labeled items and merge targets missing after upgrade to TFS2010

  • How to: Upgrade Team Foundation Server Using the Team Foundation Server Configuration Tool

Final configuration of Microsoft Office SharePoint Server 2007 or SharePoint Server 2010.

If you installed Microsoft Office SharePoint Server 2007 or SharePoint Server 2010, you must configure the enterprise application definition that you created for Team Foundation Server. If you are using Windows SharePoint Services 3.0 or did not configure SharePoint Products, you can skip this step.

  • Configure the Enterprise Application Definition for Team Foundation Server

See Also

Concepts

Scenario: Upgrading Team Foundation Server

Change History

Date | History | Reason
August 2010 | Added link to SQL Server 2008 R2 upgrade. | Information enhancement.
June 2010 | Added information about version-control update. | Information enhancement.


Checklist: Upgrade Team Foundation Server By Using More Than One Server

[image]

Checklist: Upgrade Team Foundation Server By Using More Than One Server
See Also Send Feedback

Updated: August 2010

You can use this checklist to upgrade to Visual Studio Team Foundation Server 2010. To benefit most from this checklist, you must have a deployment of Team Foundation Server that includes more than one server, or you must want to upgrade your deployment at the same time as you migrate it to different hardware. If you have a single-server deployment and you want to upgrade it in place, use Checklist: In-Place Upgrade of Team Foundation Server on a Single Server.

The tables in this topic contain tasks and links. The links provide either procedural or conceptual information for you to perform the associated task. You should perform the tasks from top to bottom unless you are directed to skip a task.

Preparation

The following tasks prepare the existing installation of Team Foundation Server for either of the following tasks:

  • a migration upgrade (use different hardware).

  • an in-place upgrade with more than one server (use the same or different hardware).

    Tasks

    Detailed instructions

    Check for the latest installation guide. Download the current version of this guide. If there are late-breaking updates for upgrade procedures, you can find them in the latest version of this guide.

    For the latest version of the Team Foundation Server installation guide, see the Microsoft Web site:

    • Microsoft Download Center

    Back up your data. On your existing Team Foundation Server installation, back up your data. The upgrade tool deletes your old database during the upgrade. If you migrate to new hardware, you will use this data on the new hardware. If you plan to do an in-place upgrade, you can use this data as a snapshot of your Team Foundation Server installation, immediately before the upgrade.

    Note Note

    Back up your web.config file to preserve some settings, such as e-mail alerts and public URL settings. You will have to manually add these settings by using the upgrade wizard, and you can use the information in web.config as a reference.

    Open the folder that the Team Foundation Server Web application uses, and copy the file to a different location. You might want to rename the file. (For example, if this Web application uses port 80, save the file as Web.config80.)

    For the latest information about backing up Team Foundation Server, see the Microsoft Web site:

    • How to: Back Up a Team Foundation Server (Visual Studio Team System 2008 Team Foundation Server)

    • How to: Back Up a Team Foundation Server (Visual Studio 2005 Team Foundation Server)

    Check for supported hardware and software. Verify that the operating system on every server where you will install Team Foundation Server meets Team Foundation Server requirements. Verify that the hardware is capable of running Team Foundation Server and all prerequisite server software. Review the language requirements for Team Foundation Server.

    • System Requirements for Team Foundation Server

    • 64-Bit Support in Team Foundation

    • Language Requirements for Team Foundation Server

    Check for required permissions and user accounts. Verify that the account you will use to install Team Foundation Server is a member of the Administrators security group on the servers where you will install Team Foundation Server.

    Determine the service accounts you will use during Team Foundation Server and SQL Server installation (if you require a new installation of SQL Server).

    • Accounts Required for Installation of Team Foundation Components

    Check for supported environment settings. To use Team Foundation Server on multiple servers, you must have an Active Directory domain that meets requirements of Team Foundation Server.

    If you have a firewall between the server where you want to run Team Foundation Server and any clients that must connect to Team Foundation Server, verify that the ports required by Team Foundation Server are open.

    If Windows Firewall is on and configured to allow exceptions, the installation wizard for Team Foundation Server creates exceptions for Team Foundation Server.

    If Windows Firewall is configured to disallow exceptions or you are using a different firewall, you must specify the ports manually before you can install Team Foundation Server.

    • Team Foundation Server Requirements for Active Directory

    • Ports Required for Installation of Team Foundation Components

    Set up Internet Information Services (IIS). If you are moving Team Foundation Server to new hardware that is running Windows Server 2003, you must install IIS. Otherwise, IIS is installed and configured for you, but a warning message appears during installation. If you want to avoid the warning message, you must install IIS on the server where you will install Team Foundation Server. If IIS has already been installed, you can verify that IIS is configured to work with Team Foundation Server.

    • Installing Internet Information Services (IIS) for Team Foundation Server or Team Foundation Proxy

    • How to: Verify Internet Information Services for Team Foundation Server or Team Foundation Server Proxy

    Set up SQL Server. Either install SQL Server 2008 on the server where you will host the Database Engine and Full Text Search features or verify that an existing installation meets Team Foundation Server requirements. If you are doing an in-place upgrade and were using SQL Server 2005 you must upgrade to SQL Server 2008.

    Review the Team Foundation Server collation requirements. Determine the collation settings your organization requires for its data and ensure that those settings meet the requirements of Team Foundation Server. If these settings are not consistent across all SQL Server instances added to Team Foundation Server, you may get unexpected results in reports.

    Set up Reporting. If you want to use reporting, you must either install SQL Server Reporting Services and SQL Server Analysis Services or verify that an existing installation meets Team Foundation Server requirements.

    You can use the following guidelines for setting up SQL Server for reporting during an upgrade:

    • You do not have to use the same report server that you used with your earlier version of Team Foundation Server.

    • You do not have to use the same SQL Server instance for the report server as the one that you used for the Database Engine.

    • You can even use multiple servers to host the report server.

    However, your report server cannot be shared with other applications. Team Foundation Server requires a dedicated report server. If your report server is not on the same server as Team Foundation Server, you must add the account that you used to install Team Foundation Server to the Administrators security group on the report server. This enables setup to configure the report server to work with Team Foundation Server.

    • SQL Server Collation Requirements for Team Foundation Server

    • Manually Installing SQL Server for Team Foundation Server

    • How to: Add the Service Account for Team Foundation Server to the Report Server

    For information about how to upgrade SQL Server, see the following page on the Microsoft website:

    • Upgrading to SQL Server 2008 R2

    • Upgrading to SQL Server 2008

    Verify SQL Server. Verify that you have configured all instances of SQL Server to meet the minimum requirements of Team Foundation Server.

    • How to: Verify SQL Server 2008 for Team Foundation Server

    Prepare Portal Server.If you are using Windows SharePoint Services 2.0 and want to add a portal server to your new installation of Team Foundation Server, you must upgrade to Windows SharePoint Services 3.0, Microsoft Office SharePoint Server 2007, or Microsoft SharePoint Server 2010.

    You cannot install Windows SharePoint Services 3.0 when you upgrade Team Foundation Server. You must use your existing portal or point to an existing SharePoint Products site that meets requirements.

    You can also take any one of these optional steps with your portal server:

    • You can also upgrade Windows SharePoint Services 3.0 to Microsoft Office SharePoint Server 2007. For more information, see the following page on the Microsoft Web site: Upgrading SharePoint Products and Technologies for Team Foundation Server.

    • You can migrate your portal to new hardware. For more information, see the following page on the Microsoft Web site: Redirect SharePoint Products to Use a New Content Database.

    • You can skip setting up a portal server when you upgrade Team Foundation Server. If you skip this step and then add a portal later, you must manually link all of your team projects to the portal.

    For the more information, see the following pages on the Microsoft Web site:

    • Upgrading SharePoint Products and Technologies for Team Foundation Server

    • Redirect SharePoint Products to Use a New Content Database

    • Upgrading to Windows SharePoint Services 3.0

    • Upgrade from Windows SharePoint Services 3.0 to Microsoft Office SharePoint Server 2007

    Team Foundation Server Administrator Fills out Worksheet. For a remote installation of SharePoint Products, multiple administrators may want to exchange information to configure Team Foundation Server. To help facilitate communication, the administrator for Team Foundation Server should print Worksheet: Team Foundation Server and SharePoint Products Collaboration and add the information that the administrator for SharePoint Products requires. The administrator for Team Foundation Server should then hand off the worksheet and the installation media for Team Foundation Server to the administrator for SharePoint Products to complete the rest of the tasks in this checklist.

    If you are the administrator for both Team Foundation Server and SharePoint Products, you can skip this step, but you should read the following important caveats before you continue:

    • If you are using Microsoft Office SharePoint Server 2007 or SharePoint Server 2010, you must perform the steps in "Configure Settings for Dashboard Compatibility" later in this topic before dashboards will function correctly.

    • If you are doing an in-place upgrade and SharePoint Products is already installed on the same server as Team Foundation Server, the upgrade wizard installs the Team Foundation Server extensions for Windows SharePoint Services for you. You must skip "Install and Configure Extensions" later in this topic.

    • Worksheet: Team Foundation Server and SharePoint Products Collaboration

    Install and provision SharePoint Products. If Windows SharePoint Services 3.0 is already installed on the same server as Team Foundation Server, you can skip all the way to "Verify local SharePoint Products." If Microsoft Office SharePoint Server 2007 or SharePoint Server 2010 is already installed, skip to "Configure Settings for Dashboard Compatibility."

    You can install SharePoint Products with the recommended settings for Team Foundation Server. After you install SharePoint Products, you must use the SharePoint Central Administration site to create a Web application that has the following characteristics:

    • uses port 80

    • uses NTLM for authentication

    • has a unique name that also indicates the port number

      Note Note

      If you specify a different port number than 80, users must include it as part of the address for Team Foundation Server to operate correctly.

    • How to: Manually Install SharePoint Products on Windows Server for Team Foundation Server

    For more information about how to create a Web application, see the following pages on the Microsoft Web site:

    • For information about Windows SharePoint Services 3.0, see Create a Web application.

    • For information about Microsoft Office SharePoint Server 2007, see Create or extend a Web application.

    • For information about Microsoft SharePoint Server 2010, see Create a Web application that uses Windows-classic authentication (SharePoint Server 2010).

    Configure Microsoft Office SharePoint Server 2007 or SharePoint Server 2010. If you are using Microsoft Office SharePoint Server 2007 or SharePoint Server 2010, perform the required configurations for dashboard compatibility. If you are using Windows SharePoint Services 3.0, skip to the next step.

    • How to: Configure Settings for Dashboard Compatibility

    Install and Configure Extensions. If SharePoint Products is already installed on the same server as Team Foundation Server, the upgrade wizard installs the Team Foundation Server extensions for Windows SharePoint Services for you. You can skip to "Verify local SharePoint Products."

    Verify that the installation of SharePoint Products meets the minimum requirements for Team Foundation Server, and then install and configure Team Foundation Server Extensions for Windows SharePoint Services.

    Add the service account of Team Foundation Server to Farm Administrators group. Add the account of the person who will install the application tier to the Farm Administrators group. Use the printed worksheet to locate the account name for the service account of the Team Foundation Server (TFSSERVICE) and the account of the person who is installing Team Foundation Server.

    • How to: Verify SharePoint Products for Team Foundation Server

    • How to: Install Team Foundation Server Extensions for Windows SharePoint Services

    • How to: Configure Team Foundation Server Extensions for Windows SharePoint Services

    • How to: Add the Service Account for Team Foundation Server to the Farm Administrators Group

    Administrator for SharePoint Products Fills out Worksheet. The Team Foundation Server administrator requires specific information about the installation of SharePoint Products to finish the Team Foundation Server configuration. The administrator for SharePoint Products should print Worksheet: Team Foundation Server and SharePoint Products Collaboration. The administrator for SharePoint Products must add the information that is required by the Team Foundation Server administrator and then hand off the worksheet to the Team Foundation Server administrator.

    • Worksheet: Team Foundation Server and SharePoint Products Collaboration

    Verify local SharePoint Products. If SharePoint Products is on the same server as Team Foundation Server, verify that the installation of SharePoint Products meets the minimum requirements for Team Foundation Server.

    Add the service account of Team Foundation Server to the Farm Administrators group. Add the account of the person who will upgrade the application tier to the Farm Administrators group.

    • How to: Verify SharePoint Products for Team Foundation Server

    • How to: Add the Service Account for Team Foundation Server to the Farm Administrators Group

    Uninstall the previous version of Team Foundation Server. If you are doing an in-place upgrade, you must uninstall Team Foundation Server. If you are migrating to different hardware, you can skip this step.

    Restore your data. If you are doing an in-place upgrade and your data is already in place on an instance of SQL Server 2008, you can skip this step. Otherwise, on the instance of SQL Server that will host the configuration database, you can restore the data from Team Foundation Server that you backed up at the start of this checklist.

    Note Note

    You must not rename any database that you are restoring.

    For the more information about how to restore data from Team Foundation Server, see the following page on the Microsoft Web site:

    • How to: Restore Data for Team Foundation Server to a Different Server (Team System 2008 Team Foundation Server)

      Note Note

      The previous link offers a dozen steps, but you are required to perform only the procedures that are associated with step 3, "Restore the Databases." The upgrade for Team Foundation Server performs the rest of the steps that are required to restore your Team Foundation Server environment.

    • How to: Move Your Team Foundation Server from One Hardware Configuration to Another (Visual Studio 2005 Team Foundation Server)

Team Foundation Server Upgrade

Perform the following tasks to upgrade Team Foundation Server.

Tasks

Detailed instructions

Install Team Foundation Server. If you are upgrading from Visual Studio 2005 Team Foundation Server, you should delete the old Team Foundation Server Web sites from Internet Information Services (IIS) before you perform this procedure.

  • How to: Install Team Foundation Server

Update and configure Team Foundation Server. This update will prevent an issue caused by a specific pattern of version control operations that affects the upgrade of version control labels and merges. To download this update, see the following page on the Microsoft Web site: KB2135068 - Labeled items and merge targets missing after upgrade to TFS2010. For more information, see the following page on the Microsoft Web site: After an upgrade to TFS 2010, labels are missing items, or merge relationships are missing.

After you complete the installation and apply the update for version control, upgrade your server by using the Team Foundation Server Configuration tool.

  • KB2135068 - Labeled items and merge targets missing after upgrade to TFS2010

  • How to: Upgrade Team Foundation Server Using the Team Foundation Server Configuration Tool

Final configuration of Microsoft Office SharePoint Server 2007 or SharePoint Server 2010.

If you installed Microsoft Office SharePoint Server 2007 or SharePoint Server 2010, you must configure the enterprise application definition that you created for Team Foundation Server. If you are using Windows SharePoint Services 3.0 or did not configure SharePoint Products, you can skip this step.

  • Configure the Enterprise Application Definition for Team Foundation Server

See Also

Concepts

Scenario: Upgrading Team Foundation Server

Change History

Date | History | Reason
August 2010 | Changed topic title. | Customer feedback.
August 2010 | Added link to SQL Server 2008 R2 upgrade. | Information enhancement.
June 2010 | Added information about version-control update. | Information enhancement.


How to: Upgrade Team Foundation Server Using the Team Foundation Server Configuration Tool

[image]

How to: Upgrade Team Foundation Server Using the Team Foundation Server Configuration Tool
See Also Send Feedback

Updated: October 2010

This topic explains how to upgrade from a previous version of Visual Studio Team Foundation Server by using the configuration tool. Use the procedure below that matches the version of Team Foundation Server that you are upgrading.

Note Note

If you have accessed the tool by selecting the check box at the end of the Team Foundation Server installation, you can skip the procedure for accessing the tool from the Start menu.

Required Permissions

To perform this procedure, you must be a member of the Administrators security group on the server. If you plan to configure reporting, you must also be a member of the Administrators security group on the computer that is running SQL Server Reporting Services.

To access the Team Foundation Server Configuration tool from the Start menu

  1. Click Start, point to All Programs, point to Microsoft Team Foundation Server 2010, and then click Team Foundation Administration Console.

    The Team Foundation Administration Console appears.

  2. Click Application Tier and then click Configure Installed Features.

    The Team Foundation Server Configuration tool appears.

Upgrading Visual Studio Team System 2008 Team Foundation Server or Visual Studio 2005 Team Foundation Server

You can use this procedure to upgrade from Visual Studio Team System 2008 Team Foundation Server with or without Service Pack 1 (SP1) or Visual Studio 2005 Team Foundation Server with SP1.

Important note Important

If you are upgrading from Visual Studio 2005 Team Foundation Server, you should delete its old Web sites from Internet Information Services (IIS) before you perform this procedure.

To upgrade from Visual Studio Team System 2008 Team Foundation Server or Visual Studio 2005 Team Foundation Server

  1. In Team Foundation Server Configuration tool, click Upgrade and then click Start Wizard.

    The Team Foundation Server Upgrade Configuration wizard appears.

  2. Read the Welcome screen, and then click Next.

  3. Type the name of the SQL Server instance that hosts the data from an earlier version of Team Foundation Server, and click List Available Databases.

    The wizard lists deployments of Team Foundation Server that you can upgrade. If multiple deployments are listed, click the one that you want to upgrade.

    Caution note Caution

    To upgrade a beta 2 or release-candidate deployment of Visual Studio Team Foundation Server 2010, you must use the next procedure in this topic.

  4. Select the By checking this box, I confirm that I have a current backup check box, and then click Next.

  5. Under Service Account, click Use a system account to use a built-in account, or click Use a user account to use a domain or local account. If you are using a user account, you must type its password. To test the user account and password combination, you can optionally click Test.

    Network Service is the default value for this service account (TFSSERVICE).

  6. Under Authentication Method, click NTLM or Negotiate (Kerberos), and then click Next.

    • If you click NTLM, NTLM authentication is used. This option is the default setting.

    • If you click Negotiate (Kerberos), Kerberos authentication is attempted first. If that authentication fails, NTLM authentication is used.

  7. Under Web Site, click Create a new site or Use existing site.

    • If you create a site, type a name in Web Site Name and a port number in Port. This is the name that appears in Internet Information Services (IIS) and the port number used to connect to Team Foundation Server.

      The default values for Web Site are Team Foundation Server and 8080.

    • If you use an existing Web site, click it in the list.

  8. Under IIS Virtual Directory, you can use the default value of tfs or optionally type a virtual directory name. If you are using an existing Web site, you cannot leave this field blank.

  9. Under Web Site, note the Team Foundation Server site URL, which is dynamically assembled based on your input in Web Site and IIS Virtual Directory. Clients use this URL to connect to Team Foundation Server. Click Next.

    On client operating systems, you must skip to step 12. You cannot configure SharePoint Products or the reporting feature of Team Foundation Server (steps 10 and 11) on a client operating system.

  10. Use the Configure Reporting for Team Foundation Server page to opt in or out of using reporting. Select the Configure Reporting for use with Team Foundation Server check box to use reporting or clear the check box to skip reporting, and then click Next.

    Tip Tip

    You should not skip this section unless you are confident that you will not need to show data from upgraded projects in reports. For more information, see Scenario: Upgrading Team Foundation Server.

    Tip Tip

    If you skip reporting and add it later during an upgrade, you may need to use different names for the warehouse database (TFS_Warehouse) and the SQL Server Analysis Services database (TFS_Analysis). As an alternative, you can delete the old reporting databases, and new databases will be created using the default names.

    1. Type the name of the server that is running SQL Server Reporting Services in Reporting Services Instance and click Populate URLs.

      The URLs for the report server and its management site appear in the drop-down lists for Report Server URL and Report Manager URL.

    2. Click the URLs that you want to use for Team Foundation Server and click Next.

    3. Type the name of the server that is running SQL Server Analysis Services in SQL Analysis Services Instance and click Next.

      To test the connectivity to SQL Server, you can optionally click Test.

    4. Type the name and password of the data sources account (TFSREPORTS) and click Next. If you specified a user account for the service account of Team Foundation Server in step 5 and you want to use a different account in this step, you must select the Use a different account than the Team Foundation Server service account for the Reporting Services report reader account check box.

      To test the user account and password combination, you can optionally click Test.

  11. Use the Configure SharePoint for Team Foundation Server page to opt in or out of using SharePoint Products. Select the Configure SharePoint for use with Team Foundation Server now check box to configure SharePoint Products or clear the check box to skip the step, and then click Next.

    Tip Tip

    You should not skip this section unless you are confident that you will not want to use a portal with your upgraded project. For more information, see Scenario: Upgrading Team Foundation Server.

    If you selected SharePoint Products configuration, type the URL for the SharePoint Web application and the SharePoint Administration site, and then click Next. To test connectivity to each of these URLs, you can click Test.

    Tip Tip

    If you are migrating to a new installation of Windows SharePoint Services 3.0 and you used a custom site template on your previous installation, you must manually migrate that template to the new installation. Otherwise, you may fail upgrade verification checks for Team Foundation Server. For more information, see the following page on the Microsoft Web site: Installing application templates for Windows SharePoint Services 3.0.

  12. Accept the default values for project collection name and description or optionally type a new name and description and click Next.

  13. On the Review page, review your settings, and click Next.

    The wizard validates your configuration.

  14. Click Configure.

    The wizard applies configuration settings.

  15. Click Next.

    Your data is upgraded, and progress reports appear and detail the steps that are being performed.

  16. Click Next.

  17. Read the final summary screen, and then click Close.

    Note Note

    If the upgrade should fail, see the detailed log files by clicking Click here to open a complete log on the summary screen. After you resolve any outstanding issues that are identified in the log file, you can resume the upgrade by using the Team Foundation Administration Console. On the Status tab in Team Project Collections, click Create Collection, and then click Rerun job.

  18. Click Close.

Upgrading from the beta 2 or release-candidate version of Visual Studio Team Foundation Server 2010

For more information about how to upgrade the beta 2 or release-candidate (RC) versions, see the following page on the Microsoft Web site: TFS 2010 Beta2 to RC Upgrade Guide.

When you upgrade from the beta 2 or RC release of Visual Studio Team Foundation Server 2010, you may have to perform additional configuration by using the remapDBs command.

You would need to use this command only if you must redirect databases that are hosted on a different server from the server that is hosting the configuration database. For example, a database for a team project collection or a warehouse database might be hosted on an different instance of SQL Server from the instance that is hosting the configuration database. For more information, see the following page on the Microsoft Web site: RemapDBs Command.

If the databases are hosted on the same server, you do not have to use this command.

To upgrade from the beta 2 or RC release of Visual Studio Team Foundation Server 2010

  1. In the Team Foundation Server Configuration tool, click Upgrade, and then click Start Wizard.

    The Team Foundation Server Upgrade Configuration wizard appears.

  2. Read the Welcome screen, and then click Next.

  3. Type the name of the SQL Server instance that hosts the data from an earlier version of Team Foundation Server, and click List Available Databases.

    The wizard lists deployments of Team Foundation Server that you can upgrade. If multiple deployments are listed, click the one that you want to upgrade.

    Caution note Caution

    To upgrade a deployment of Visual Studio Team System 2008 Team Foundation Server or Visual Studio 2005 Team Foundation Server, you must use the procedure earlier in this topic.

  4. Select the By checking this box, I confirm that I have a current backup check box, and then click Next.

  5. Click Use a system account to use a built-in account, or click Use a user account to use a domain or local account. If you are using a user account, you must type its password. To test the user account and password combination, you can optionally click Test.

    Network Service is the default value for this service account (TFSSERVICE).

  6. Under Authentication Method, click NTLM or Negotiate (Kerberos), and then click Next.

    • If you click NTLM, NTLM authentication is used. This option is the default setting.

    • If you click Negotiate (Kerberos), Kerberos authentication is attempted first. If that authentication fails, NTLM authentication is used.

    On client operating systems, you must skip to step 9. You cannot configure SharePoint Products or the reporting feature of Team Foundation Server (steps 7 and 8) on a client operating system.

  7. Use the Configure Reporting for Team Foundation Server page to opt in or out of using reporting. Select the Configure Reporting for use with Team Foundation Server check box to use reporting, or clear the check box to skip reporting and then click Next.

    Tip Tip

    If you skip reporting and add it later during an upgrade, you may need to use different database names for the reporting warehouse databases (TFS_Warehouse and TFS_Analysis). As an alternative, you can delete the old reporting databases and new databases will be created using the default names.

    1. Type the name of the server that is running SQL Server Reporting Services in Reporting Services Instance and click Populate URLs.

      The URLs for the report server and its management site appear in the drop-down lists for Report Server URL and Report Manager URL.

    2. Click the URLs that you want to use for Team Foundation Server and click Next.

    3. Type the name of the server that is running the Database Engine and Full text search to host the warehouse database, and then click List Available Databases.

      The wizard lists available warehouse databases that you can upgrade. Click the database that you want to upgrade, and then click Next.

      You can click Test to test connectivity to SQL Server.

    4. Type the name of the server that is running SQL Server Analysis Services in SQL Analysis Services Instance and click Next.

      To test the connectivity to SQL Server, you can optionally click Test.

    5. Type the name and the password of the report reader account (TFSREPORTS), and click Next. If you specified a user account for the service account of Team Foundation Server in step 5 and you want to use a different account in this step, you must select the Use a different account than the Team Foundation Server service account for the Reporting Services report reader account check box.

      You can click Test to test the user account and password combination.

  8. Use the Configure SharePoint for Team Foundation Server page to opt in or out of using SharePoint Products. Select the Configure SharePoint for use with Team Foundation Server now check box to configure SharePoint Products or clear the check box to skip the step and click Next.

    If you selected SharePoint Products configuration, perform one of the following steps:

    • Click Use current SharePoint Products settings to retain your settings for SharePoint Products, and then click Next.

      You typically use this option to continue to use the existing portal, which must have the new Team Foundation Server Extensions for Windows SharePoint Services installed and configured. If your portal is on the server you are upgrading, the new extensions are configured automatically.

    • Click Use an existing farm for SharePoint Products, type the URL for the SharePoint Web application and the SharePoint Administration site, and then click Next. To test connectivity to each of these URLs, you can click Test.

      You typically use this option to migrate to a new portal, which must contain your migrated data for SharePoint Products.

  9. On the Review page, review your settings, and click Next.

    The wizard validates your configuration.

  10. Click Configure.

    The wizard applies configuration settings.

  11. Click Next.

    Your data is upgraded, and progress reports appear and detail the steps that are being performed.

  12. Click Next.

  13. Read the final summary screen, and then click Close.

    Note Note

    If the upgrade should fail, see the detailed log files by clicking Click here to open a complete log on the summary screen. After you resolve any outstanding issues that are identified in the log file, you can resume the upgrade by using the Team Foundation Administration Console. On the Status tab in Team Project Collections, click Create Collection, and then click Rerun job.

  14. Click Close.

See Also

Reference

Checklist: Upgrade Team Foundation Server By Using More Than One Server

Change History

Date | History | Reason
October 2010 | Added tips about not skipping reporting and a portal. | Information enhancement.
August 2010 | Added tip about verification checks with custom site templates. | Customer feedback.
June 2010 | Added tip about skipping reporting during upgrade. | Customer feedback.


Scenario: Installing Team Foundation Build Service

[image]

Scenario: Installing Team Foundation Build Service
See Also Send Feedback

Installing Team Foundation Build Service

Build Controllers and Agents

When you install Team Foundation Build Service with the default settings, you create a build controller and a single build agent. You can configure any instance of Team Foundation Build Service to act as a controller, one or more build agents, or both, depending on your team's needs.

You use build controllers to connect to Visual Studio Team Foundation Server. By itself, a build controller does not typically require a significant amount of processor time. However, a build controller can require a significant amount of memory if you run many builds at the same time. Therefore, you should provide sufficient memory to the physical machine or virtual machine on which you create your build controllers.

Your build agents connect to build controllers and perform the processor-intensive and disk-intensive work. Because build agents perform most of the processor-intensive work, you should make sure that the build machine has sufficiently powerful hardware to enable the build agent to perform its tasks in an acceptable period of time.

Build Service Topology

You can install Team Foundation Build Service on the same computer as Team Foundation Server or on one or more separate computers. In most cases, you should not install Team Foundation Build Service on the same computer as Team Foundation Server because of the following reasons:

  • You might decrease Team Foundation Server performance when builds are running.

  • You increase the attack surface of Team Foundation Server if you install Team Foundation Build Service. For example, a malicious user could construct a build definition to run arbitrary code to take control of the server and steal data.

Tip Tip

If you are upgrading from the Team Foundation Build Service that is part of Visual Studio Team System 2008 Team Foundation Server to the current version, you do not have to immediately remove the older version of Team Foundation Build Service. Both versions can run side by side.

Note Note

For more information about Team Foundation Build Service, see the following page on the Microsoft Web site: Managing Team Foundation Build.

See Also

Reference

Checklist: Installing Team Foundation Build Service


Checklist: Installing Team Foundation Build Service

[image]

Checklist: Installing Team Foundation Build Service
See Also Send Feedback

You can follow the steps in this checklist to install Team Foundation Build Service and connect to Visual Studio Team Foundation Server.

The following table contains tasks and links. The links provide either procedural or conceptual information to help you perform the associated task. Perform the tasks from top to bottom, without skipping any tasks.

Preparation

By performing these tasks, you prepare the operating system and the network environment for Team Foundation Build Service.

Task

Detailed instructions

Download the current version of this guide. The latest version of this guide contains the most up-to-date installation procedures.

For the latest version of the Team Foundation installation guide, see this page on the Microsoft Web site:

  • Installation Guide for Team Foundation

Check for supported hardware and software. Verify that the operating system meets requirements for Team Foundation Build Service and that the hardware can run it.

  • System Requirements for Team Foundation Build Service

  • 64-Bit Support in Team Foundation

Check for required permissions and user accounts. Verify that the account that you will use to install Team Foundation Build Service is a member of the Administrators security group on the server where you will install Team Foundation Build Service.

If the account you are using to install Team Foundation Build Service (mentioned above) is also a member of the Project Collection Administrators group in Team Foundation Server, the build service account (TFSBUILD) will be automatically added to the Build Services Security group in Team Foundation Server. If you do not know whether the account that you are using is a member of the Project Collection Administrators group, procedures are provided below to grant TFSBUILD the appropriate permissions after installation and initial configuration.

Determine the service accounts that you will use to install Team Foundation Build Service (TFSBUILD).

  • Accounts Required for Installation of Team Foundation Components

Check for supported environment settings. If you have a firewall between the server where you want to run Team Foundation Build Service and any clients or other servers that must connect to or be connected to Team Foundation Build Service, verify that the ports required by Team Foundation Build Service are open.

If Windows Firewall is on and configured to allow exceptions, the installation wizard for Team Foundation Build Service creates appropriate exceptions.

If you are using a different firewall or Windows Firewall is configured to disallow exceptions, you must open the ports manually before you install Team Foundation Build Service.

  • Ports Required for Installation of Team Foundation Components

Installation of Team Foundation Build Service

By performing these tasks, you can install and configure Team Foundation Build Service.

Task

Detailed instructions

Set up Team Foundation Build Service. Install Team Foundation Build Service, and then configure it by using the Team Foundation Server Configuration tool.

Final configuration on Team Foundation Server.

You must make some final configurations on Team Foundation Server before you can use Team Foundation Build Service unless the account that you used to install Team Foundation Build Service is also a member of the Team Foundation Server Project Collection Administrators group. If so, this last step is done automatically for you.

  • How to: Install Team Foundation Build Service

  • How to: Configure Team Foundation Build Service Using the Team Foundation Server Configuration Tool

For more information about final Team Foundation Build Service configuration tasks, see this page on the Microsoft Web site:

  • How to: Add the Build Service Account to the Build Services Security Group

See Also

Concepts

Scenario: Installing Team Foundation Build Service


System Requirements for Team Foundation Build Service

[image]

System Requirements for Team Foundation Build Service
See Also Send Feedback

You can install Team Foundation Build Service on more operating systems than those that Visual Studio Team Foundation Server supports:

  • All operating systems that Team Foundation Server supports¹

  • Windows XP Professional with Service Pack 3 (SP3)

  • Windows Server 2003 with Service Pack 2 (SP2), Standard or Enterprise Edition

  • Windows Server 2003 R2 with SP2, Standard or Enterprise Edition

  • Windows Vista, Home Premium, Business, Enterprise, or Ultimate Edition

  • Windows Server 2008 ²

¹ For more information, see System Requirements for Team Foundation Server.

² Team Foundation Build Service does not support the Server Core installation option for either Windows Server 2008 or Windows Server 2008 R2.

Hardware Recommendations

The Team Foundation Build Service hardware requirements are the same as the operating system on which it is running, except for disk space. To determine the minimum amount of disk space that is required, you should determine the size of your overall source configuration, and then add the size of all intermediate outputs and binaries from the build process. After you have this number, multiply it by the number of build definitions likely to be built on a particular server, and then double that number for the minimum recommended amount of available disk space for that server.

Tip Tip

Use a server that has fast hard disks as an inexpensive way to improve build performance. Another way to maximize Team Foundation Build Service performance is to use hardware with multi-core CPUs.

Using One Server or More?

You can use build frequency as a metric for determining how much of a hardware investment you want to make for Team Foundation Build Service. If your team performs weekly or nightly builds, installing Team Foundation Build Service on the server that is running Team Foundation Server may not have an adverse effect on productivity. If your team performs parallel builds, continuous integration builds, or if you plan to create a build lab for more than one team, you most likely want to install Team Foundation Build Service on its own server.

Note Note

For more information about Team Foundation Build Service, see the following page on the Microsoft Web site: Managing Team Foundation Build.

Additional Considerations

You can set up a network share as a drop folder to store builds. You should create this folder on a computer that is running a supported server operating system, because of the concurrent file access limitations of non-server operating systems. This folder does not have to be on the same server as Team Foundation Build Service.

See Also

Reference

Checklist: Installing Team Foundation Build Service


How to: Install Team Foundation Build Service

[image]

How to: Install Team Foundation Build Service
See Also Send Feedback

This procedure describes how to install Team Foundation Build Service.

Required Permissions

To perform this procedure, you must be a member of the Administrators security group on the server on which you are installing Team Foundation Build Service.

To install Team Foundation Build

  1. From the installation DVD for Visual Studio Team Foundation Server, start either the 32-bit or the 64-bit setup.exe to match the operating system that you are running.

    For more information, see 64-Bit Support in Team Foundation.

    The Team Foundation installation wizard appears.

  2. On the Welcome page, click Next.

  3. On the License Terms page, read the terms of the license. Click I have read and accept the license terms, and then click Next.

  4. Click Build Service, and click Install.

    If the installation wizard prompts you to restart your server, click Restart Now. After the server is restarted, installation resumes.

  5. Click Finish.

    If you want to configure Team Foundation Build Service, select the Launch Team Foundation Server Configuration Tool check box.

See Also

Reference

Checklist: Installing Team Foundation Build Service


How to: Configure Team Foundation Build Service Using the Team Foundation Server Configuration Tool

[image]

How to: Configure Team Foundation Build Service Using the Team Foundation Server Configuration Tool
See Also Send Feedback

You can use this procedure to configure Team Foundation Build Service with the default options.

Note Note

You can skip the procedure for opening the Team Foundation Server Configuration tool from the Start menu if you opened the tool by selecting the check box at the end of the installation wizard for Visual Studio Team Foundation Server.

Required Permissions

To perform this procedure, you must be a member of the Administrators security group on the server on which you are configuring Team Foundation Build Service.

Procedures

To open the Team Foundation Server Configuration tool from the Start menu

  1. Click Start, point to All Programs, point to Microsoft Team Foundation Server 2010, and then click Team Foundation Administration Console.

    The Team Foundation Administration Console appears.

  2. Click Build Configuration, and then click Configure Installed Features.

    The Team Foundation Server Configuration tool appears.

To configure Team Foundation Build Service

  1. Click Configure Team Foundation Build Service, and then click Start Wizard.

    The Build Service Configuration wizard appears.

  2. Read the Welcome screen, and then click Next.

  3. Perform one of the following steps, and click Next:

    • Click Browse, and click the team project collection to which you want this build controller to connect.

    • Click Clear to skip setting up a build controller on this instance of Team Foundation Build Service.

      Note Note

      If you do not connect to a team project collection, skip to step 5.

  4. Perform one of the following steps, and then click Next:

    • Click Use the default setting, and specify the number of build agents.

      If you installed Team Foundation Build Service on the same server as Team Foundation Server, the default setting for Number of build agents to run on this build machine is 1 (recommended).

    • Click Scale out build services, and then specify the number of build agents and a build controller.

      If you installed Team Foundation Build Service on its own server, the default setting for Number of build agents to run on this build machine is equal to the number of processor cores on this server.

    • Click Replace an existing build machine, and then specify the build machine to replace.

    • Click Configure later or Configure later or use with Team Foundation Lab Management to skip setting up any build controllers or agents on this instance of Team Foundation Build Service.

  5. Under Run Team Foundation Build Service as, perform one of the following steps:

    • Click Use a system account, and then click a system account.

      For example, click NT Authority\Network Service to use Network Service.

    • Click Use a user account to use a domain or local account, and then type the account name and password. To test the user account and password, click Test.

    Network Service is the default value for the service account (TFSBUILD).

  6. Under Accept connections from Team Foundation Server on, perform one of the following steps, and then click Next:

    • Click Default port 9191 to accept the default setting.

    • Click Port Number to enter a custom port.

  7. Review the information. You can use the Properties links to open dialog boxes that allow you to inspect or change configurations for any build controllers or build agents that you have setup.

  8. Click Next.

    The wizard validates your configuration.

  9. Click Configure.

    The wizard applies configuration settings.

  10. Click Next.

  11. Click Close.

  12. Click Close.

    The Team Foundation Administration Console appears.

See Also

Reference

Checklist: Installing Team Foundation Build Service


Scenario: Installing Team Foundation Server Proxy

[image]

Scenario: Installing Team Foundation Server Proxy
See Also Send Feedback

Team Foundation Proxy

You can help save bandwidth by using Team Foundation Server Proxy to cache version control files for developers in a remote location. Management of version control files at both the remote and main site is transparent to developers who are working with the files.

You must install and configure the proxy server at the remote site. After you run the Team Foundation Server Proxy Configuration wizard, you must connect the proxy server to a deployment of Visual Studio Team Foundation Server. You can configure the proxy server to cache files for all projects or only for team project collections that you specify. Before you can start to cache files at the remote site, you must add the service account for the proxy server to Team Foundation Server at the main site.

After the proxy server is connected to Team Foundation Server, you must configure the version control feature of Team Explorer to use the proxy server. Team Foundation Server Proxy caches only version control files. The proxy server does not cache reports or HTML pages from the project portal or Team Web Access.

See Also

Concepts

Checklist: Installing Team Foundation Server Proxy


Checklist: Installing Team Foundation Server Proxy

[image]

Checklist: Installing Team Foundation Server Proxy
See Also Send Feedback

You can follow the steps in this checklist to install Team Foundation Server Proxy and set up a remote location to cache version control files.

The following table contains tasks and links to either procedural or conceptual information to help you perform the associated tasks. Perform the tasks from top to bottom, without skipping any tasks.

Preparation

By performing these tasks, you prepare the operating system and the network environment for Team Foundation Server Proxy.

Task

Detailed instructions

Download the current version of this guide. The latest version of this guide contains the most up-to-date installation procedures.

To download the most recent version, see this page on the Microsoft Web site:

  • Installation Guide for Team Foundation

Check for supported hardware and software. Verify that the operating system meets requirements for Team Foundation Server Proxy and that the hardware can run it.

  • System Requirements for Team Foundation Server Proxy

  • 64-Bit Support in Team Foundation

Check for required permissions and user accounts. Verify that the account that you will use to install Team Foundation Server Proxy is a member of the Administrators security group on the server where you will install the proxy server.

Determine the service account that you will use to install the proxy server (TFSPROXY).

  • Accounts Required for Installation of Team Foundation Components

Check for supported environment settings. Verify that the ports that the proxy server requires are open if you have a firewall between the server where you want to run Team Foundation Server Proxy and any clients or other servers that must connect to or be connected to the proxy server.

If Windows Firewall is on and configured to allow exceptions, the installation wizard for the proxy server creates exceptions for proxy server.

If you are using a different firewall or Windows Firewall is configured to disallow exceptions, you must open the ports manually before you install the proxy server.

  • Ports Required for Installation of Team Foundation Components

Setup Internet Information Services (IIS). Install IIS if it is not installed, and then verify that IIS is configured to work with Team Foundation Server Proxy.

  • Installing Internet Information Services (IIS) for Team Foundation Server or Team Foundation Proxy

  • How to: Verify Internet Information Services for Team Foundation Server or Team Foundation Server Proxy

Installation of Team Foundation Server Proxy and Final Configurations

By performing these tasks, you can install and configure Team Foundation Server Proxy.

Task

Detailed instructions

Set up Team Foundation Server Proxy. Install Team Foundation Server Proxy. After the installation completes, use the Team Foundation Server Configuration Tool to configure your proxy server.

Connect the proxy server to Team Foundation Server.After the proxy server has been installed, you must edit the proxy.config file to connect the proxy server to the deployment of Team Foundation Server for which you want to cache files.

Final configuration on Team Foundation Server.On the deployment of Team Foundation Server for which you want to cache files, create a custom group, and add the service account for the proxy server (TFSPROXY) to it.

Create the group based on the following guidelines:

  • If you want to cache files for all projects in a collection, create a collection-level group.

  • If you want to cache files for all projects in a deployment of Team Foundation Server, create a server-level group.

Note Note

If you are using Network Service for TFSPROXY, you must add the machine name of the server that is running Team Foundation Server instead of Network Service. The machine name is the server name followed by the $ symbol (for example, Domain\ServerName$).

For more information about service accounts, see Accounts Required for Installation of Team Foundation Components.

  • How to: Install Team Foundation Server Proxy

  • How to: Configure Team Foundation Server Proxy Using the Team Foundation Server Configuration Tool

  • How to: Connect Team Foundation Server Proxy to Team Foundation Server

For more information, see this page on the Microsoft Web site:

  • Managing Groups

Connect Team Explorer to Team Foundation Server Proxy. After you configure the proxy server to connect to Team Foundation Server, you must configure Team Explorer to access version control files through the proxy server.

  • How to: Configure Team Explorer to Use Team Foundation Server Proxy

See Also

Concepts

Scenario: Installing Team Foundation Server Proxy


System Requirements for Team Foundation Server Proxy

[image]

System Requirements for Team Foundation Server Proxy
See Also Send Feedback

Updated: August 2010

You can install Team Foundation Server Proxy only on computers that are running the operating systems that this topic describes. In addition, you should review the hardware recommendations in this topic to determine what you need for optimal performance based on the size of your remote team. In general, you do not need as robust hardware for Team Foundation Server Proxy as you do for Team Foundation Server. However, you need more robust hardware for larger teams.

Operating-System Requirements

You can install Team Foundation Server Proxy on a server that is running one of the following operating systems:

Note Note

Team Foundation Server Proxy does not support the Server Core installation option for either Windows Server 2008 or Windows Server 2008 R2.

  • 32-bit versions of Windows Server 2003 (Datacenter Edition, Enterprise Edition, or Standard Edition) with Service Pack 2 (SP2)

  • 32-bit versions of Windows Server 2003 R2 (Datacenter Edition, Enterprise Edition, or Standard Edition)

  • 32-bit versions of Windows Server 2003 R2 (Datacenter Edition, Enterprise Edition, or Standard Edition) with SP2

  • Windows Server 2008 with SP2

  • Windows Server 2008 R2

    Note Note

    If you are installing Team Foundation Server Proxy on Windows Server 2008 R2, you must have the .NET Framework 3.5 installed. On Windows Server 2008 R2, you can install this framework by using the Add Features Wizard from Server Manager. For more information, see the following page on the Microsoft website: Adding Server Roles and Features.

Hardware Recommendations

In the following table, you should find the row that best describes your team size and then use the corresponding hardware recommendation as a guideline for the hardware to use for Team Foundation Server Proxy.

Remote team size | Hardware Recommendations (CPU/RAM) for Team Foundation Server Proxy
Teams that have 450 or fewer users | 1 processor, 2.2 GHz CPU, 2 GB RAM
Teams that have between 450 and 2,200 users | 2 processors, 2.0 GHz CPU, 2 GB RAM
Teams that have between 2,200 and 3,600 users | 4 processors, 2.0 GHz CPU, 2 GB RAM

See Also

Concepts

System Requirements for Team Foundation Server
Checklist: Installing Team Foundation Server Proxy

Change History

Date | History | Reason
August 2010 | Added list of operating-system requirements. | Customer feedback.


How to: Install Team Foundation Server Proxy

[image]

How to: Install Team Foundation Server Proxy
See Also Send Feedback

Updated: August 2010

Before you install Team Foundation Server Proxy, you should uninstall any earlier versions of the product. To save disk space, you can delete any cache files that earlier versions of the product used.

Required Permissions

To perform this procedure, you must be a member of the Administrators security group.

To install Team Foundation Server Proxy

  1. From the installation DVD for Visual Studio Team Foundation Server, start either the 32-bit or the 64-bit installation wizard to match the operating system that you are running.

    For more information, see 64-Bit Support in Team Foundation.

  2. On the Welcome page, click Next.

  3. On the License Terms page, read the terms of the license. Click I have read and accept the license terms, and then click Next.

  4. Click Team Foundation Server Proxy, and click Install.

    If the installation wizard prompts you to restart your server, click Restart Now. After the server has restarted, installation resumes.

  5. Click Finish.

    If you want to configure Team Foundation Server Proxy, select the Launch Team Foundation Server Configuration Tool check box.

See Also

Concepts

Checklist: Installing Team Foundation Server Proxy
How to: Configure Team Foundation Server Proxy Using the Team Foundation Server Configuration Tool

Change History

Date | History | Reason
August 2010 | Added note about uninstallation of previous versions of product. | Information enhancement.


How to: Configure Team Foundation Server Proxy Using the Team Foundation Server Configuration Tool

[image]

How to: Configure Team Foundation Server Proxy Using the Team Foundation Server Configuration Tool
See Also Send Feedback

You can use the procedures in this topic to configure Team Foundation Server Proxy.

Note Note

You can skip the first procedure if you opened the Team Foundation Server Configuration tool by selecting the check box at the end of the Team Foundation Server installation.

Required Permissions

To perform this procedure, you must be a member of the Administrators security group on the server on which you are configuring Team Foundation Server Proxy.

To open the Team Foundation Server Configuration tool from the Start menu

  1. Click Start, point to All Programs, point to Microsoft Team Foundation Server 2010, and then click Team Foundation Administration Console.

    The Team Foundation Administration Console appears.

  2. Click Proxy Server, and then click Configure Installed Features.

    The Team Foundation Server Configuration tool appears.

To configure Team Foundation Server Proxy by using Team Foundation Server Configuration tool

  1. Click Team Foundation Server Proxy Configuration, and then click Start Wizard.

    The Team Foundation Server Proxy Configuration wizard appears.

  2. Read the Welcome screen, and then click Next.

  3. Under Service Account, click Use a system account to use Network Service or Use a user account to use a domain or local account. If you are using a user account, you must type the password. To test the user account and password combination, you can optionally click Test.

    Network Service is the default value for this service account (TFSPROXY).

  4. Under Authentication Method, click NTLM to use NTLM authentication or Negotiate (Kerberos) to first attempt Kerberos authentication, the more secure option, and if that fails, fall back to NTLM. Click Next.

    NTLM is the default value.

  5. In Port, accept the default value of 8081 or type a different port number for connections to Team Foundation Server Proxy.

    8081 is the default value.

  6. In Cache Root Directory, accept the default value, or type the path of a different location in which to store cache files.

    The default value is Drive:\Program Files\Microsoft Team Foundation Server 10.0\Version Control Proxy\Web Services\_tfs_data

    Drive is the letter of the drive on which you want to store cache files. You can specify a mapped network drive.

  7. Click Next.

  8. On the Review page, review the settings, and then click Next.

    The wizard validates your configuration.

  9. Click Configure.

    The wizard applies configuration settings.

  10. Click Next.

  11. Click Close.

  12. Click Close.

    The Team Foundation Administration Console appears.

See Also

Concepts

Checklist: Installing Team Foundation Server Proxy


How to: Connect Proxy to Team Foundation Server

[image]

How to: Connect Proxy to Team Foundation Server
See Also Send Feedback

Updated: October 2010

You must connect Team Foundation Server Proxy to Visual Studio Team Foundation Server for the proxy server to cache copies of version control files in the location of the distributed team. To complete this procedure, you will need the URL for the deployment of Team Foundation Server for which you want the proxy server to cache files.

Tip Tip

You can use the Team Foundation Administration Console on the server running the application tier to determine the URL for a deployment of Team Foundation Server. To determine the URL, use Public URL on the Application Tier page. To determine the URL with the collection name, use URL on the Team Project Collections page.

Required Permissions

To perform this procedure, you must be a member of the Administrators security group on the Team Foundation Server Proxy.

Procedures

To connect Team Foundation Server Proxy to Team Foundation Server

  1. Click Start, point to All Programs, point to Microsoft Team Foundation Server 2010, and then click Team Foundation Administration Console.

    Team Foundation Administration Console appears.

  2. Click Proxy Server, and then click the path in Configuration File.

    In the associated text or XML editor, Proxy.config opens. For more information, see the following page on the Microsoft website: Team Foundation Server Proxy Config File

    Note Note

    To edit proxy.config on a server that is running Windows Server 2008, you must open it as an administrator, even if you are logged on with administrative credentials. For more information, see the Microsoft Web site.

    To open Notepad as an administrator, click Start, right-click Command Prompt, and click Run as administrator and then type notepad. In Notepad, navigate to the Proxy.config file using the path in Configuration File.

  3. In the Proxy.config file, locate the <Servers> node, the <Server> element, and then the <Uri> element.

  4. Locate the @H_TFSSERVER@ token. Replace this token with the URL for a deployment of Team Foundation Server. Depending on the scope of version control files you want the proxy server to cache, use one of the following options:

    • If you want the proxy server to cache files for every collection in deployment of Team Foundation Server, use this URL format: http://ServerName:Port/Directory/

    • If you want the proxy server to cache files for specific collections, use this URL format in one or more URI elements: http://ServerName:Port/Directory/CollectionName/

      Where ServerName is the server or DNS name of the deployment of Team Foundation Server. Where Port is the port number on which Team Foundation Server listens for client requests (by default 8080). Where Directory is the virtual directory (by default, tfs). Where CollectionName is the name of the team project collection (by default, DefaultCollection).

    For example, if you wanted to cache version control files for every collection in a deployment of Team Foundation Server, the <Uri> element might look like this:

    Copy image Copy Code
    <Servers>
         <Server>
             <Uri>http://Server:8080/tfs/</Uri>
         </Server>
</Servers>

    If you wanted to cache version control files for multiple collections, you would use multiple <Uri> elements that look like this:

    Copy image Copy Code
    <Servers>
   <Server>
       <Uri>http://Server:8080/tfs/Collection1/</Uri>
   </Server>
   <Server>
       <Uri>http://Server:8080/tfs/Collection2/</Uri>
   </Server>
</Servers>

  5. Save and close the Proxy.config file.

  6. Restart IIS by opening a Command Prompt window, typing iisreset, and pressing ENTER.

    Note Note

    Even if you are logged on with administrative credentials, you must open an elevated Command Prompt to perform this function on a server that is running Windows Server 2008. To open an elevated Command Prompt, click Start, right-click Command Prompt, and click Run as administrator. For more information, see the Microsoft Web site.

See Also

Concepts

Checklist: Installing Team Foundation Server Proxy

Other Resources

Team Foundation Server Proxy Config File

Change History

Date | History | Reason
October 2010 | Clarified example. | Information enhancement.
August 2010 | Revised code sample. | Customer feedback.


How to: Configure Team Explorer to Use Team Foundation Server Proxy

[image]

How to: Configure Team Explorer to Use Team Foundation Server Proxy
See Also Send Feedback

This topic describes how to configure Team Explorer to use Team Foundation Server Proxy for access to version control.

Required Permissions

To perform this procedure, you must be a member of the Users security group on the computer on which you are configuring Team Explorer.

To configure Team Explorer to use Team Foundation Server Proxy

  1. Click Start, point to All Programs, point to Microsoft Visual Studio 2010, and then click Microsoft Visual Studio 2010.

  2. On the Tools menu, click Options.

    The Options dialog box appears.

  3. Expand Source Control, and then click Visual Studio Team Foundation Server.

  4. Select the Use proxy server for file downloads check box.

  5. In the Proxy server name box, type the name of the computer that is hosting Team Foundation Server Proxy.

  6. In the Port box, type the port number for Team Foundation Server Proxy and click OK.

    Team Foundation Server Proxy typically listens for client requests on port 8081.

See Also

Concepts

Checklist: Installing Team Foundation Server Proxy


64-Bit Support in Team Foundation

[image]

64-Bit Support in Team Foundation
See Also Send Feedback

Updated: June 2010

You can install components of Team Foundation on any supported 64-bit or 32-bit edition of Windows Server 2008, with the exception of any Itanium-based editions. Team Foundation support for 64-bit editions of Windows Server 2003 is more complicated: Although you can install Team Foundation Build Service on 64-bit editions of Windows Server 2003, you can install Team Foundation Server or Team Foundation Server Proxy only on 32-bit editions of Windows Server 2003.

On the installation DVD for Team Foundation, you can find folders that are named TFS-x64 and TFS-x86 and that contain the installation programs for 64-bit and 32-bit operating systems, respectively. You must the run the installation program which matches the operating system that you are running. For example, you must run setup.exe from the TFS-x64 folder (\TFS-x64\setup.exe) if you are running a 64-bit operating system. Likewise, you must run setup.exe from the TFS-x86 folder (\TFS-x86\setup.exe) if you are running a 32-bit operating system.

Note Note

You should double-check the optional software that you plan to use with your deployment. For example, Microsoft SharePoint Server 2010 has its own 64-bit requirements. For more information, see the following page on the Microsoft Web site: Hardware and software requirements (SharePoint Server 2010).

See Also

Concepts

System Requirements for Team Foundation Server
System Requirements for Team Foundation Build Service
System Requirements for Team Foundation Server Proxy

Change History

Date | History | Reason
June 2010 | Revised lack of support for Team Foundation Server or Team Foundation Server Proxy on 64-bit editions of Windows Server 2003. | Customer feedback.
June 2010 | Added a note about 64-bit requirements for optional software. | Customer feedback.


Accounts Required for Installation of Team Foundation Components

[image]

Accounts Required for Installation of Team Foundation Components
See Also Send Feedback

Updated: June 2010

You must use service accounts to install any component of Team Foundation. If you use reporting, you also need a report reader account when you install Team Foundation Server. This topic describes the requirements for service accounts and the report reader account for installation. For more information, see this page on the Microsoft Web site: Service Accounts and Dependencies in Team Foundation Server.

Visual Studio Team Foundation Server requires multiple identities for installation, but you can use a single account for all the identities, as long as that account meets the requirements for all the identities for which you use it.

This guide uses the placeholder names that are specified in the tables later in this topic to discuss the accounts that are required for components of Team Foundation and certain features of Team Foundation Server. You do not have to use these placeholder names for any accounts that you might create.

Best Practices for Accounts

  • None of the accounts in this topic should belong to the Administrators security group.

  • If you use domain accounts for your service accounts, you should use a different identity for the report reader account.

  • If you are installing a component in a workgroup, you must use local accounts for user accounts.

Report Reader Account

The report reader account is the identity that is used to gather information for reports. If you use reporting, you must specify a report reader account when you install Team Foundation Server.

If you install Team Foundation Server with the default options, the report reader account is also used as the identity of the service account for Windows SharePoint Services.

Feature | Sample user logon name | Requirements
Reporting | TFSREPORTS | You must specify a user account that has the Allow log on locally permission. Default: You are prompted for this account. You cannot use a built-in account for the report reader account.

Service Accounts

Each component of Team Foundation that you install requires an identity. This identity is the service account. By default, every component of Team Foundation uses a built-in account (such as Network Service) as its service account. You can change this account to a user account when you install the component, but you must ensure that any user accounts that you use have the Log on as a service permission.

Tip Tip

Built-in accounts do not use passwords and already have the Log on as a service permission, making them easier to manage, especially in a domain environment.

Service Accounts for Components of Team Foundation

The service accounts in the following table are the identities that are used to run Windows services for the listed components of Team Foundation.

The service account for Team Foundation Server is also used in Internet Information Services (IIS) as the identity of the application pool for Team Foundation Server.

Component

Sample user logon name

Requirements

Team Foundation Server

TFSSERVICE

You can specify a built-in account or a user account. If you specify a user account, it must have the Log on as a service permission.

You must not use the account that you use to install Team Foundation Server as the account for TFSSERVICE. For example, if you are logged in as domain\user1 when you install Team Foundation Server, do not use domain\user1 as the account for TFSSERVICE.

If you are using reports, you must add TFSSERVICE to the Content Manager role on the server that is running SQL Server Reporting Services. For more information, see How to: Add the Service Account for Team Foundation Server to the Report Server.

If your SharePoint site was not installed at the same time as Team Foundation Server, you must add TFSSERVICE to the Farm Administrators group for the SharePoint Central Administration site. For more information, see How to: Add the Service Account for Team Foundation Server to the Farm Administrators Group.

Default: Network Service

Note Note

If you use a system account (such as Network Service) here and want to configure e-mail notifications after installation, you must configure your SMTP server to allow anonymous senders to send e-mail. For more information, see the following page on the Microsoft Web site: Configure E-mail Notifications and Specify the SMTP Server.

Team Foundation Build

TFSBUILD

You can specify a built-in account or a user account. If you use a user account, it must have the Log on as a service permission.

Default: Network Service

Team Foundation Server Proxy

TFSPROXY

You can specify a built-in account or a user account. If you use a user account, it must have the Log on as a service permission.

Default: Network Service

Service Accounts for Additional Software

The following table lists the service accounts that are the identities that are used to run Windows services for SharePoint Products and SQL Server.

The service account for SharePoint Products is also the identity of the application pool for the SharePoint Central Administration site.

Software | Sample user logon name | Requirements
SharePoint Products | WSSSERVICE | You must specify a user account. Default: If you install Team Foundation Server with the default options, the account that you specified as the report reader account is also used for this account.
SQL Server | SQLSERVICE | You must set up this account before you install Team Foundation Server. Team Foundation Server has no other requirements for this account.

See Also

Reference

Checklist: Single-Server Installation
Checklist: Multiple-Server Installation
Checklist: Adding an Application Tier
Checklist: Upgrade Team Foundation Server By Using More Than One Server
Checklist: Installing Team Foundation Build Service

Concepts

Checklist: Installing Team Foundation Server Proxy

Change History

Date | History | Reason
June 2010 | Added link to MSDN topic: Service Accounts and Dependencies in Team Foundation Server | Customer feedback.
June 2010 | Added note about e-mail notifications and using Network Service for TFSSERVICE. | Customer feedback.


Ports Required for Installation of Team Foundation Components

[image]

Ports Required for Installation of Team Foundation Components
See Also Send Feedback

Your firewall controls remote connections that components of Team Foundation require. You must ensure that your firewall does not block required connections. The tables in this topic show the default settings for TCP ports that components of Team Foundation, SQL Server, and SharePoint Products require.

Firewalls

If you are using Windows Firewall and it is configured to allow exceptions, the installation wizard for Team Foundation creates firewall exceptions for the components that you install, such as Windows SharePoint Services 3.0. If Windows Firewall is configured not to allow exceptions, you should configure it to allow exceptions during the installation of Visual Studio Team Foundation Server. Otherwise, you must manually create exceptions. For more information, see this page on the Microsoft Web site: How to Configure Windows Firewall on a Single Computer.

If you are using a software or hardware firewall from another company, you should check its documentation to determine how to open the TCP ports that installation requires.

Required Ports for SQL Server

The following table specifies the TCP ports that SQL Server (Standard or Enterprise Edition) requires.

Server or Application Context | TCP Port
SQL Service (Database Engine) | 14331
SQL Browser Service (Database Engine) | 1434
SQL Server Analysis Services Redirector | 2382
SQL Server Analysis Services | 2383
SQL Server Reporting Services | 80

1SQL Server uses port 1433 for the default instance. For named instances, SQL Server uses a dynamic port that the operating system assigns. Use SQL Server Configuration Manger to determine the SQL Server port number for any named instances. For more information, see this page on the Microsoft Web site: Configuring the Windows Firewall to Allow SQL Server Access.

Report Server Port Requirements

You must ensure that the server that is running SQL Server Reporting Services contains an exception in Windows Firewall for Windows Management Instrumentation (WMI) if the report server is not on the server that is running Team Foundation Server. The instructions for completing this task differ based on the operating system that you are using. If you are using Windows Server 2003 or Windows Server 2003 R2, see the following page on the Microsoft Web site: Connecting Through Windows Firewall. If you are using Windows Server 2008, Windows Server 2008 R2, Windows Vista or Windows 7, see the following page on the Microsoft Web site: Connecting to WMI Remotely Starting with Windows Vista.

Required Ports for SharePoint Products

The table in this section specifies the TCP ports that Windows SharePoint Services 3.0 uses if it is installed by the installation wizard for Team Foundation Server.

These port numbers might be different for existing deployments of SharePoint Products. You can determine which port numbers SharePoint Products uses by opening Internet Information Services (IIS) Manager and looking at the properties of the Web sites. For more information, see How to: Verify SharePoint Products for Team Foundation Server.

Server or Application Context | TCP Port
Default Web site | 80
SharePoint Central Administration | 17012

Required Ports for Team Foundation Server

By default, components of Team Foundation use the following TCP ports:

Server or Application Context | TCP Port
Team Foundation Server | 8080
Team Foundation Server Proxy | 8081
Team Foundation Build Service | 9191

See Also

Reference

Checklist: Single-Server Installation
Checklist: Multiple-Server Installation
Checklist: Adding an Application Tier
Checklist: Upgrade Team Foundation Server By Using More Than One Server
Checklist: Installing Team Foundation Build Service

Concepts

Checklist: Installing Team Foundation Server Proxy


How to: Add the Service Account for Team Foundation Server to the TFSEXECROLE SQL Server Database Role

[image]

How to: Add the Service Account for Team Foundation Server to the TFSEXECROLE SQL Server Database Role
Send Feedback

This error message might indicate that the service account for Team Foundation Server (TFSSERVICE) is no longer a member of TFSEXECROLE, a SQL Server database role created during Team Foundation Server installation.

To resolve this issue, you must manually add the service account (TFSSERVICE) for the primary application tier to TFSEXECROLE on the instance of SQL Server that hosts the configuration database.

For more information about service accounts, see Accounts Required for Installation of Team Foundation Components.

Required Permissions

To perform these procedures, you must be a member of the Administrators security group on the instance of SQL Server, which hosts the configuration database for the primary application tier.

To add the service account for Team Foundation Server to the TFSEXECROLE SQL Server database role

  1. Click Start, point to All Programs, point to Microsoft SQL Server 2008, and then click SQL Server Management Studio.

    The Connect to Server dialog box opens.

  2. In the Server type list, click Database Engine.

  3. Type the name of the server which hosts the configuration database for the primary application tier, and then click Connect.

  4. In Object Explorer, expand Databases, expand Tfs_DatabaseLabelApplication, expand Security, expand Roles, expand Database Roles, right-click TFSEXECROLE, and click Properties.

    Tfs_DatabaseLabelApplication might have a label substituted for DatabaseLabel, or it might appear as Tfs_Application.

    The Database Role Properties dialog box for TFSEXECROLE appears.

  5. Under Role Members, click Add.

    The Select Database User or Role dialog box appears.

  6. Type the service account (TFSSERVICE) for the primary application tier, and click OK.

  7. Click OK.